------------------------------------------------------------------------
r4343 | dbera | 2007-12-27 15:04:07 -0500 (Thu, 27 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/tools/Settings.cs

Add system-wide indexes to the backend chooser.

------------------------------------------------------------------------
r4342 | dbera | 2007-12-26 21:22:06 -0500 (Wed, 26 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/tools/wrapper.in

Use the BEAGLE_CONF_DIR environment variable for beagle-settings and beagle-config.

------------------------------------------------------------------------
r4341 | dbera | 2007-12-26 21:08:13 -0500 (Wed, 26 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/Config.cs
   M /trunk/beagle/Util/PathFinder.cs
   M /trunk/beagle/beagled/BeagleDaemon.cs
   M /trunk/beagle/beagled/BuildIndex.cs
   M /trunk/beagle/beagled/beagled.in
   M /trunk/beagle/beagled/wrapper.in

Use an environment variable BEAGLE_CONF_DIR to point to the location of the global config files. This comes in handy when running beagled uninstalled.

------------------------------------------------------------------------
r4340 | dbera | 2007-12-26 17:11:58 -0500 (Wed, 26 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/search/Tiles/Documentation.cs

Missed in the last commit.

------------------------------------------------------------------------
r4339 | dbera | 2007-12-26 17:02:20 -0500 (Wed, 26 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/search/Search.cs
   M /trunk/beagle/search/Tiles/Documentation.cs
   M /trunk/beagle/search/beagle-search.1
   M /trunk/beagle/tools/Makefile.am
   A /trunk/beagle/tools/crawl-rules/crawl-monodoc

Add a crawl-rule for monodoc files, again leave it disabled by default since beagle-search cannot show monodoc hits (yelp probably cannot too). The docbook filter is unable to figure out the language for the docbook files, so each docbook entry is returned multiple times when searching; one for each language. This just clutters the search results, so ... "documentation" index is left disabled-by-default; however, a --search-docs option is search the documentation index. Beware! There is no way to know from the beagle-search tiles which one is the result in the correct language. Small fixes to the documentation tile to display docbook hits.

------------------------------------------------------------------------
r4338 | dbera | 2007-12-26 16:02:12 -0500 (Wed, 26 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/configure.in

Typo.

------------------------------------------------------------------------
r4337 | dbera | 2007-12-26 15:47:34 -0500 (Wed, 26 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/EmpathyQueryable/EmpathyQueryable.cs
   D /trunk/beagle/beagled/SuggestionsExecutor.cs

Cleanup: fix a typo and remove SuggestionsExecutor (it is present in the branch).

------------------------------------------------------------------------
r4336 | djihed | 2007-12-26 10:25:15 -0500 (Wed, 26 Dec 2007) | 1 line
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/ar.po

Updated Arabic Translation by Khaled Hosny. 
------------------------------------------------------------------------
r4335 | dbera | 2007-12-22 22:31:10 -0500 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/tools/Makefile.am
   M /trunk/beagle/tools/beagle-crawl-system.in

Missed the actual commits.

------------------------------------------------------------------------
r4334 | dbera | 2007-12-22 20:04:54 -0500 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/BuildIndex.cs
   M /trunk/beagle/tools/crawl-rules/crawl-applications
   M /trunk/beagle/tools/crawl-rules/crawl-documentation
   M /trunk/beagle/tools/crawl-rules/crawl-manpages
   M /trunk/beagle/tools/crawl-rules/crawl-windows

Run the crawl-scripts with --enable-deletion.

------------------------------------------------------------------------
r4333 | dbera | 2007-12-22 19:53:16 -0500 (Sat, 22 Dec 2007) | 3 lines
Changed paths:
   M /trunk/beagle/beagled/BuildIndex.cs

The format of field values changed in the past breaking --enable-deletion; fixed that and several related problems. Now --enable-deletion works with --disable-directories by actually indexing the directories but making sure no searchable properties are indexed.
Bump build-index version since now directories are always indexed.

------------------------------------------------------------------------
r4332 | dbera | 2007-12-22 19:49:34 -0500 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/BuildIndex.cs
   M /trunk/beagle/beagled/ExtractContent.cs
   M /trunk/beagle/beagled/LuceneQueryingDriver.cs
   M /trunk/beagle/beagled/NoiseFilter.cs
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/index.xsl

Revert accidental commit.

------------------------------------------------------------------------
r4331 | dbera | 2007-12-22 19:47:30 -0500 (Sat, 22 Dec 2007) | 3 lines
Changed paths:
   M /trunk/beagle/beagled/BuildIndex.cs
   M /trunk/beagle/beagled/ExtractContent.cs
   M /trunk/beagle/beagled/LuceneQueryingDriver.cs
   M /trunk/beagle/beagled/NoiseFilter.cs
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/index.xsl

The format of field values changed in the past breaking --enable-deletion; fixed that and several related problems. Now --enable-deletion works with --disable-directories by actually indexing the directories but making sure no searchable properties are indexed.
Bump build-index version since now directories are always indexed.

------------------------------------------------------------------------
r4330 | leonardof | 2007-12-22 19:04:43 -0500 (Sat, 22 Dec 2007) | 5 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/pt_BR.po

2007-12-22  Leonardo Ferreira Fontenelle  <leonardof@svn.gnome.org>

	* pt_BR.po: Brazilian Portuguese translation updated by Igor Pires
	Soares and myself.

------------------------------------------------------------------------
r4329 | dbera | 2007-12-22 17:51:16 -0500 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   A /trunk/beagle/tools/crawl-rules/crawl-manpages

Add a crawl rule for indexing man pages. Keep it disabled by default (also, yelp is broken wrt beagle right now).

------------------------------------------------------------------------
r4328 | dbera | 2007-12-22 17:39:55 -0500 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/FileAttributesStore.cs

Fix a logic bug in FAStore:IsUpToDateAndFiltered: the idea behind the filterver.dat is useful but the IsUpToDateAndFiltered method was not distinguishing between a new file and a file not filtered before. Note that, a file that was not filtered before will have an attribute but the attribute will not have any filtername or filterversion.

------------------------------------------------------------------------
r4327 | dbera | 2007-12-22 15:15:58 -0500 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterMan.cs

Some more fixes for man filter.

------------------------------------------------------------------------
r4326 | dbera | 2007-12-22 15:07:23 -0500 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/BuildIndex.cs

Remove debug message.

------------------------------------------------------------------------
r4325 | dbera | 2007-12-22 14:40:49 -0500 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterMan.cs

Report unsupported macros instead of ignoring them and adding support for ".UR" which seems to be a macro for URLs.

------------------------------------------------------------------------
r4324 | dbera | 2007-12-22 14:34:39 -0500 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/AssemblyInfo.cs
   M /trunk/beagle/Filters/FilterMan.cs

Remote FilterCompressedMan and merge the functionality to FilterMan. Handle bz2 compressed man pages (Mandriva uses lzma compressed man pages which SharpZiplib does not support). Improve the quality of extracted text including handling of known macros and extracting summary, author info.

------------------------------------------------------------------------
r4323 | dbera | 2007-12-21 14:39:05 -0500 (Fri, 21 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/configure.in
   M /trunk/beagle/po/POTFILES.in

Bump version to 0.3.2 and add Documentation.cs to potfiles.

------------------------------------------------------------------------
r4322 | dbera | 2007-12-21 14:30:24 -0500 (Fri, 21 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/AssemblyInfo.cs
   M /trunk/beagle/Filters/FilterMan.cs
   M /trunk/beagle/beagled/ExtractContent.cs

Directly index the compressed man files instead of treating them like an archive and using a child-indexable. This makes the filter twice as fast and as a bonus, returns only one hit per compressed man file. Use filetype:documentation to recognize these hits.

------------------------------------------------------------------------
r4321 | dbera | 2007-12-20 18:33:12 -0500 (Thu, 20 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/EmpathyQueryable/EmpathyQueryable.cs

Free crawler once crawling is done and inotify is enabled.

------------------------------------------------------------------------
r4320 | dbera | 2007-12-20 17:53:25 -0500 (Thu, 20 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.css
   M /trunk/beagle/beagled/webinterface/hitresult.xsl
   M /trunk/beagle/beagled/webinterface/propname-table.js

Show filesize information in the webinterface.

------------------------------------------------------------------------
r4319 | dbera | 2007-12-20 17:53:03 -0500 (Thu, 20 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/FileSystemQueryable/FileSystemQueryable.cs

Filesize is now stored for files, up FSQ version number.

------------------------------------------------------------------------
r4318 | dbera | 2007-12-20 17:10:11 -0500 (Thu, 20 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.js

Fix the timestamp-to-pretty-string method. The earlier methods were not quite right. Show the time too if the timestamp is in the current week.

------------------------------------------------------------------------
r4317 | dbera | 2007-12-20 15:55:38 -0500 (Thu, 20 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.js

Simple implementation to bookmark current query in the webinterface.

------------------------------------------------------------------------
r4316 | dbera | 2007-12-20 15:26:17 -0500 (Thu, 20 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/tools/Settings.cs

Fix compilation on mono 1.2.6. Fixes #503639.

------------------------------------------------------------------------
r4315 | llipka | 2007-12-19 17:18:42 -0500 (Wed, 19 Dec 2007) | 1 line
Changed paths:
   M /trunk/beagle/Filters/FilterMan.cs

Bera's optimizing tips. :)
------------------------------------------------------------------------
r4314 | llipka | 2007-12-19 16:36:30 -0500 (Wed, 19 Dec 2007) | 1 line
Changed paths:
   M /trunk/beagle/Filters/FilterMan.cs
   M /trunk/beagle/Filters/FilterMonodoc.cs
   M /trunk/beagle/search/Makefile.am
   M /trunk/beagle/search/Tiles/ArchivedFile.cs
   M /trunk/beagle/search/Tiles/AssemblyInfo.cs
   D /trunk/beagle/search/Tiles/DocbookEntry.cs
   A /trunk/beagle/search/Tiles/Documentation.cs (from /trunk/beagle/search/Tiles/DocbookEntry.cs:4292)
   M /trunk/beagle/search/Tiles/File.cs

Update our documentation filters and up the versions.
------------------------------------------------------------------------
r4313 | llipka | 2007-12-19 11:41:24 -0500 (Wed, 19 Dec 2007) | 1 line
Changed paths:
   M /trunk/beagle/BeagleClient/AssemblyInfo.cs
   M /trunk/beagle/BeagleClient/Makefile.am
   M /trunk/beagle/BeagleClient/QueryResponses.cs
   D /trunk/beagle/BeagleClient/SuggestionsRequest.cs
   D /trunk/beagle/BeagleClient/SuggestionsResponse.cs
   M /trunk/beagle/beagled/AssemblyInfo.cs
   M /trunk/beagle/beagled/IQueryResult.cs
   M /trunk/beagle/beagled/LuceneQueryable.cs
   M /trunk/beagle/beagled/LuceneQueryingDriver.cs
   M /trunk/beagle/beagled/Makefile.am
   M /trunk/beagle/beagled/QueryDriver.cs
   M /trunk/beagle/beagled/SuggestionsExecutor.cs
   M /trunk/beagle/search/Pages/NoMatch.cs
   M /trunk/beagle/search/Search.cs

Revert suggestions commits since they are now moved into the beagle-suggestions-branch. 0.3.2 release coming, yay. :-)
------------------------------------------------------------------------
r4311 | dbera | 2007-12-18 19:10:03 -0500 (Tue, 18 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/NautilusTools.cs
   M /trunk/beagle/beagled/NautilusMetadataQueryable/NautilusMetadataQueryable.cs

Nautilus backend: only index *.xml files and catch error early if XmlReader fails to load the xml file.

------------------------------------------------------------------------
r4310 | llipka | 2007-12-18 15:36:02 -0500 (Tue, 18 Dec 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/LuceneQueryingDriver.cs
   M /trunk/beagle/beagled/SuggestionsExecutor.cs

Suggestions: Dont forget to release the index reader and other small updates.
------------------------------------------------------------------------
r4307 | dbera | 2007-12-17 23:24:59 -0500 (Mon, 17 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/Makefile.am

Forgot to add this image to DIST_FILES.

------------------------------------------------------------------------
r4306 | dbera | 2007-12-17 23:24:15 -0500 (Mon, 17 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/Config.cs
   M /trunk/beagle/tools/Config.cs

Add --write-xml and --read-xml methods to beagle-config (and corresponding Util.Conf API) to enable non-C# programs to read and write config options. Adding config API in libbeagle would require writing the whole load/merge/save logic in libbeagle itself ... which is pretty painful; instead these two options will do the job in most cases.

------------------------------------------------------------------------
r4298 | dbera | 2007-12-16 12:19:33 -0500 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/DumpIndex.cs
   M /trunk/beagle/beagled/beagle-dump-index.1

Add --fields option to beagle-dump-index to dump the names of all fields in the index.

------------------------------------------------------------------------
r4295 | jorgegonz | 2007-12-16 07:30:33 -0500 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/es.po

Updated Spanish translation

------------------------------------------------------------------------
r4293 | llipka | 2007-12-15 19:32:55 -0500 (Sat, 15 Dec 2007) | 3 lines
Changed paths:
   M /trunk/beagle/BeagleClient/AssemblyInfo.cs
   M /trunk/beagle/BeagleClient/Makefile.am
   M /trunk/beagle/BeagleClient/QueryResponses.cs
   A /trunk/beagle/BeagleClient/SuggestionsRequest.cs
   A /trunk/beagle/BeagleClient/SuggestionsResponse.cs
   M /trunk/beagle/beagled/AssemblyInfo.cs
   M /trunk/beagle/beagled/IQueryResult.cs
   M /trunk/beagle/beagled/LuceneQueryable.cs
   M /trunk/beagle/beagled/LuceneQueryingDriver.cs
   M /trunk/beagle/beagled/Makefile.am
   M /trunk/beagle/beagled/QueryDriver.cs
   A /trunk/beagle/beagled/SuggestionsExecutor.cs
   M /trunk/beagle/search/Pages/NoMatch.cs
   M /trunk/beagle/search/Search.cs

Implement suggestions in an unobtrusive way using FuzzyTermEnum. Suggestions are only generated upon request.
Add a first pass of this in beagle-search.

------------------------------------------------------------------------
r4292 | dbera | 2007-12-15 13:26:51 -0500 (Sat, 15 Dec 2007) | 3 lines
Changed paths:
   M /trunk/beagle/Filters/FilterMonodoc.cs
   M /trunk/beagle/beagled/ExtractContent.cs

Fix monodoc filter. The actual problem was the lack of "StoreStream,CloseStream" but I also replaced the one-time generation of child-indexables with our generator based child-indexable extraction. This allows us to index Mono.zip without any memory blowup.
ExtractContent.cs: Make use of HasGeneratedIndexable since it is part of the API and some filter might be making innovative use of it.

------------------------------------------------------------------------
r4291 | dbera | 2007-12-15 13:23:45 -0500 (Sat, 15 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/LuceneQueryingDriver.cs
   M /trunk/beagle/beagled/ManageIndex.cs

"beagle-manage-index info" does not require to open the index read-write. Instead create a read only queryingdriver.

------------------------------------------------------------------------
r4290 | dbera | 2007-12-15 10:57:36 -0500 (Sat, 15 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.css
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/index.xsl

Add links for bookmarks and advanced search gui. Doin nothing yet.

------------------------------------------------------------------------
r4289 | dbera | 2007-12-14 19:32:19 -0500 (Fri, 14 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/StringFu.cs
   M /trunk/beagle/search/DetailsPane.cs
   M /trunk/beagle/search/beagle-search.in

Show the full snippet in a tooltip. Fix the beagle-search script to use the uninstalled Util.dll.

------------------------------------------------------------------------
r4288 | dbera | 2007-12-14 18:01:55 -0500 (Fri, 14 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterArchive.cs
   M /trunk/beagle/Filters/FilterMail.cs
   M /trunk/beagle/beagled/BuildIndex.cs
   M /trunk/beagle/beagled/FileSystemQueryable/FileSystemQueryable.cs
   M /trunk/beagle/beagled/webinterface/propname-table.js

Store filesize for files on disk, email attachments and archive contents. Add a suitable property name mapping.

------------------------------------------------------------------------
r4287 | dbera | 2007-12-14 17:57:58 -0500 (Fri, 14 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/WebServer.cs

Add the system-search.png to the mapping.

------------------------------------------------------------------------
r4286 | kkubasik | 2007-12-14 03:26:40 -0500 (Fri, 14 Dec 2007) | 1 line
Changed paths:
   M /trunk/beagle/Filters/AssemblyInfo.cs
   A /trunk/beagle/Filters/FilterEmpathyLog.cs
   M /trunk/beagle/Filters/Makefile.am
   M /trunk/beagle/beagled/AssemblyInfo.cs
   A /trunk/beagle/beagled/EmpathyQueryable
   A /trunk/beagle/beagled/EmpathyQueryable/EmpathyCrawler.cs
   A /trunk/beagle/beagled/EmpathyQueryable/EmpathyQueryable.cs
   M /trunk/beagle/beagled/Makefile.am
   M /trunk/beagle/search/Tiles/IMLog.cs

Initial Empathy Backend, still needs frontend support
------------------------------------------------------------------------
r4285 | dbera | 2007-12-14 00:18:01 -0500 (Fri, 14 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/BatteryMonitor.cs
   M /trunk/beagle/beagled/BeagleDaemon.cs
   M /trunk/beagle/beagled/IndexHelper/IndexHelper.cs

IndexHelper does not yet monitor battery. Catch DBus Init exception (if DBUS_SESSION_BUS_ADDRESS is unset or some other error); also move DBus init to BatteryMonitor (when transport is moved to DBus, it will probably move to global Init again).

------------------------------------------------------------------------
r4279 | dbera | 2007-12-12 14:35:15 -0500 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/Makefile.am
   M /trunk/beagle/beagled/Makefile.am

Some Avahi specific files were missing from the tarball.

------------------------------------------------------------------------
r4278 | dbera | 2007-12-12 09:20:16 -0500 (Wed, 12 Dec 2007) | 3 lines
Changed paths:
   M /trunk/beagle/beagled/BeagleDaemon.cs
   M /trunk/beagle/beagled/IndexHelper/IndexHelper.cs

Fix compilation for glib svn (which now has GLib.Process). Patch from Anders Rune Jensen
<anders@iola.dk>.

------------------------------------------------------------------------
r4277 | dbera | 2007-12-12 00:20:12 -0500 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.css
   M /trunk/beagle/beagled/webinterface/hitresult.xsl

Replace the silly "Search" text in front of every property by the same system-search.png used in the query box.

------------------------------------------------------------------------
r4276 | dbera | 2007-12-11 23:56:58 -0500 (Tue, 11 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.css
   A /trunk/beagle/beagled/webinterface/images/system-search.png
   M /trunk/beagle/beagled/webinterface/index.xsl

Add a nice icon at the far left of the search box. Use a resized version of our images/system-search.png.

------------------------------------------------------------------------
r4275 | dbera | 2007-12-11 17:30:51 -0500 (Tue, 11 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/FileSystemQueryable/FileNameFilter.cs

Fix a copy-paste bug *sigh*, drop last '/' from directory names and sanitise the code a bit.

------------------------------------------------------------------------
r4274 | dnylande | 2007-12-11 09:57:37 -0500 (Tue, 11 Dec 2007) | 1 line
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/sv.po

sv.po: Swedish translation updated
------------------------------------------------------------------------
r4273 | llipka | 2007-12-11 00:31:22 -0500 (Tue, 11 Dec 2007) | 1 line
Changed paths:
   A /trunk/beagle/Util/Battery.cs (from /branches/beagle-hal-branch/Util/Battery.cs:4272)
   A /trunk/beagle/Util/Hal (from /branches/beagle-hal-branch/Util/Hal:4272)
   M /trunk/beagle/Util/Makefile.am
   M /trunk/beagle/Util/Scheduler.cs
   M /trunk/beagle/Util/SystemInformation.cs
   A /trunk/beagle/beagled/BatteryMonitor.cs (from /branches/beagle-hal-branch/beagled/BatteryMonitor.cs:4272)
   M /trunk/beagle/beagled/BeagleDaemon.cs
   M /trunk/beagle/beagled/BuildIndex.cs
   M /trunk/beagle/beagled/IndexHelper/IndexHelper.cs
   M /trunk/beagle/beagled/Makefile.am
   M /trunk/beagle/configure.in

Merge beagle-hal-branch to trunk.
------------------------------------------------------------------------
r4270 | dbera | 2007-12-10 15:36:31 -0500 (Mon, 10 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/ChangeLog

Update changelog for 0.3.1

------------------------------------------------------------------------
r4269 | dbera | 2007-12-10 15:32:12 -0500 (Mon, 10 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/NEWS

Update NEWS for 0.3.1

------------------------------------------------------------------------
r4268 | dbera | 2007-12-10 13:18:47 -0500 (Mon, 10 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/configure.in

Bump version to 0.3.1

------------------------------------------------------------------------
r4267 | dbera | 2007-12-10 13:16:05 -0500 (Mon, 10 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/tools/beagle-index-info
   M /trunk/beagle/tools/beagle-ping
   M /trunk/beagle/tools/beagle-status

Use bash instead of /bin/sh. Our other scripts are bash based and bash has the exec -a property which is useful.

------------------------------------------------------------------------
r4266 | dbera | 2007-12-09 12:10:55 -0500 (Sun, 09 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/BuildIndex.cs

--enable-deletion requires the directories be indexed. Mention it clearly in the usage text. Also, --enable-deletion once used, should be always used - if it is skipped in some run when there were some deleted content, in subsequent re-runs those content will not be found and deleted. Both of these are bad limitations and IMO, should be removed.

------------------------------------------------------------------------
r4265 | dbera | 2007-12-09 00:05:25 -0500 (Sun, 09 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/configure.in

Bump mono requirement to 1.2.4 since now we require Mono.Data.Sqlite.

------------------------------------------------------------------------
r4264 | dbera | 2007-12-08 23:48:22 -0500 (Sat, 08 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterMPlayerVideo.cs
   M /trunk/beagle/Filters/FilterTotem.cs
   M /trunk/beagle/Filters/FilterVideo.cs

Use positive priorities instead of negative priorities. Temporarily disable the new taglib-sharp based video filter for 0.3.1 (also the right properties need to be figured out for video files).

------------------------------------------------------------------------
r4263 | dbera | 2007-12-08 23:43:24 -0500 (Sat, 08 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/TomboyQueryable/TomboyQueryable.cs
   M /trunk/beagle/search/Tiles/Note.cs

Tagging is not present in the current tomboy versions and future versions might have a totally different implementation. Mark the code by a fixme. Change fixme:tab by note:tag and store the (fictitous) tag as Text property instead of keyword.

------------------------------------------------------------------------
r4262 | dbera | 2007-12-06 09:03:17 -0500 (Thu, 06 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterMail.cs

A workaround for the problem described in #501803. Store the HTML message in a memorystream and allow HTML filter to random access it for filtering. A better patch would be remove the memory stream hack (patch attached to #501803).

------------------------------------------------------------------------
r4261 | jorgegonz | 2007-12-06 07:52:37 -0500 (Thu, 06 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/es.po

Updated spanish translation

------------------------------------------------------------------------
r4258 | llipka | 2007-12-04 18:03:26 -0500 (Tue, 04 Dec 2007) | 8 lines
Changed paths:
   M /trunk/beagle/Filters/AssemblyInfo.cs
   A /trunk/beagle/Filters/FilterAudio.cs (from /trunk/beagle/Filters/FilterMusic.cs:4250)
   M /trunk/beagle/Filters/FilterMPlayerVideo.cs
   D /trunk/beagle/Filters/FilterMusic.cs
   M /trunk/beagle/Filters/FilterTotem.cs
   A /trunk/beagle/Filters/FilterVideo.cs
   M /trunk/beagle/Filters/Makefile.am
   M /trunk/beagle/search/DetailsPane.cs
   M /trunk/beagle/search/Tiles/Note.cs
   M /trunk/beagle/search/Tiles/Video.cs

Use taglib-sharp to filter video files. Otherwise use Totem/MPlayer filters.

Taglib seems to work for most of the video files I have so it should be possible
to just drop the Totem/MPlayer filters in the future.

Update video tiles layout in beagle-search.


------------------------------------------------------------------------
r4257 | kkubasik | 2007-12-04 13:32:54 -0500 (Tue, 04 Dec 2007) | 1 line
Changed paths:
   D /trunk/beagle/Packages.mdse
   D /trunk/beagle/beagle.userprefs
   D /trunk/beagle/beagle.usertasks

cleanup accidental files
------------------------------------------------------------------------
r4256 | kkubasik | 2007-12-04 08:55:09 -0500 (Tue, 04 Dec 2007) | 1 line
Changed paths:
   A /trunk/beagle/Packages.mdse
   A /trunk/beagle/beagle.userprefs
   A /trunk/beagle/beagle.usertasks
   M /trunk/beagle/search/Tiles/Note.cs

formatting fix
------------------------------------------------------------------------
r4255 | kkubasik | 2007-12-04 05:48:00 -0500 (Tue, 04 Dec 2007) | 1 line
Changed paths:
   M /trunk/beagle/Util/Note.cs
   M /trunk/beagle/beagled/TomboyQueryable/TomboyQueryable.cs
   M /trunk/beagle/search/Tiles/Note.cs

Adding support for the indexing and display of Tomboy tags
------------------------------------------------------------------------
r4253 | dbera | 2007-12-03 23:43:51 -0500 (Mon, 03 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/README

Fix link in README.

------------------------------------------------------------------------
r4252 | dbera | 2007-12-03 23:16:49 -0500 (Mon, 03 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/Config.cs

Use Environment.MachineName instead of UnixEnvironment.MachineName. Fixes https://bugzilla.novell.com/show_bug.cgi?id=MONO82460 (crash when hostname is 16 chars or longer).

------------------------------------------------------------------------
r4251 | dbera | 2007-12-03 22:51:09 -0500 (Mon, 03 Dec 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/TextCache.cs

TextCache database format was changed in 0.3.0 but the textcache was not purged. This will cause problems for 0.2.18 users who used sqlite3 earlier. There is really a need for a version in TextCache.

------------------------------------------------------------------------
r4250 | jmas | 2007-12-03 03:55:13 -0500 (Mon, 03 Dec 2007) | 5 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/ca.po

2007-12-03  Jordi Mas <jmas@softcatala.org>

	* ca.po: Updated Catalan translation.


------------------------------------------------------------------------
r4249 | llipka | 2007-12-02 07:30:15 -0500 (Sun, 02 Dec 2007) | 4 lines
Changed paths:
   M /trunk/beagle/ImLogViewer/ImLogWindow.cs
   M /trunk/beagle/ImLogViewer/Makefile.am
   M /trunk/beagle/Makefile.am
   M /trunk/beagle/configure.in
   D /trunk/beagle/images
   M /trunk/beagle/search/Makefile.am
   M /trunk/beagle/search/Pages/Base.cs
   M /trunk/beagle/search/Pages/NoMatch.cs
   M /trunk/beagle/search/Pages/QuickTips.cs
   M /trunk/beagle/search/Search.cs
   M /trunk/beagle/search/Tiles/Image.cs
   M /trunk/beagle/search/Tiles/Note.cs
   M /trunk/beagle/search/Tray/TrayIcon.cs
   M /trunk/beagle/search/UIManager.cs
   M /trunk/beagle/tools/Makefile.am
   M /trunk/beagle/tools/Settings.cs

Fix #398533 – Beagle-Search Tango icons.

Drop our Images.dll assembly and load all icons from the icon theme and stock icons.

------------------------------------------------------------------------
r4248 | llipka | 2007-12-02 06:20:01 -0500 (Sun, 02 Dec 2007) | 3 lines
Changed paths:
   M /trunk/beagle/tools/Settings.cs
   M /trunk/beagle/tools/settings.glade

Fix #469298 – beagle-settings grows super wide on long directories.
Also hide the Avahi service settings if avahi was not enabled at configure time.

------------------------------------------------------------------------
r4238 | joeshaw | 2007-12-01 18:48:07 -0500 (Sat, 01 Dec 2007) | 1 line
Changed paths:
   M /trunk/beagle/ChangeLog

Updated ChangeLog for 0.3.0 release
------------------------------------------------------------------------
r4237 | joeshaw | 2007-12-01 18:46:03 -0500 (Sat, 01 Dec 2007) | 1 line
Changed paths:
   M /trunk/beagle/NEWS

Update NEWS for 0.3.0 release
------------------------------------------------------------------------
r4236 | joeshaw | 2007-12-01 13:11:56 -0500 (Sat, 01 Dec 2007) | 1 line
Changed paths:
   M /trunk/beagle/ChangeLog

Remove manual changes to the ChangeLog
------------------------------------------------------------------------
r4234 | stephaner | 2007-12-01 00:02:51 -0500 (Sat, 01 Dec 2007) | 1 line
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/fr.po

Updated French translation.
------------------------------------------------------------------------
r4232 | llipka | 2007-11-24 11:41:55 -0500 (Sat, 24 Nov 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/BuildIndex.cs
   M /trunk/beagle/beagled/webinterface

Sanitize beagle-build-index.
------------------------------------------------------------------------
r4230 | jorgegonz | 2007-11-21 14:53:46 -0500 (Wed, 21 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/es.po

Updated Spanish translation

------------------------------------------------------------------------
r4229 | ymarcheg | 2007-11-21 12:18:45 -0500 (Wed, 21 Nov 2007) | 1 line
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/oc.po

Updated Occitan translation
------------------------------------------------------------------------
r4227 | dbera | 2007-11-20 19:53:16 -0500 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/FileSystemQueryable/FileNameFilter.cs

Typo - due to this the exclude patterns were not correctly loaded when settings changes on disk.

------------------------------------------------------------------------
r4226 | dbera | 2007-11-20 19:21:53 -0500 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/FileSystemQueryable/FileNameFilter.cs
   M /trunk/beagle/tools/config-files/FilesQueryable.xml

Always ignore dot-directories and files - never mind what is in the config.

------------------------------------------------------------------------
r4225 | dbera | 2007-11-20 17:27:21 -0500 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/Config.cs
   M /trunk/beagle/beagled/BeagleDaemon.cs
   M /trunk/beagle/beagled/BuildIndex.cs

beagled and beagle-build-index will refuse to start if the required global configuration files are not found. It should not be a problem if beagle is properly installed; if running uninstalled, run make install at least once or hand copy the config files.

------------------------------------------------------------------------
r4224 | dbera | 2007-11-20 17:05:51 -0500 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/StringFu.cs

If no patterns are there, dont generate any ignore regex since an regex built from an empty string matches everything.

------------------------------------------------------------------------
r4223 | ymarcheg | 2007-11-20 16:37:57 -0500 (Tue, 20 Nov 2007) | 1 line
Changed paths:
   M /trunk/beagle/po/oc.po

Updated Occitan translation
------------------------------------------------------------------------
r4222 | dbera | 2007-11-20 16:27:02 -0500 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/EvolutionMailQueryable/EvolutionSummaryTracker.cs
   M /trunk/beagle/beagled/TextCache.cs

Second half of r3354. Sqlite2 did not have these string/int types ... sqlite3 is little better with a type affinity per column but the type affinity for strings is _not_ STRING but TEXT.

------------------------------------------------------------------------
r4220 | nirbheekc | 2007-11-18 12:05:48 -0500 (Sun, 18 Nov 2007) | 1 line
Changed paths:
   M /trunk/beagle/tools/Settings.cs

Fix typo in backend description for Liferea.
------------------------------------------------------------------------
r4219 | dbera | 2007-11-18 11:30:18 -0500 (Sun, 18 Nov 2007) | 3 lines
Changed paths:
   M /trunk/beagle/tools/Settings.cs
   M /trunk/beagle/tools/config-files/Daemon.xml
   M /trunk/beagle/tools/settings.glade

Disable NetworkServices backend by default.
Mark the related options in beagle-settings as EXPERIMENTAL.

------------------------------------------------------------------------
r4217 | dbera | 2007-11-17 19:06:12 -0500 (Sat, 17 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/BeagleClient/UnixTransport.cs
   M /trunk/beagle/Util/ExceptionHandlingThread.cs
   M /trunk/beagle/Util/StringFu.cs
   M /trunk/beagle/beagled/BeagleDaemon.cs
   M /trunk/beagle/beagled/Server.cs
   M /trunk/beagle/beagled/WebServer.cs
   M /trunk/beagle/beagled/webinterface/default.js

The very important step of removing some debug messages.

------------------------------------------------------------------------
r4216 | dbera | 2007-11-17 15:31:27 -0500 (Sat, 17 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/statusresult.xsl

Typo in name of div. Print the progress percent if it is not -1. Use a better text for is-indexing.

------------------------------------------------------------------------
r4215 | dbera | 2007-11-17 14:58:58 -0500 (Sat, 17 Nov 2007) | 9 lines
Changed paths:
   M /trunk/beagle/beagled/NetworkServicesQueryable/NetworkServicesQueryable.cs
   M /trunk/beagle/beagled/QueryResult.cs

Add support for network query ... this time for real. Fill in a minimal working NetworkServicesQueryable:DoQuery() that takes the query, fires it off to the remote beagled, waits till it obtains FinishedResponse() and keeps sending the results as it gets them. This still needs a lot of work and testing, because
- I have experienced occassional deadlocks (rare and for reasons beyond my understanding - the main problem being QueryResult should be filled in only from the Queryable.DoQuery() thread).
- Even rarer, no results from local beagled (remote beagled sends them alright - but somehow local beagled sends FinishedResponse before HitsAddedResponse)
- No live-query (No support of live-query in the Http handler)
- No snippets (the hits from the networksvc have hit.Source='Files' etc. so they get sent to FilesQueryable for GetSnippet; the mechanism needs to change).
- Don't know what happens when remote beagled shuts down in the middle ? Local one crashes / works but leaks / goes to the beach for surfin' ?

All of the above should scare you and make you think twice about using it ... but its actually usable (and if the remote and local machines have same mounted directory structures, then actually useful).

------------------------------------------------------------------------
r4214 | dbera | 2007-11-16 16:54:16 -0500 (Fri, 16 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/OperaHistory.cs

Opera integers are stored in big-endian format.

------------------------------------------------------------------------
r4213 | dbera | 2007-11-16 12:53:17 -0500 (Fri, 16 Nov 2007) | 3 lines
Changed paths:
   M /trunk/beagle/Util/Config.cs
   M /trunk/beagle/tools/Settings.cs

Fix a bad oversight in config where lists with 0 items would be saved to disk.
A bunch of #if hacks to make the networking page of beagle-settings work. I dont really know what I am doing here - but I tried all possible cases and now the options requiring avahi seem to be enabled only with --enable-avahi and the others are enabled always. You dont need avahi for network beagle. Avahi is only for browsing/finding other beagle nodes in the network.

------------------------------------------------------------------------
r4212 | dbera | 2007-11-16 09:51:40 -0500 (Fri, 16 Nov 2007) | 3 lines
Changed paths:
   M /trunk/beagle/Util/OperaHistory.cs
   M /trunk/beagle/beagled/OperaQueryable/OperaIndexableGenerator.cs
   M /trunk/beagle/beagled/Server.cs

* Revert 4211, 4210 and rework the logic to properly close the opera history file.
* Move ConnectionHandler to its own scope to help GC in freeing it up while the server is waiting for the next socket connection.

------------------------------------------------------------------------
r4211 | kkubasik | 2007-11-16 09:19:12 -0500 (Fri, 16 Nov 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/OperaQueryable/OperaIndexableGenerator.cs

oops, fix possible null
------------------------------------------------------------------------
r4210 | kkubasik | 2007-11-16 08:47:21 -0500 (Fri, 16 Nov 2007) | 1 line
Changed paths:
   M /trunk/beagle/ChangeLog
   M /trunk/beagle/beagled/OperaQueryable/OperaIndexableGenerator.cs

Fix a leak in the Opera backend where contents of a file were being perminetly held in memory. 
------------------------------------------------------------------------
r4209 | dbera | 2007-11-15 23:14:45 -0500 (Thu, 15 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/Server.cs

Unused HttpItemHandler-s were leaking. Fix that. Also, there was an fd leak in an unused part of the code, fix that too.

------------------------------------------------------------------------
r4208 | dbera | 2007-11-15 20:56:45 -0500 (Thu, 15 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/hitresult.xsl

Expand the first 5 (!) hits in each category and collapse the rest. This was easier than deciding the right UI to show expand-all/collapse-all.

------------------------------------------------------------------------
r4207 | dnylande | 2007-11-15 05:15:48 -0500 (Thu, 15 Nov 2007) | 1 line
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/sv.po

sv.po: Updated Swedish translation
------------------------------------------------------------------------
r4206 | dbera | 2007-11-15 01:37:26 -0500 (Thu, 15 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/WebServer.cs

Goes with the earlier commit.

------------------------------------------------------------------------
r4205 | dbera | 2007-11-15 01:25:31 -0500 (Thu, 15 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.js

Remember to unescape() the query string before using it.

------------------------------------------------------------------------
r4204 | dbera | 2007-11-15 01:15:41 -0500 (Thu, 15 Nov 2007) | 3 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/index.xsl
   M /trunk/beagle/beagled/webinterface/propname-table.js

Add beagle:ParentDirUri to humanized property name.
Allow directly opening http://localhost:4000/?search=query+terms+to+search to open the webapp and begin a search. Now it will be easy to write a Firefox search-plugin and search using the webinterface from other applications.

------------------------------------------------------------------------
r4203 | dbera | 2007-11-14 23:28:13 -0500 (Wed, 14 Nov 2007) | 4 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/propname-table.js

Limit a maximum of 30 results per backend. Scrolling is cumbersome.
Use DocumentFragments to store generated hits in memory and then add them to the document in one go - this is supposed to speed things up (it does).
Add another property name to humanized property name list.

------------------------------------------------------------------------
r4202 | dbera | 2007-11-14 22:43:39 -0500 (Wed, 14 Nov 2007) | 7 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.css
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/hitresult.xsl

Rename query_processor to status_processor.
Show full text for emails.
Prettyprint snippets.
Show the category headers in a more prominent way.
Several UI touches.
Move the snippet parsing logic to xslt - its much faster this way.

------------------------------------------------------------------------
r4201 | dbera | 2007-11-14 19:54:52 -0500 (Wed, 14 Nov 2007) | 5 lines
Changed paths:
   M /trunk/beagle/Util/OperaHistory.cs
   M /trunk/beagle/beagled/OperaQueryable/OperaIndexableGenerator.cs

Use last_visited instead of last_save_time to store the timestamp of an opera webhist item. Dont index name, extension of the actual cache file; its dumb.
Store the host as 'text' and not keyword; that way its searchable.
Send the charset as a hint to the filter.
Dont store if the cache file was stored compressed or not - its a property of the cache file and not the actual webhist item itself.

------------------------------------------------------------------------
r4200 | dbera | 2007-11-14 11:14:03 -0500 (Wed, 14 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.css
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/hitresult.xsl

Show snippets. Enjoy.

------------------------------------------------------------------------
r4199 | dbera | 2007-11-13 21:02:09 -0500 (Tue, 13 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.css
   M /trunk/beagle/beagled/webinterface/help.html
   M /trunk/beagle/beagled/webinterface/index.xsl

I never liked the names of the authors in the footer. Nuke'em. Add a footer to help.html and lighten the text colour of the version info.

------------------------------------------------------------------------
r4198 | dbera | 2007-11-13 20:50:43 -0500 (Tue, 13 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.css
   M /trunk/beagle/beagled/webinterface/propname-table.js

Add some more humanized property names. Dont underline the "search" string shown when the properties are hovered.

------------------------------------------------------------------------
r4197 | dbera | 2007-11-13 20:49:48 -0500 (Tue, 13 Nov 2007) | 4 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.js

Massacre of elegance in favour of performance. On my sloooooow computer, I saved at least 1.5 seconds on a search with > 100 results. Rewrite the classify_hit to be in pure javascript; pure XSLT is fast, pure JS is slow but using XML in JS is even slower. The logic is based on mappings.xml and ideally the categorization functions should be generated from a rule base like mappings.xml.
Also, while finding the humanized names for properties, take into account "parent:foo" properties.
Categorize attachments as emails.

------------------------------------------------------------------------
r4196 | dbera | 2007-11-13 19:45:09 -0500 (Tue, 13 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.css
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/hitresult.xsl

Users are now given the option to search for any of the displayed properties.

------------------------------------------------------------------------
r4195 | dbera | 2007-11-13 19:36:35 -0500 (Tue, 13 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/Makefile.am
   M /trunk/beagle/beagled/WebServer.cs
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/hitresult.xsl
   M /trunk/beagle/beagled/webinterface/index.xsl
   A /trunk/beagle/beagled/webinterface/propname-table.js

Replace the ugly property names by better ones. The mapping is not complete but covers (almost) all the properties in Filters/.

------------------------------------------------------------------------
r4194 | dbera | 2007-11-13 16:10:27 -0500 (Tue, 13 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.js

Move relevant functions closer and some other cleanup.

------------------------------------------------------------------------
r4193 | jorgegonz | 2007-11-13 14:22:46 -0500 (Tue, 13 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/es.po

Updated Spanish translation

------------------------------------------------------------------------
r4192 | nirbheekc | 2007-11-13 10:26:08 -0500 (Tue, 13 Nov 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/Makefile.am

Forgot Makefile entry for the favicon.
------------------------------------------------------------------------
r4191 | dbera | 2007-11-13 00:24:59 -0500 (Tue, 13 Nov 2007) | 3 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.css
   M /trunk/beagle/beagled/webinterface/default.js

Remove MimeTypes, HitTypes and Sources values from the query xml message (no longer part of Query).
float:{left,right,none} are the valid values - none is same as specifying nothing and seems to break nothing.

------------------------------------------------------------------------
r4190 | dbera | 2007-11-12 12:57:08 -0500 (Mon, 12 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/KMailQueryable/KMailIndexableGenerator.cs

Correctly set progress-percent when all emails are uptodate.

------------------------------------------------------------------------
r4189 | dbera | 2007-11-12 12:46:21 -0500 (Mon, 12 Nov 2007) | 3 lines
Changed paths:
   M /trunk/beagle/beagled/KMailQueryable/KMailIndexableGenerator.cs
   M /trunk/beagle/beagled/KMailQueryable/KMailIndexer.cs
   M /trunk/beagle/beagled/KMailQueryable/KMailQueryable.cs

* Report progress percent for KMail backend. Crude but better than nothing.
* Periodically check for shutdownrequested flag during initial crawling, which may not return for a long time if all mails are uptodate.

------------------------------------------------------------------------
r4188 | dbera | 2007-11-12 12:44:24 -0500 (Mon, 12 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/Scheduler.cs
   M /trunk/beagle/beagled/LuceneQueryable.cs

Show IndexableGenerator.StatusName in task status. This way long running indexable-generators can show progress information.

------------------------------------------------------------------------
r4187 | dbera | 2007-11-12 12:35:37 -0500 (Mon, 12 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/ExceptionHandlingThread.cs
   M /trunk/beagle/beagled/Shutdown.cs

Found another of those sneaky deadlocks in index-helper. IndexHelper allows two calls to BeginShutdown (from SignalHandler and DaemonMonitorWorker) which would result in a deadlock. Use a mutex protected global variable to handle that.

------------------------------------------------------------------------
r4184 | nirbheekc | 2007-11-12 00:43:04 -0500 (Mon, 12 Nov 2007) | 4 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/statusresult.xsl

- Change id and class names to use "-" instead of "_", keep the naming scheme consistent with other files.
- Don't show the indexing percent since it is not supported by any of the backends
- Show a different message if the Backend's no. of items is -1

------------------------------------------------------------------------
r4183 | nirbheekc | 2007-11-12 00:34:04 -0500 (Mon, 12 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/Makefile.am
   M /trunk/beagle/beagled/WebServer.cs

- Makefile.am: Install help.html
- WebServer.cs: Fix mime type for help.html, it doesn't display otherwise
------------------------------------------------------------------------
r4181 | dbera | 2007-11-11 07:49:45 -0500 (Sun, 11 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/help.html
   M /trunk/beagle/beagled/webinterface/index.xsl

Show the link for opening-local-files in quick tip. Add a little explanation and link to the mozillazine page to the opening-local-files help section.

------------------------------------------------------------------------
r4179 | dbera | 2007-11-10 12:11:15 -0500 (Sat, 10 Nov 2007) | 3 lines
Changed paths:
   M /trunk/beagle/beagled/Makefile.am
   M /trunk/beagle/beagled/WebServer.cs

Be a little more verbose about the root for webinterface files.
Also need to distribute index.xml.in.

------------------------------------------------------------------------
r4177 | nirbheekc | 2007-11-10 11:28:49 -0500 (Sat, 10 Nov 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/index.xsl

Show the category name on top of the corresponding category div, now you can know which category each hit belongs to ;)
------------------------------------------------------------------------
r4176 | nirbheekc | 2007-11-10 10:28:51 -0500 (Sat, 10 Nov 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.css
   M /trunk/beagle/beagled/webinterface/default.js

Remove 'Last Edited' from timestamp; there is no such thing as float: center, its float: both
------------------------------------------------------------------------
r4175 | nirbheekc | 2007-11-10 09:23:16 -0500 (Sat, 10 Nov 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.css

Make the hit results single-columned until we can fix the ugly bugs related to double-column view
------------------------------------------------------------------------
r4174 | nirbheekc | 2007-11-10 09:20:25 -0500 (Sat, 10 Nov 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.css
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/hitresult.xsl
   M /trunk/beagle/beagled/webinterface/index.xsl
   M /trunk/beagle/beagled/webinterface/statusresult.xsl

Little fixes that have been waiting in line; whitespace, markup, commenting, typos, CSS
------------------------------------------------------------------------
r4173 | nirbheekc | 2007-11-10 09:07:42 -0500 (Sat, 10 Nov 2007) | 4 lines
Changed paths:
   M /trunk/beagle/beagled/WebServer.cs
   M /trunk/beagle/beagled/webinterface/default.css
   A /trunk/beagle/beagled/webinterface/help.html
   M /trunk/beagle/beagled/webinterface/index.xsl
   D /trunk/beagle/beagled/webinterface/querysyntax.html

New Help system:
- Static help.html
- Quick tips on start (hard coded into index.xsl)
- Help opens in new tab/window
------------------------------------------------------------------------
r4172 | nirbheekc | 2007-11-10 08:18:49 -0500 (Sat, 10 Nov 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/webinterface/index.xsl

Missed this link while removing Process Info code
------------------------------------------------------------------------
r4171 | nirbheekc | 2007-11-10 08:14:47 -0500 (Sat, 10 Nov 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/Makefile.am
   M /trunk/beagle/beagled/WebServer.cs
   M /trunk/beagle/beagled/webinterface/default.css
   M /trunk/beagle/beagled/webinterface/default.js
   D /trunk/beagle/beagled/webinterface/help
   D /trunk/beagle/beagled/webinterface/help.xml
   M /trunk/beagle/beagled/webinterface/index.xsl
   A /trunk/beagle/beagled/webinterface/querysyntax.html (from /trunk/beagle/beagled/webinterface/querysyntax.html:4167)

Revert 4168 and 4169, better help system in the next commit :)
------------------------------------------------------------------------
r4170 | nirbheekc | 2007-11-10 07:03:54 -0500 (Sat, 10 Nov 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/WebServer.cs
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/statusresult.xsl

Move "Shutdown Beagle" to "Current Status", remove all code related to "Process Information"
------------------------------------------------------------------------
r4169 | nirbheekc | 2007-11-10 06:28:49 -0500 (Sat, 10 Nov 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/Makefile.am
   M /trunk/beagle/beagled/WebServer.cs

Whoops, missed WebServer and Makefile mappings in the last commit :)
------------------------------------------------------------------------
r4168 | nirbheekc | 2007-11-10 05:40:32 -0500 (Sat, 10 Nov 2007) | 5 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.css
   M /trunk/beagle/beagled/webinterface/default.js
   A /trunk/beagle/beagled/webinterface/help
   A /trunk/beagle/beagled/webinterface/help/browsersettings.html
   A /trunk/beagle/beagled/webinterface/help/morehelp.html
   A /trunk/beagle/beagled/webinterface/help/querysyntax.html
   A /trunk/beagle/beagled/webinterface/help/quicktips.html
   A /trunk/beagle/beagled/webinterface/help.xml
   M /trunk/beagle/beagled/webinterface/index.xsl
   D /trunk/beagle/beagled/webinterface/querysyntax.html

Add Help for the interface:
- Link to help.xml
- help.xml loads separate help html files, this is useful if we want to re-use help topics in separate places, such as quicktips.html can be shown on the frontpage (ala beagle-search)
- Currently, browser settings for accessing local files are only known for Firefox, more should be added as they are found (I couldn't find any for the others)
- Synchronous xmlhttp is used to load the help files since the beagle daemon cannot respond to multiple async xmlhttps requrests at the same time. However, sync xmlhttp is bad since it blocks the UI.
------------------------------------------------------------------------
r4167 | nirbheekc | 2007-11-10 04:48:34 -0500 (Sat, 10 Nov 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.css
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/index.xsl

Instead of appending everything div id="results", make separate divs for info (state_change_info) and (the soon to come) help. Much simpler.
------------------------------------------------------------------------
r4166 | nirbheekc | 2007-11-10 01:01:05 -0500 (Sat, 10 Nov 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/hitresult.xsl

Cosmetic whitespace changes
------------------------------------------------------------------------
r4164 | dbera | 2007-11-09 09:23:13 -0500 (Fri, 09 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/index.xsl

Cosmetic changes. Open the external links in a new tab/window (like normal apps do). Point to our COPYING file for copying restrictions.

------------------------------------------------------------------------
r4163 | dbera | 2007-11-09 09:16:51 -0500 (Fri, 09 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/index.xsl

Till snippets is done, don't show the query_str beside numhits. Also, my queries tend to be a bit longer and that causes rendering problem with the categories on the left.

------------------------------------------------------------------------
r4162 | dbera | 2007-11-09 09:08:28 -0500 (Fri, 09 Nov 2007) | 3 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/hitresult.xsl

Open file links in a new tab/window.
Disable the form for the entire time the search is in progress.

------------------------------------------------------------------------
r4161 | dbera | 2007-11-09 09:07:32 -0500 (Fri, 09 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/mappings.xml

Oops copy-paste-o.

------------------------------------------------------------------------
r4160 | dbera | 2007-11-09 08:58:00 -0500 (Fri, 09 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/mappings.xml

Merge 4134, 4140 from webinterface branch.

------------------------------------------------------------------------
r4159 | dbera | 2007-11-09 08:56:12 -0500 (Fri, 09 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.js

Merge 4129 from webinterface branch.

------------------------------------------------------------------------
r4158 | dbera | 2007-11-09 08:54:37 -0500 (Fri, 09 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/index.xsl

Merge 4126 from webinterface branch.

------------------------------------------------------------------------
r4157 | dbera | 2007-11-09 08:52:14 -0500 (Fri, 09 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/index.xsl
   M /trunk/beagle/beagled/webinterface/mappings.xml

Merge 4125 from webinterface branch; except snippet related code. Also remove the incomplete PropertyMapping for the time being.

------------------------------------------------------------------------
r4156 | dbera | 2007-11-09 08:46:08 -0500 (Fri, 09 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/index.xsl

Merge 4123 from webinterface branch.

------------------------------------------------------------------------
r4155 | dbera | 2007-11-09 08:43:50 -0500 (Fri, 09 Nov 2007) | 3 lines
Changed paths:
   M /trunk/beagle/beagled/Makefile.am
   M /trunk/beagle/beagled/WebServer.cs

Some files were renamed in an earlier commit.
Also, fix a logic bug in how we were using BEAGLE_WEBSERVER_DIR environment variable.

------------------------------------------------------------------------
r4154 | dbera | 2007-11-09 08:07:10 -0500 (Fri, 09 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/hitresult.xsl
   M /trunk/beagle/beagled/webinterface/index.xsl
   M /trunk/beagle/beagled/webinterface/mappings.xml

Merge 4120 from webinterface branch (except the snippet code).

------------------------------------------------------------------------
r4153 | dbera | 2007-11-09 07:54:34 -0500 (Fri, 09 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/hitresult.xsl
   M /trunk/beagle/beagled/webinterface/index.xsl
   D /trunk/beagle/beagled/webinterface/mapping.xml
   A /trunk/beagle/beagled/webinterface/mappings.xml (from /branches/beagle-webinterface-branch/beagled/webinterface/mappings.xml:4096)
   D /trunk/beagle/beagled/webinterface/queryresult.xsl
   A /trunk/beagle/beagled/webinterface/statusresult.xsl (from /branches/beagle-webinterface-branch/beagled/webinterface/statusresult.xsl:4096)

Merge 4096 from webinterface branch.

------------------------------------------------------------------------
r4152 | dbera | 2007-11-09 07:45:53 -0500 (Fri, 09 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/WebServer.cs
   A /trunk/beagle/beagled/webinterface/images/favicon.png

Merge 4144 from webinterface branch.

------------------------------------------------------------------------
r4151 | dbera | 2007-11-09 07:39:41 -0500 (Fri, 09 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/index.xml.in

Merge 4150 from webinterface branch.

------------------------------------------------------------------------
r4149 | dbera | 2007-11-08 10:31:43 -0500 (Thu, 08 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/tools/Settings.cs
   M /trunk/beagle/tools/settings.glade

A rough attempt to sanitise the networking page of beagle-settings. NetworkingService can be enabled/disabled even if avahi is not enabled. Also, copy paste some lines in settings.glade to add a checkbox for webinterface.

------------------------------------------------------------------------
r4148 | dbera | 2007-11-08 09:52:03 -0500 (Thu, 08 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/Config.cs
   M /trunk/beagle/configure.in
   M /trunk/beagle/tools/Settings.cs

Logic error (return empty string if stringoption exists but without any value) and typo ('yy' and 'p' should be removed from vim from benefit of mankind).

------------------------------------------------------------------------
r4147 | kmaraas | 2007-11-07 05:24:06 -0500 (Wed, 07 Nov 2007) | 3 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/nb.po

2007-11-07  Kjartan Maraas  <kmaraas@gnome.org>

	* nb.po: Updated Norwegian bokmål translation.
------------------------------------------------------------------------
r4146 | dbera | 2007-11-06 23:46:13 -0500 (Tue, 06 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/Makefile.am
   D /trunk/beagle/beagled/webinterface/index.xml
   A /trunk/beagle/beagled/webinterface/index.xml.in (from /trunk/beagle/beagled/webinterface/index.xml:4137)
   M /trunk/beagle/beagled/webinterface/index.xsl

Add a index.xml.in which will generate an index.xml with correct version and last-build date. Show the version-date information in the footer in a light colour (the colour information needs to be added to CSS).

------------------------------------------------------------------------
r4145 | dbera | 2007-11-06 22:02:59 -0500 (Tue, 06 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/beagle-dump-index.1
   M /trunk/beagle/beagled/beagled.1
   M /trunk/beagle/tools/Query.cs
   M /trunk/beagle/tools/beagle-query.1

Fix some man pages and --help text.

------------------------------------------------------------------------
r4143 | dbera | 2007-11-06 08:12:48 -0500 (Tue, 06 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/LuceneCommon.cs

LuceneCommon uses the Snowball stemmers differently than PorterStemmer; stemmer.Stem() cannot be run concurrently.

------------------------------------------------------------------------
r4142 | dbera | 2007-11-06 07:51:03 -0500 (Tue, 06 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/TextCache.cs

Sqlite connections must not be shared; I missed it when doing the TextCache changes.

------------------------------------------------------------------------
r4139 | kkubasik | 2007-11-05 21:33:06 -0500 (Mon, 05 Nov 2007) | 5 lines
Changed paths:
   M /trunk/beagle/ChangeLog
   M /trunk/beagle/search/Tiles/MailMessage.cs
   M /trunk/beagle/search/Tiles/Tile.cs

* search/Tiles/MailMessage.cs: Make snippets visible in beagle-search
  for Evolution Mail, this may not be a go for release, but we should
  test it to help stress test the new textcache. 
* search/Tiles/Tile.cs: If snippet is empty after our HTML parsing fun,
  then don't EmitGotSnippet.
------------------------------------------------------------------------
r4138 | kkubasik | 2007-11-05 21:03:23 -0500 (Mon, 05 Nov 2007) | 10 lines
Changed paths:
   M /trunk/beagle/ChangeLog
   M /trunk/beagle/Util/OperaHistory.cs
   M /trunk/beagle/beagled/OperaQueryable/OperaIndexableGenerator.cs
   M /trunk/beagle/beagled/OperaQueryable/OperaIndexer.cs

* Util/OperaHistory.cs: Added a lastRead time to track the current
  in-memory index.
* beagled/OperaQueryable/OperaIndexer.cs: We don't care if a cache file
  was deleted, we don't delete the index entry, we just want to know
  when Opera has finished writing one.
* beagled/OperaQueryable/OperaIndexableGenerator.cs: Some small
  cleanups/changes to the Opera backend. Namely, Opera stores the
  content of webpages that are served gzipped in its cache gzipped.
  Also add logic to not re-read from disk if in-memory history index
  is up to date. 
------------------------------------------------------------------------
r4137 | dbera | 2007-11-05 19:29:48 -0500 (Mon, 05 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Makefile.am

Use the correct option to build docs in distcheck-configure-flags.

------------------------------------------------------------------------
r4136 | llipka | 2007-11-05 15:15:12 -0500 (Mon, 05 Nov 2007) | 6 lines
Changed paths:
   M /trunk/beagle/ImLogViewer/ImLog.cs
   M /trunk/beagle/search/Pages/Base.cs
   M /trunk/beagle/tools/Settings.cs
   M /trunk/beagle/tools/settings.glade

* beagle/ImLogViewer/ImLog.cs - Kill warning.
* beagle/tools/Settings.cs - Update the UI a little and add description to make it look prettier.
* beagle/tools/settings.glade - Remove unnecessary things.
* beagle/search/Pages/Base.cs - Set justification to fill to use up all the free space on our pages.


------------------------------------------------------------------------
r4135 | llipka | 2007-11-05 14:38:05 -0500 (Mon, 05 Nov 2007) | 1 line
Changed paths:
   M /trunk/beagle/tools/Settings.cs
   M /trunk/beagle/tools/settings.glade

Basic UI configuration for enabling/disabling backends in beagle-settings
------------------------------------------------------------------------
r4133 | llipka | 2007-11-05 14:15:37 -0500 (Mon, 05 Nov 2007) | 10 lines
Changed paths:
   M /trunk/beagle/BeagleClient/Message.cs
   M /trunk/beagle/search/Pages/Base.cs
   M /trunk/beagle/search/Pages/NoMatch.cs
   M /trunk/beagle/search/Pages/QuickTips.cs
   M /trunk/beagle/search/Pages/RootUser.cs
   M /trunk/beagle/search/Pages/StartDaemon.cs
   M /trunk/beagle/search/Search.cs
   M /trunk/beagle/search/UIManager.cs

* search/Pages/QuickTips.cs
* search/Pages/StartDaemon.cs
* search/Pages/RootUser.cs
* search/Pages/NoMatch.cs
* search/Pages/Base.cs - Fix some rough edges and make our pages look nicer.
* search/Search.cs
* search/UIManager.cs - Add support for selecting domains to query but keep them disabled for now.
* BeagleClient/Message.cs - Update the API a little, now remote queries can only be used asynchronously.


------------------------------------------------------------------------
r4130 | dbera | 2007-11-05 00:18:38 -0500 (Mon, 05 Nov 2007) | 9 lines
Changed paths:
   M /trunk/beagle/INSTALL
   M /trunk/beagle/Util/Makefile.am
   M /trunk/beagle/configure.in
   M /trunk/beagle/doc/api/Makefile.am
   M /trunk/beagle/epiphany-extension/Makefile.am
   M /trunk/beagle/po/POTFILES.in
   M /trunk/beagle/po/POTFILES.skip
   M /trunk/beagle/search/Makefile.am

A desparate and naive attempt to get "make distcheck" to succeed. It did succeed after the following changes, except I am not sure if those changes are correct. I was just short of embracing insanity when I got the final problem fixed up.
* Several changes to doc/api/Makefile.am: proper wildcard handling, a disthook for copying the xml files, and some more changes that I blindly copied from gtk-sharp/doc.
* Add beagle-search manpage to the list of installed files.
* Update INSTALL (how did this one get changed ?)
* Remove dead file from Util/Makefile.am
* Remove ContactViewer files from POTFILES
* Add some *.desktop files to PITFILES.skip because something complained during distcheck. Also add DigikamTags.cs and DumpIndex.cs because C# verbatim @"string" confuses the translatable-string-searcher.
* Bring back r1306 - a hack to make distcheck pass the epiphany-extension.

------------------------------------------------------------------------
r4128 | dbera | 2007-11-05 00:07:37 -0500 (Mon, 05 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/ExceptionHandlingThread.cs
   M /trunk/beagle/configure.in

Mark --enable-avahi as experimental, it does cause trouble sometimes. Bit more verbose thread handling, all the nasty beagled/index-helper not quitting can be tracked by them.

------------------------------------------------------------------------
r4127 | dbera | 2007-11-05 00:05:41 -0500 (Mon, 05 Nov 2007) | 2 lines
Changed paths:
   A /trunk/attic/ContactViewer (from /trunk/beagle/ContactViewer:4083)
   D /trunk/beagle/ContactViewer

Move ContactViewer to attic.

------------------------------------------------------------------------
r4124 | nirbheekc | 2007-11-04 20:48:29 -0500 (Sun, 04 Nov 2007) | 1 line
Changed paths:
   A /trunk/beagle/logo/beagle-webinterface.svg

Add the source svg for the "new" webinterface logo. And yes, it's the correct one (eog/gnome/Gecko/GIMP can't render the "W" properly), open it in Inkscape.
------------------------------------------------------------------------
r4122 | dbera | 2007-11-04 12:44:51 -0500 (Sun, 04 Nov 2007) | 2 lines
Changed paths:
   A /trunk/beagle/beagled/webinterface/querysyntax.html

Beagle search syntax. This somehow has to be linked from index.xml (and appropriately stylesheet-ed). The content of <body></body> is a direct copy from the wiki page and is better left unchanged - to help in syncing the content in the future.

------------------------------------------------------------------------
r4121 | dbera | 2007-11-03 14:57:57 -0400 (Sat, 03 Nov 2007) | 4 lines
Changed paths:
   M /trunk/beagle/Filters/FilterHtml.cs
   M /trunk/beagle/Filters/FilterKNotes.cs
   M /trunk/beagle/Filters/FilterMail.cs
   M /trunk/beagle/Util/HtmlRemovingReader.cs
   M /trunk/beagle/beagled/Filter.cs

Two changes:
- Make snippets from html nicer (skip blank lines - I know I went back on my earlier decision).
- We already indexed the txt part of an email as its body; but when the email had an html part too, that was indexed as an attachment; that looked weird and unnecessary. By hooking up an html filter to the textreader for the html message part, we can index the body of the html part as the text data of the mail indexable. This requires some other changes too, namely an Open() method in filter to work on streams without storing them in a tmpfile. A side effect of the html email indexing is that the henceforth the html emails would not be copied to disk for indexing, but would be indexed "in place".

------------------------------------------------------------------------
r4118 | leonardof | 2007-11-03 06:17:18 -0400 (Sat, 03 Nov 2007) | 4 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/pt_BR.po

2007-11-03  Leonardo Ferreira Fontenelle  <leonardof@svn.gnome.org>

	* pt_BR.po: Two minor fixes.

------------------------------------------------------------------------
r4117 | leonardof | 2007-11-03 05:51:03 -0400 (Sat, 03 Nov 2007) | 5 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/pt_BR.po

2007-11-03  Leonardo Ferreira Fontenelle  <leonardof@svn.gnome.org>

	* pt_BR.po: Brazilian Portuguese translation updated by Igor Pires
	Soares.

------------------------------------------------------------------------
r4116 | dbera | 2007-11-03 01:46:45 -0400 (Sat, 03 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/FileSystemQueryable/FileSystemQueryable.cs

Instead of using two separate queue for addition and removal of files, use a single queue to deal with both kinds of filesystem changes. Using two queues destroy any ordering between the events, e.g. create, delete, create might get scheduled as create,create,delete (which is exactly what happens when firefox downloads some file).

------------------------------------------------------------------------
r4115 | dbera | 2007-11-03 01:25:09 -0400 (Sat, 03 Nov 2007) | 1 line
Changed paths:
   M /trunk/beagle/BeagleClient/Message.cs
   M /trunk/beagle/beagled/IndexHelper/RemoteIndexerExecutor.cs
   M /trunk/beagle/beagled/RemoteIndexer.cs
   M /trunk/beagle/beagled/Server.cs

Find out a bunch of ways IndexHelper can keep running despite asked to quit. And fix them. The problem can happen when: server encounters an exception trying to send data, a real exception, not a fake one to signal the need for an indexhelper. Because of the way Transports now work, the same message cannot be send twice (the transport is closed after send()). In that what case, just ignore that message instead of retrying. Also, in certain cases, while a socket is shutting down, a part of the message may go through but there might be an exception trying to send the last 0xff. Put that code in a try-block too. Lastly, when indexhelper is shutdown, sometimes a mysterious body abort the Server.Run() thread - I could not figure out who it is. But nevertheless, there is a possibility that Run() thread could be aborted - take care to catch the AbortException and gracefully shutdown (the alternative is to allow the thread to be aborted and let indexhelper wait on a Shutdown monitor forever). 
------------------------------------------------------------------------
r4114 | dbera | 2007-11-02 21:19:37 -0400 (Fri, 02 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/BeagleDaemon.cs
   M /trunk/beagle/beagled/IndexHelper/IndexHelper.cs
   M /trunk/beagle/beagled/Server.cs

Store in Server whether this is an indexhelper instance or a beagledaemon instance. Accordingly start the webserver.

------------------------------------------------------------------------
r4113 | dbera | 2007-11-02 20:37:13 -0400 (Fri, 02 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/glue/tomboykeybinder.c

Revert 3643 and then conditionally use Joe's patch for 3643. Fixes the problem where shortcut key was not working in ubuntu and gentoo (these were reported, probably everywhere).

------------------------------------------------------------------------
r4112 | dbera | 2007-11-02 20:35:11 -0400 (Fri, 02 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/tools/Settings.cs

Fix a typo. Earlier networking settings were written to beagle-search.

------------------------------------------------------------------------
r4111 | dbera | 2007-11-02 08:01:13 -0400 (Fri, 02 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/Scheduler.cs

Typo. Show the correct creator, description etc. for tasks.

------------------------------------------------------------------------
r4110 | kkubasik | 2007-11-02 01:35:24 -0400 (Fri, 02 Nov 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/OperaQueryable/OperaIndexableGenerator.cs

added plain text and pdf files to the types that the opera backend can index in opera's cache
------------------------------------------------------------------------
r4109 | dbera | 2007-11-02 00:24:29 -0400 (Fri, 02 Nov 2007) | 2 lines
Changed paths:
   A /trunk/beagle/Filters/TagLib/Ape/File.cs
   M /trunk/beagle/Filters/TagLib/Ape/Footer.cs
   M /trunk/beagle/Filters/TagLib/Ape/Item.cs
   A /trunk/beagle/Filters/TagLib/Ape/StreamHeader.cs
   M /trunk/beagle/Filters/TagLib/Ape/Tag.cs
   M /trunk/beagle/Filters/TagLib/Asf/ContentDescriptionObject.cs
   M /trunk/beagle/Filters/TagLib/Asf/ContentDescriptor.cs
   A /trunk/beagle/Filters/TagLib/Asf/DescriptionRecord.cs
   M /trunk/beagle/Filters/TagLib/Asf/ExtendedContentDescriptionObject.cs
   M /trunk/beagle/Filters/TagLib/Asf/File.cs
   M /trunk/beagle/Filters/TagLib/Asf/FilePropertiesObject.cs
   M /trunk/beagle/Filters/TagLib/Asf/Guid.cs
   A /trunk/beagle/Filters/TagLib/Asf/HeaderExtensionObject.cs
   M /trunk/beagle/Filters/TagLib/Asf/HeaderObject.cs
   A /trunk/beagle/Filters/TagLib/Asf/MetadataLibraryObject.cs
   M /trunk/beagle/Filters/TagLib/Asf/Object.cs
   M /trunk/beagle/Filters/TagLib/Asf/PaddingObject.cs
   M /trunk/beagle/Filters/TagLib/Asf/StreamPropertiesObject.cs
   M /trunk/beagle/Filters/TagLib/Asf/Tag.cs
   M /trunk/beagle/Filters/TagLib/Asf/UnknownObject.cs
   M /trunk/beagle/Filters/TagLib/ByteVector.cs
   M /trunk/beagle/Filters/TagLib/ByteVectorList.cs
   M /trunk/beagle/Filters/TagLib/CombinedTag.cs
   M /trunk/beagle/Filters/TagLib/CorruptFileException.cs
   A /trunk/beagle/Filters/TagLib/Debugger.cs
   M /trunk/beagle/Filters/TagLib/File.cs
   M /trunk/beagle/Filters/TagLib/FileTypes.cs
   M /trunk/beagle/Filters/TagLib/Flac/Block.cs
   M /trunk/beagle/Filters/TagLib/Flac/BlockHeader.cs
   M /trunk/beagle/Filters/TagLib/Flac/File.cs
   M /trunk/beagle/Filters/TagLib/Flac/Picture.cs
   M /trunk/beagle/Filters/TagLib/Flac/StreamHeader.cs
   M /trunk/beagle/Filters/TagLib/Genres.cs
   M /trunk/beagle/Filters/TagLib/ICodec.cs
   M /trunk/beagle/Filters/TagLib/Id3v1/StringHandler.cs
   M /trunk/beagle/Filters/TagLib/Id3v1/Tag.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/ExtendedHeader.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Footer.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/FrameFactory.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/FrameHeader.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/FrameTypes.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/AttachedPictureFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/CommentsFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/GeneralEncapsulatedObjectFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/MusicCdIdentifierFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/PlayCountFrame.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/Frames/PopularimeterFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/PrivateFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/RelativeVolumeFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/SynchronizedLyricsFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/TermsOfUseFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/TextIdentificationFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/UniqueFileIdentifierFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/UnknownFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/UnsynchronisedLyricsFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Header.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/SynchData.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Tag.cs
   A /trunk/beagle/Filters/TagLib/IntList.cs
   M /trunk/beagle/Filters/TagLib/ListBase.cs
   M /trunk/beagle/Filters/TagLib/Mpc/File.cs
   M /trunk/beagle/Filters/TagLib/Mpc/StreamHeader.cs
   M /trunk/beagle/Filters/TagLib/Mpeg/AudioFile.cs
   M /trunk/beagle/Filters/TagLib/Mpeg/AudioHeader.cs
   M /trunk/beagle/Filters/TagLib/Mpeg/File.cs
   M /trunk/beagle/Filters/TagLib/Mpeg/VideoHeader.cs
   M /trunk/beagle/Filters/TagLib/Mpeg/XingHeader.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/AppleTag.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Box.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/BoxFactory.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/BoxHeader.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/BoxTypes.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/AppleAdditionalInfoBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/AppleAnnotationBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/AppleDataBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/AppleElementaryStreamDescriptor.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/AppleItemListBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/FullBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoAudioSampleEntry.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoChunkLargeOffsetBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoChunkOffsetBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoFreeSpaceBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoHandlerBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoMetaBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoMovieHeaderBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoSampleDescriptionBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoSampleEntry.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoSampleTableBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoUserDataBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoVisualSampleEntry.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/UnknownBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/File.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/FileParser.cs
   M /trunk/beagle/Filters/TagLib/NonContainer/EndTag.cs
   M /trunk/beagle/Filters/TagLib/NonContainer/File.cs
   M /trunk/beagle/Filters/TagLib/NonContainer/StartTag.cs
   M /trunk/beagle/Filters/TagLib/NonContainer/Tag.cs
   M /trunk/beagle/Filters/TagLib/Ogg/Bitstream.cs
   M /trunk/beagle/Filters/TagLib/Ogg/Codec.cs
   M /trunk/beagle/Filters/TagLib/Ogg/Codecs/Theora.cs
   M /trunk/beagle/Filters/TagLib/Ogg/Codecs/Vorbis.cs
   M /trunk/beagle/Filters/TagLib/Ogg/File.cs
   M /trunk/beagle/Filters/TagLib/Ogg/GroupedComment.cs
   M /trunk/beagle/Filters/TagLib/Ogg/Page.cs
   M /trunk/beagle/Filters/TagLib/Ogg/PageHeader.cs
   M /trunk/beagle/Filters/TagLib/Ogg/Paginator.cs
   M /trunk/beagle/Filters/TagLib/Ogg/XiphComment.cs
   M /trunk/beagle/Filters/TagLib/Picture.cs
   M /trunk/beagle/Filters/TagLib/Properties.cs
   M /trunk/beagle/Filters/TagLib/README
   M /trunk/beagle/Filters/TagLib/ReadOnlyByteVector.cs
   M /trunk/beagle/Filters/TagLib/Riff/AviHeaderList.cs
   M /trunk/beagle/Filters/TagLib/Riff/AviStream.cs
   M /trunk/beagle/Filters/TagLib/Riff/BitmapInfoHeader.cs
   M /trunk/beagle/Filters/TagLib/Riff/DivXTag.cs
   M /trunk/beagle/Filters/TagLib/Riff/File.cs
   M /trunk/beagle/Filters/TagLib/Riff/InfoTag.cs
   M /trunk/beagle/Filters/TagLib/Riff/List.cs
   M /trunk/beagle/Filters/TagLib/Riff/ListTag.cs
   M /trunk/beagle/Filters/TagLib/Riff/MovieIdTag.cs
   M /trunk/beagle/Filters/TagLib/Riff/WaveFormatEx.cs
   M /trunk/beagle/Filters/TagLib/StringList.cs
   M /trunk/beagle/Filters/TagLib/SupportedMimeType.cs
   M /trunk/beagle/Filters/TagLib/Tag.cs
   M /trunk/beagle/Filters/TagLib/TagLib.sources
   M /trunk/beagle/Filters/TagLib/UnsupportedFormatException.cs
   M /trunk/beagle/Filters/TagLib/WavPack/File.cs
   M /trunk/beagle/Filters/TagLib/WavPack/StreamHeader.cs

Sync with upstream taglib-sharp.

------------------------------------------------------------------------
r4108 | dbera | 2007-11-01 22:21:52 -0400 (Thu, 01 Nov 2007) | 3 lines
Changed paths:
   M /trunk/beagle/Util/DirectoryWalker.cs
   M /trunk/beagle/beagled/FileSystemQueryable/FileSystemQueryable.cs

Mention whether the indexable is Add or Remove in PreAddIndexableHook debug message.
Add a quick method to DirectoryWalker to count the number of files in a directory.

------------------------------------------------------------------------
r4107 | jorgegonz | 2007-11-01 17:09:02 -0400 (Thu, 01 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/es.po

Updated Spanish translation

------------------------------------------------------------------------
r4103 | dbera | 2007-11-01 00:15:14 -0400 (Thu, 01 Nov 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/LuceneIndexingDriver.cs

LuceneIndexingDriver:GenerateNextIndexable() gets the next indexable from a filter and is potentially unsafe i.e. can throw exceptions. Catch the exception and stop further indexing from that particular deferred indexable.

------------------------------------------------------------------------
r4102 | dbera | 2007-10-31 23:52:32 -0400 (Wed, 31 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/images/beagle-logo.png

Missed the new beagle logo (made by Nirbheek, based on the beagle-project.org logo) while importing from launchpad webbeagle branch.

------------------------------------------------------------------------
r4101 | dbera | 2007-10-31 21:07:37 -0400 (Wed, 31 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/KMailQueryable/KMailIndexer.cs
   M /trunk/beagle/tools/config-files/Daemon.xml

Remove hardcoded exclude mail folders from kmail backend. Add those to config/Daemon.xml

------------------------------------------------------------------------
r4100 | kelemeng | 2007-10-31 14:13:31 -0400 (Wed, 31 Oct 2007) | 5 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/hu.po

2007-10-31  Gabor Kelemen  <kelemeng@gnome.hu>

	* hu.po: Translation updated


------------------------------------------------------------------------
r4099 | dbera | 2007-10-31 09:42:59 -0400 (Wed, 31 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/XdgMime.cs

Add #ifdef-ed debug lines for debugging mimetype detection.

------------------------------------------------------------------------
r4098 | dbera | 2007-10-31 07:37:27 -0400 (Wed, 31 Oct 2007) | 3 lines
Changed paths:
   M /trunk/beagle/Filters/FilterOle.cs
   M /trunk/beagle/Filters/FilterPPT.cs

* Temporary fix for a crash in FilterOle.cs. Based on libgsf/tests/test-msole2.c. Uncompress() owns the passed input; so the passed input should not be unref-ed afterwords.
* Fix text extraction of title/author from PPT files.

------------------------------------------------------------------------
r4097 | llipka | 2007-10-30 11:28:18 -0400 (Tue, 30 Oct 2007) | 1 line
Changed paths:
   M /trunk/beagle/po/POTFILES.in

Fix renamed files POTFILES.in (bgo #491711)
------------------------------------------------------------------------
r4095 | nirbheekc | 2007-10-30 07:01:36 -0400 (Tue, 30 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.css
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/index.xsl
   D /trunk/beagle/beagled/webinterface/query.html

- We don't use query.html anymore
- Search input box focus fix, hunted down and fixed by dBera :)
------------------------------------------------------------------------
r4094 | dbera | 2007-10-29 21:50:29 -0400 (Mon, 29 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/BuildIndex.cs
   M /trunk/beagle/beagled/EvolutionMailQueryable/EvolutionMailIndexableGenerator.cs
   M /trunk/beagle/beagled/FileSystemQueryable/FileNameFilter.cs

Remove last traces of Exclude.IsMatch(). Also, earlier I missed the allowed/denied-patterns in BuildIndex, fix that. One more reason to have strongly typed collections :(.

------------------------------------------------------------------------
r4093 | dbera | 2007-10-29 21:20:57 -0400 (Mon, 29 Oct 2007) | 3 lines
Changed paths:
   M /trunk/beagle/beagled/Lucene.Net/Index/IndexWriter.cs
   M /trunk/beagle/beagled/Lucene.Net/Index/SegmentInfos.cs
   A /trunk/beagle/beagled/Lucene.Net/upstream-changes/29_delete_stale_files.patch

There could be unusual circumstances when Lucene does not delete its stale data. Its hard to find out why but currently there is no way of debugging this or figuring out what happened. In this situation, instead of leaving behind the huge amount of stale data (which is useless once the new data is there and is even more useless since we don't log lucene internal operations), delete the stale data and print a big WARNING that stale data is being deleted.
The logic to delete stale data is simple, other than "segments" and "deletable", all other files have their filenames mentioned in the segments file.

------------------------------------------------------------------------
r4090 | dbera | 2007-10-28 21:22:12 -0400 (Sun, 28 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/FileSystemQueryable/InternalUriManager.cs
   M /trunk/beagle/beagled/Shutdown.cs
   M /trunk/beagle/beagled/TextCache.cs

Remove some debug messages. These features are well tested by now.

------------------------------------------------------------------------
r4089 | dbera | 2007-10-27 12:50:00 -0400 (Sat, 27 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/StringFu.cs
   M /trunk/beagle/beagled/FileSystemQueryable/FileNameFilter.cs
   M /trunk/beagle/beagled/Server.cs
   M /trunk/beagle/tools/config-files/FilesQueryable.xml

Remove the hardcoded list of exclude patterns from File system backend and put them in the config. Now you are free to index those silly *.o files.

------------------------------------------------------------------------
r4088 | dbera | 2007-10-27 10:05:07 -0400 (Sat, 27 Oct 2007) | 6 lines
Changed paths:
   M /trunk/beagle/beagled/Server.cs
   M /trunk/beagle/beagled/Shutdown.cs
   M /trunk/beagle/beagled/webinterface/index.xsl
   M /trunk/beagle/tools/config-files/Networking.xml

index.xsl : revert accidental commit.
others: Add option Networking.WebInterface.
* If Networking.ServiceEnabled is true, WebInterface is ignored. Server accepts connections from anywhere.
* If only WebInterface is true, server accepts connections only from local host.
* WebInterface can be enabled/disabled by "beagle-config Networking WebInterface true/false" even when beagled is running (Networking.ServiceEnabled can't be changed on the fly :( )

------------------------------------------------------------------------
r4087 | dbera | 2007-10-27 07:21:41 -0400 (Sat, 27 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/ManageIndex.cs

Add some files and dirs which can be present in a valid beagle index directory.

------------------------------------------------------------------------
r4086 | dbera | 2007-10-27 07:15:03 -0400 (Sat, 27 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/FileSystem.cs
   M /trunk/beagle/beagled/Lucene.Net/Store/FSDirectory.cs
   M /trunk/beagle/beagled/Lucene.Net/Store/Lock.cs
   A /trunk/beagle/beagled/Lucene.Net/upstream-changes/28_nospace_exception.patch

Report no-space-on-disk problems differently than write failures while writing to lock file. Now only I have to where to catch these exceptions.

------------------------------------------------------------------------
r4085 | dbera | 2007-10-26 10:57:54 -0400 (Fri, 26 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/FileSystemQueryable/FileNameFilter.cs

Note to self: check the list from config, it could be null.

------------------------------------------------------------------------
r4084 | dbera | 2007-10-26 10:36:31 -0400 (Fri, 26 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/Makefile.am
   M /trunk/beagle/beagled/WebServer.cs
   M /trunk/beagle/beagled/webinterface/TODO
   D /trunk/beagle/beagled/webinterface/ajax-loader.gif
   D /trunk/beagle/beagled/webinterface/beagle-logo.png
   M /trunk/beagle/beagled/webinterface/default.css
   M /trunk/beagle/beagled/webinterface/default.js
   A /trunk/beagle/beagled/webinterface/hitresult.xsl
   A /trunk/beagle/beagled/webinterface/images
   A /trunk/beagle/beagled/webinterface/images/beagle-logo.png (from /trunk/beagle/beagled/webinterface/beagle-logo.png:4054)
   A /trunk/beagle/beagled/webinterface/images/busy-animation.gif
   A /trunk/beagle/beagled/webinterface/images/title_bg.png (from /trunk/beagle/beagled/webinterface/title_bg.png:4054)
   A /trunk/beagle/beagled/webinterface/index.xml
   A /trunk/beagle/beagled/webinterface/index.xsl
   A /trunk/beagle/beagled/webinterface/mapping.xml
   M /trunk/beagle/beagled/webinterface/queryresult.xsl
   D /trunk/beagle/beagled/webinterface/title_bg.png

Merge changes from launchpad webbeagle branch bzr#9.

------------------------------------------------------------------------
r4083 | llipka | 2007-10-26 06:30:33 -0400 (Fri, 26 Oct 2007) | 3 lines
Changed paths:
   M /trunk/beagle/beagled/NetworkServicesQueryable/NetworkServicesQueryable.cs
   M /trunk/beagle/beagled/QueryDriver.cs

* beagled/QueryDriver.cs - Be more careful about exceptions so we don't crash clients.
* beagled/NetworkServicesQueryable/NetworkServicesQueryable.cs - Fix a null ref bug introduced by the new configuration system.

------------------------------------------------------------------------
r4082 | dbera | 2007-10-25 21:11:26 -0400 (Thu, 25 Oct 2007) | 3 lines
Changed paths:
   M /trunk/beagle/Util/Config.cs
   M /trunk/beagle/beagled/BuildIndex.cs
   M /trunk/beagle/beagled/QueryDriver.cs

Fix the ever eluding bug of "No queryable object matches ..." in snippet. It happened if a static index is created with a custom source. Fix that by using a config file target/StaticIndex.xml. Add several helper methods to Config to facilitate conf usage. BuildIndex now stores the value of the source (which is either the value of --source or the name of the target directory) in the config file. Upon subsequent reruns, if --source is not present and the config file is present, the value is read from the config file.
Existing static indexes need to recreated (or faked by creating a correct StaticIndex.xml in the target/ directory).

------------------------------------------------------------------------
r4081 | dbera | 2007-10-25 19:16:54 -0400 (Thu, 25 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/AUTHORS

Add Tao to AUTHORS.

------------------------------------------------------------------------
r4080 | dbera | 2007-10-25 19:15:34 -0400 (Thu, 25 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/AUTHORS

Add Nirbheek to AUTHORS.

------------------------------------------------------------------------
r4078 | dbera | 2007-10-24 20:34:04 -0400 (Wed, 24 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/tools/Query.cs

Remove obsolete code.

------------------------------------------------------------------------
r4077 | dbera | 2007-10-24 20:30:20 -0400 (Wed, 24 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/SnippetExecutor.cs

Found the source of "ERROR: No queryable object matches ..." in snippet. For the time being, just return a null snippet and print the error in the logfile.

------------------------------------------------------------------------
r4076 | dbera | 2007-10-24 20:00:18 -0400 (Wed, 24 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/SnippetFu.cs

query_terms can be null when asking for a snippet. Fix possible crashes.

------------------------------------------------------------------------
r4075 | dbera | 2007-10-24 17:30:39 -0400 (Wed, 24 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/BuildIndex.cs
   M /trunk/beagle/beagled/FileSystemQueryable/FileNameFilter.cs

Check the list returned by config, listoption could be null.

------------------------------------------------------------------------
r4074 | dbera | 2007-10-24 15:41:46 -0400 (Wed, 24 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/Config.cs

Deserialization of empty array is returning null array (used to return empty array before) ... prevent a crash by taking care of that.

------------------------------------------------------------------------
r4073 | dbera | 2007-10-24 11:48:51 -0400 (Wed, 24 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/EvolutionMailQueryable/EvolutionSummaryTracker.cs

Oops - extra quote.

------------------------------------------------------------------------
r4072 | dbera | 2007-10-24 11:41:29 -0400 (Wed, 24 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/EvolutionMailQueryable/EvolutionSummaryTracker.cs

Changes to deal with the changes in SqliteUtils.

------------------------------------------------------------------------
r4071 | dbera | 2007-10-24 11:25:22 -0400 (Wed, 24 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/Makefile.am

Evo backend needs Mono.Data.Sqlite. Now that we dont provide inhouse Mono.Data.SqliteClient, add the assembly to the Evo-target in Makefile.am.

------------------------------------------------------------------------
r4070 | dbera | 2007-10-24 00:21:34 -0400 (Wed, 24 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/ExternalStringsHack.cs.in
   M /trunk/beagle/Util/Makefile.am
   M /trunk/beagle/beagled/Makefile.am
   M /trunk/beagle/beagled/WebServer.cs

Install the webserver files in /usr/share/beagle instead of /etc/beagle.

------------------------------------------------------------------------
r4069 | dbera | 2007-10-24 00:16:53 -0400 (Wed, 24 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/glue/xdgmime/README
   M /trunk/beagle/glue/xdgmime/xdgmimealias.h
   M /trunk/beagle/glue/xdgmime/xdgmimecache.c
   M /trunk/beagle/glue/xdgmime/xdgmimecache.h
   M /trunk/beagle/glue/xdgmime/xdgmimemagic.c
   M /trunk/beagle/glue/xdgmime/xdgmimeparent.h

Sync local xdgmime copy to latest gtk+ trunk.

------------------------------------------------------------------------
r4068 | dbera | 2007-10-22 20:45:30 -0400 (Mon, 22 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/StringFu.cs
   M /trunk/beagle/beagled/BuildIndex.cs

One more step towards removing hard-wired exclude patterns in code. Also, marge all the exclude patterns in a large regex and use the regex to determine if the filename matches any exclude pattern. Doing this gives me a saving of 1 sec on 4000 files traversed (BuildIndex sans actual indexing) (4.8 vs 3.7 seconds).

------------------------------------------------------------------------
r4067 | dbera | 2007-10-21 20:43:43 -0400 (Sun, 21 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/BeagleClient/Snippet.cs

Overlooked this fd leak in snippet reader.

------------------------------------------------------------------------
r4066 | dbera | 2007-10-21 20:18:49 -0400 (Sun, 21 Oct 2007) | 3 lines
Changed paths:
   M /trunk/beagle/BeagleClient/Snippet.cs
   M /trunk/beagle/beagled/FileSystemQueryable/FileSystemQueryable.cs
   M /trunk/beagle/beagled/TextCache.cs
   M /trunk/beagle/tools/Query.cs

Add a "--cache" argument to beagle-query which will return the cached text for the match.
Retrieving snippets for self-cached files for FSQ was broken, fixed that.

------------------------------------------------------------------------
r4065 | llipka | 2007-10-21 19:23:05 -0400 (Sun, 21 Oct 2007) | 1 line
Changed paths:
   M /trunk/beagle/tools/wrapper.in

Add our glue libraries to LD_LIBRARY_PATH. They are needed by the config system in beagle-settings.
------------------------------------------------------------------------
r4064 | dbera | 2007-10-21 18:04:32 -0400 (Sun, 21 Oct 2007) | 4 lines
Changed paths:
   M /trunk/beagle/beagled/BuildIndex.cs
   M /trunk/beagle/beagled/QueryStringParser.cs

* Minor change in BuildIndex.
* Add query syntax uri:file:///a/b.zip#foo.txt for uri query.
* Make the regexes static and compiled.

------------------------------------------------------------------------
r4063 | dbera | 2007-10-19 22:45:35 -0400 (Fri, 19 Oct 2007) | 11 lines
Changed paths:
   M /trunk/beagle/Filters/FilterMail.cs
   M /trunk/beagle/Util/ArrayFu.cs
   D /trunk/beagle/Util/Conf.cs
   A /trunk/beagle/Util/Config.cs
   M /trunk/beagle/Util/Makefile.am
   M /trunk/beagle/Util/PathFinder.cs
   M /trunk/beagle/Util/SystemInformation.cs
   M /trunk/beagle/beagled/BeagleDaemon.cs
   M /trunk/beagle/beagled/EvolutionMailQueryable/EvolutionMailIndexableGenerator.cs
   M /trunk/beagle/beagled/FileSystemQueryable/FileNameFilter.cs
   M /trunk/beagle/beagled/FileSystemQueryable/FileSystemQueryable.cs
   M /trunk/beagle/beagled/KMailQueryable/KMailIndexer.cs
   M /trunk/beagle/beagled/NetworkServicesQueryable/NetworkServicesQueryable.cs
   M /trunk/beagle/beagled/QueryDriver.cs
   M /trunk/beagle/beagled/RemoteControlExecutors.cs
   M /trunk/beagle/beagled/Zeroconf.cs
   M /trunk/beagle/search/Search.cs
   M /trunk/beagle/tools/Config.cs
   M /trunk/beagle/tools/Info.cs
   M /trunk/beagle/tools/Makefile.am
   M /trunk/beagle/tools/Settings.cs
   A /trunk/beagle/tools/config-files
   A /trunk/beagle/tools/config-files/BeagleSearch.xml
   A /trunk/beagle/tools/config-files/Daemon.xml
   A /trunk/beagle/tools/config-files/FilesQueryable.xml
   A /trunk/beagle/tools/config-files/Networking.xml

Merge 4001-4007, 4009, 4062 from cutting-edge-branch.
New config system.
* tools/config-files/*.xml will act as the schema for the config options.
* global config at sysconfdir/beagle/config-files/ .
* IMPORTANT: If you are running uninstalled, "make install" at least once to get the global files in the right place.
* Plugins (filters and backends) can store/retrieve their own configuration data.
* libbeagle API is mostly ready ... but I dont think it is needed. With KDE4, a simple KDE settings gui can be written directly using the Kimono bindings. If someone needs the libbeagle API to manipulate the settings, contact me.
* old config files will be automatically translated to the new ones.
* ExcludePattern.Path can have environment variables e.g. $HOME/tmp
* Tested that the code builds and the beagle-settings work (hurray Mono VMWare live-cd :)

------------------------------------------------------------------------
r4061 | dbera | 2007-10-18 23:07:20 -0400 (Thu, 18 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/DigikamTags.cs
   M /trunk/beagle/Util/FSpotTools.cs
   M /trunk/beagle/Util/Makefile.am
   M /trunk/beagle/beagled/EvolutionMailQueryable/EvolutionSummaryTracker.cs
   M /trunk/beagle/beagled/FileAttributesStore_Sqlite.cs
   M /trunk/beagle/beagled/Makefile.am
   D /trunk/beagle/beagled/Mono.Data.SqliteClient
   M /trunk/beagle/beagled/SqliteUtils.cs
   M /trunk/beagle/beagled/TextCache.cs
   M /trunk/beagle/configure.in

Migrate from Mono.Data.SqliteClient to Mono.Data.Sqlite. Note:SqliteCommand.Parameters.Add() is replaced with AddWithValue().

------------------------------------------------------------------------
r4059 | dbera | 2007-10-17 19:16:14 -0400 (Wed, 17 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/EvolutionMailQueryable/EvolutionSummaryTracker.cs

Replace ":" in the evolution mail folder name with "_" to prevent problems with sqlite connection string.

------------------------------------------------------------------------
r4058 | dbera | 2007-10-16 18:32:47 -0400 (Tue, 16 Oct 2007) | 4 lines
Changed paths:
   M /trunk/beagle/Util/ExternalStringsHack.cs.in
   M /trunk/beagle/Util/FSpotTools.cs
   M /trunk/beagle/Util/VersionFu.cs
   M /trunk/beagle/beagled/BeagleDaemon.cs
   M /trunk/beagle/beagled/EvolutionMailQueryable/EvolutionSummaryTracker.cs
   M /trunk/beagle/beagled/FileAttributesStore_Sqlite.cs
   M /trunk/beagle/beagled/IndexHelper/IndexHelper.cs
   M /trunk/beagle/beagled/TextCache.cs
   M /trunk/beagle/configure.in

Drop support for sqlite 2. Just remove the configure check and remove references of sqlite2 from the code.
- When the move to M.D.Sqlite happens, the whole thing needs a general cleanup.
- F-Spot support sqlite3 and it will be a pain to keep reading tags from sqlite2 fspot.db after the migration to M.D.Sqlite happens, so only read tags from sqlite3 fspot db.

------------------------------------------------------------------------
r4055 | dbera | 2007-10-16 15:55:50 -0400 (Tue, 16 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/ExceptionHandlingThread.cs

Safeguard against an exceptional case when a thread is not alive yet not removed from the live_threads list.

------------------------------------------------------------------------
r4054 | joeshaw | 2007-10-15 15:26:14 -0400 (Mon, 15 Oct 2007) | 4 lines
Changed paths:
   M /trunk/beagle/beagled/EvolutionMailQueryable/EvolutionSummaryTracker.cs

Add a dummy SELECT command to the summary tracker so as to catch sqlite
database version mismatches when moving from v2 to v3.


------------------------------------------------------------------------
r4051 | dbera | 2007-10-14 20:09:37 -0400 (Sun, 14 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/BeagleClient/Makefile.am
   M /trunk/beagle/Util/ChmFile.cs

Fix #430625. ChmFilter works with libchm.so.1 and not libchm.so.0. Is there a way to check in configure.in which version is installed (libchm does not come with a pkg-config file) ?

------------------------------------------------------------------------
r4049 | ymarcheg | 2007-10-14 11:18:53 -0400 (Sun, 14 Oct 2007) | 1 line
Changed paths:
   M /trunk/beagle/ChangeLog
   M /trunk/beagle/configure.in
   A /trunk/beagle/po/oc.po

Updated Occitan translation
------------------------------------------------------------------------
r4047 | taofei | 2007-10-10 01:58:23 -0400 (Wed, 10 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/firefox-extension/chrome/content/beagleOverlay.js
   M /trunk/beagle/firefox-extension/chrome/content/beaglePrefs.js
   M /trunk/beagle/firefox-extension/chrome/locale/en-US/beagle.properties
   M /trunk/beagle/firefox-extension/chrome/locale/zh-CN/beagle.properties

add beagle.storage.directory option

------------------------------------------------------------------------
r4046 | dbera | 2007-10-09 23:16:12 -0400 (Tue, 09 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/Makefile.am
   M /trunk/beagle/beagled/WebServer.cs
   M /trunk/beagle/beagled/beagled.in

Install the webinterface files in $sysconfdir/beagle/webinterface. Use BEAGLE_WEBINTERFACE_DIR to find the webinterface files if running uninstalled. Hope there is no security problem in the way the env variable is being used.

------------------------------------------------------------------------
r4045 | dbera | 2007-10-09 22:43:56 -0400 (Tue, 09 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/WebServer.cs
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/query.html
   M /trunk/beagle/beagled/webinterface/queryresult.xsl

Add links to shutdown beagle. In future, we can also show basic process information about beagle and index-helper.

------------------------------------------------------------------------
r4044 | dnylande | 2007-10-09 15:48:57 -0400 (Tue, 09 Oct 2007) | 1 line
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/sv.po

sv.po: Updated Swedish translation
------------------------------------------------------------------------
r4043 | dbera | 2007-10-08 22:25:33 -0400 (Mon, 08 Oct 2007) | 1 line
Changed paths:
   M /trunk/beagle/Util/Scheduler.cs
   M /trunk/beagle/beagled/FileSystemQueryable/FileSystemQueryable.cs
   M /trunk/beagle/beagled/LuceneQueryable.cs
   M /trunk/beagle/beagled/LuceneQueryingDriver.cs

Turn off the sometimes useful but mostly irritating debug flags
------------------------------------------------------------------------
r4042 | dbera | 2007-10-08 17:24:37 -0400 (Mon, 08 Oct 2007) | 5 lines
Changed paths:
   M /trunk/beagle/beagled/BuildIndex.cs
   M /trunk/beagle/beagled/FileAttributesStore_Sqlite.cs
   M /trunk/beagle/beagled/FileSystemQueryable/FileSystemQueryable.cs
   M /trunk/beagle/beagled/SnippetFu.cs
   M /trunk/beagle/beagled/SqliteUtils.cs
   M /trunk/beagle/beagled/TextCache.cs

A database is not suitable for storing files in general. A filesystem with fixed size block suffers from external fragmentation when lots of extremely small files are stored (e.g. the gzipped textcache files beagle stores for snippets).
Here we try to balance in between by storing all files more than 4K (1 block size) on disk and others in the database. The content is the same gzipped-data as before. Drastically cuts down the storage space. Hopefully, the speed would not suffer much even with a million emails. The limit of 4K is arbitrary and can be tuned. In my home directory, most of the small text cache files were generated from emails and were well below 4K mark.
The old textcache database should be automatically purged. But nevertheless it would be a good idea to manually delete .beagle and re-index everything.
Also, I removed some redundant function calls of TextCache and used bind-variables in sqlite wherever I could.

------------------------------------------------------------------------
r4041 | dbera | 2007-10-07 20:25:07 -0400 (Sun, 07 Oct 2007) | 2 lines
Changed paths:
   D /trunk/beagle/Util/Firefox.cs
   M /trunk/beagle/Util/Makefile.am
   M /trunk/beagle/beagled/AssemblyInfo.cs
   D /trunk/beagle/beagled/DownloadsMetadataQueryable
   M /trunk/beagle/beagled/Makefile.am

Revert 4018-4021,4031 in trunk. Its best if the download information backend is solved for once and all in the branch and then merged to trunk.

------------------------------------------------------------------------
r4038 | jorgegonz | 2007-10-07 08:49:29 -0400 (Sun, 07 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/es.po

Updated spanish translation

------------------------------------------------------------------------
r4035 | dbera | 2007-10-04 11:34:49 -0400 (Thu, 04 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/queryresult.xsl

webinterface: fixme:alias was changed to fixme:speakingto_alias

------------------------------------------------------------------------
r4034 | dbera | 2007-10-03 12:14:16 -0400 (Wed, 03 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/Server.cs

No need to set up the httplistener-keep_alive watch if the listener is already closed. This reduces the web interface query fetching time by 5 seconds (the interval of the timer). Previously fetching query would take 5.1 seconds ... you do the rest of the math.

------------------------------------------------------------------------
r4032 | joeshaw | 2007-10-03 11:06:51 -0400 (Wed, 03 Oct 2007) | 4 lines
Changed paths:
   M /trunk/beagle/beagled/beagled-autostart.desktop
   M /trunk/beagle/search/beagle-search-autostart.desktop
   M /trunk/beagle/search/beagle-search.desktop.in.in
   M /trunk/beagle/tools/beagle-settings.desktop.in.in

Fix some spec-compliance issues with the .desktop files.  Based on a
patch from Stephane Loeuillet (leroutier@gmail.com).  Fixes bgo #481726.


------------------------------------------------------------------------
r4031 | kkubasik | 2007-10-03 07:35:59 -0400 (Wed, 03 Oct 2007) | 1 line
Changed paths:
   M /trunk/beagle/Util/Firefox.cs
   M /trunk/beagle/beagled/DownloadsMetadataQueryable/DownloadsMetadataQueryable.cs

Try to stop a runaway metadatabackend
------------------------------------------------------------------------
r4030 | llipka | 2007-10-03 06:27:32 -0400 (Wed, 03 Oct 2007) | 1 line
Changed paths:
   M /trunk/beagle/doc
   M /trunk/beagle/doc/api
   M /trunk/beagle/epiphany-extension
   M /trunk/beagle/search/DetailsPane.cs
   M /trunk/beagle/search/Pages/Base.cs

Damn, backout some changes from the previous accidental commit. They still need work. :-(
------------------------------------------------------------------------
r4029 | llipka | 2007-10-03 06:09:25 -0400 (Wed, 03 Oct 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/NetworkServicesQueryable/NetworkServicesQueryable.cs
   M /trunk/beagle/beagled/QueryDriver.cs
   M /trunk/beagle/configure.in
   D /trunk/beagle/search/ConversationCategory.cs
   A /trunk/beagle/search/DetailsPane.cs (from /trunk/beagle/search/Tiles/DetailsPane.cs:3998)
   M /trunk/beagle/search/GroupView.cs
   A /trunk/beagle/search/ListCategory.cs (from /trunk/beagle/search/ConversationCategory.cs:3998)
   M /trunk/beagle/search/Makefile.am
   M /trunk/beagle/search/NotificationArea.cs
   M /trunk/beagle/search/Pages/Base.cs
   M /trunk/beagle/search/Pages/StartDaemon.cs
   M /trunk/beagle/search/Search.cs
   D /trunk/beagle/search/Tiles/DetailsPane.cs
   D /trunk/beagle/search/Tiles/WidgetFu.cs
   M /trunk/beagle/search/UIManager.cs
   A /trunk/beagle/search/WidgetFu.cs (from /trunk/beagle/search/Tiles/WidgetFu.cs:3998)

Disable Avahi by default until we get all the remaining issues fixed. Joe is right, this isn't consumer-ready yet.
------------------------------------------------------------------------
r4028 | llipka | 2007-10-03 06:02:53 -0400 (Wed, 03 Oct 2007) | 1 line
Changed paths:
   M /trunk/beagle/BeagleClient/Message.cs
   M /trunk/beagle/BeagleClient/Query.cs
   M /trunk/beagle/BeagleClient/QueryResponses.cs
   M /trunk/beagle/BeagleClient/Transport.cs
   M /trunk/beagle/BeagleClient/UnixTransport.cs

More client API cleanup.
------------------------------------------------------------------------
r4027 | llipka | 2007-10-03 05:59:42 -0400 (Wed, 03 Oct 2007) | 5 lines
Changed paths:
   M /trunk/beagle/BeagleClient/Hit.cs
   M /trunk/beagle/beagled/PidginQueryable/PidginQueryable.cs

* beagled/PidginQueryable/PidginQueryable.cs - Don't add null properties in HitFilter
* BeagleClient/Hit.cs - Don't allow adding null properties

This should fix a serialization problem when buddy icons were null.

------------------------------------------------------------------------
r4026 | llipka | 2007-10-03 05:56:20 -0400 (Wed, 03 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/tools/Settings.cs
   M /trunk/beagle/tools/settings.glade

Slightly update the settings UI, also add a base for enable/disable backends but keep it hidden until Bera's new configuration system comes in.

------------------------------------------------------------------------
r4025 | dbera | 2007-10-02 22:53:42 -0400 (Tue, 02 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/queryresult.xsl

Bookmarks now have a hittype=bookmark. Also add feeds to the links category.

------------------------------------------------------------------------
r4024 | dbera | 2007-10-02 22:51:14 -0400 (Tue, 02 Oct 2007) | 5 lines
Changed paths:
   M /trunk/beagle/firefox-extension/chrome/content/indexBookmark.js

Firefox-extension:
- No mimetype
- HitType=Bookmark (consistent with konq bookmark indexables)
- use DC elements for title, location and description

------------------------------------------------------------------------
r4023 | dbera | 2007-10-02 22:35:04 -0400 (Tue, 02 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.js

Uncommit some bad changes.

------------------------------------------------------------------------
r4022 | dbera | 2007-10-02 22:03:28 -0400 (Tue, 02 Oct 2007) | 14 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/TODO
   M /trunk/beagle/beagled/webinterface/default.css
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/query.html
   M /trunk/beagle/beagled/webinterface/queryresult.xsl

More changes from Nirbheek:
- The checkbox mechanism is now less ambiguous, and more usable.
- `autocomplete="off"` has been added to the checkbox form.
  `FIXME code` has been added into search() to "reset" the checkboxes
between searches.
   These are to prevent checkbox behaviour from going haywire till we
"remember" search filters between searches.
- Update TODO

Before its too late, change the source to follow the coding guideline. Except ... the functions all look better if c_style_underscored.

Reverse the [+] and [-]. [+] means collapsed, can be expanded, [-] means expanded, can be collapsed.
Change the (C) symbol to a real copyright one.

------------------------------------------------------------------------
r4021 | kkubasik | 2007-10-02 17:22:27 -0400 (Tue, 02 Oct 2007) | 1 line
Changed paths:
   M /trunk/beagle/Util/Firefox.cs
   M /trunk/beagle/beagled/DownloadsMetadataQueryable/DownloadsMetadataQueryable.cs

move fsattribute writting to postcommithook, as well as some more formatting cleanup
------------------------------------------------------------------------
r4020 | kkubasik | 2007-10-02 17:11:41 -0400 (Tue, 02 Oct 2007) | 1 line
Changed paths:
   M /trunk/beagle/Util/Firefox.cs
   M /trunk/beagle/beagled/DownloadsMetadataQueryable/DownloadsMetadataQueryable.cs

formatting cleanup
------------------------------------------------------------------------
r4019 | kkubasik | 2007-10-02 16:55:29 -0400 (Tue, 02 Oct 2007) | 1 line
Changed paths:
   A /trunk/beagle/Util/Firefox.cs
   A /trunk/beagle/beagled/DownloadsMetadataQueryable
   A /trunk/beagle/beagled/DownloadsMetadataQueryable/DownloadsMetadataQueryable.cs

I suck ad adding new files
------------------------------------------------------------------------
r4018 | kkubasik | 2007-10-02 16:32:11 -0400 (Tue, 02 Oct 2007) | 1 line
Changed paths:
   M /trunk/beagle/Util/Makefile.am
   M /trunk/beagle/beagled/AssemblyInfo.cs
   M /trunk/beagle/beagled/Makefile.am

Index where files were downloaded from, the property beagle:Origin represents this
------------------------------------------------------------------------
r4017 | dbera | 2007-10-02 11:47:35 -0400 (Tue, 02 Oct 2007) | 3 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.js

From Nirbheek: Fix the incorrect behaviour of the category checkboxes. Now "All" hides and unhides stuff correctly.
There is still that "2-click step to display only images" though; I wonder if that can be reduced to "1-click"!

------------------------------------------------------------------------
r4016 | arunsr | 2007-10-02 11:19:16 -0400 (Tue, 02 Oct 2007) | 4 lines
Changed paths:
   M /trunk/beagle/Makefile.am

Slightly crazy fix for what appears to be automake non-determinism

This should handle the case where images/ was being built before Util/ and BeagleClient/, causing a build failure.

------------------------------------------------------------------------
r4015 | dbera | 2007-10-02 11:17:43 -0400 (Tue, 02 Oct 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.css

Horizontal scrollbars are bad. Nirbheek's fix to auto-crop the long urls.

------------------------------------------------------------------------
r4014 | dbera | 2007-10-02 10:57:43 -0400 (Tue, 02 Oct 2007) | 19 lines
Changed paths:
   A /trunk/beagle/beagled/webinterface/TODO
   M /trunk/beagle/beagled/webinterface/default.css
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/query.html
   M /trunk/beagle/beagled/webinterface/queryresult.xsl

More changes from Nirbheek Chauhan.
- The category checkboxes finally work exactly like they're supposed to
(default.js:toggle_category, the javascript took surprisingly long),
Note that when hiding all the results, `<div id="results">` is set
to `display: none` instead of every category separately.
- Send out a "No Results" if there are no results (default.js:157)
- Each Hit can be individually shown/hidden (default.js:toggle_hit,
queryresult.xsl:92), this needs to be beautified a bit. Also, the way
in which toggle_hit shows/hides the Hit Data is dependant on the
structure of the Hit, is this okay? Or should it be changed?
(default.js:220,224)
- Have the topbar be shown only when a search is being done
- Slight formatting changes to the footer to bring the more important
things into focus ;) (query.html:id="footer")
- Convert the Beagle Logo image into a link back to a blank search
page (query.html:67, default.css:41)
- Added a TODO file, it lists all that I know needs to be done, we
can add things to it to keep a track of what all needs to be done :)

------------------------------------------------------------------------
r4013 | kkubasik | 2007-10-02 09:10:09 -0400 (Tue, 02 Oct 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/IndexingServiceQueryable/IndexingServiceQueryable.cs
   M /trunk/beagle/beagled/PropertyKeywordFu.cs

Change mapping to IndexingService backend, not universal
------------------------------------------------------------------------
r4012 | kkubasik | 2007-10-02 09:02:48 -0400 (Tue, 02 Oct 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/PropertyKeywordFu.cs

oops, missed this in my commit
------------------------------------------------------------------------
r4011 | kkubasik | 2007-10-02 08:51:31 -0400 (Tue, 02 Oct 2007) | 6 lines
Changed paths:
   M /trunk/beagle/beagled/IndexingServiceQueryable/IndexingServiceQueryable.cs
   M /trunk/beagle/beagled/PropertyKeywordFu.cs
   M /trunk/beagle/search/Tiles/File.cs
   M /trunk/beagle/search/Tiles/MailAttachment.cs
   M /trunk/beagle/search/Tiles/MailMessage.cs
   M /trunk/beagle/search/Tiles/TextDocument.cs
   M /trunk/beagle/search/Tiles/WebHistory.cs

Add the following context menu options:
-Find By Author
-Find Messages From Sender
-Find Pages From Domain

to the relivent tiles in beagle-search
------------------------------------------------------------------------
r4008 | dbera | 2007-09-30 09:36:48 -0400 (Sun, 30 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/WebServer.cs

Use a #ifdef switch in source to disable serving web-pages in the unlikely event we decide to ship before we decide to featurize, promote and install the web-ui (which is currently in the hands of a 'brave' soul).

------------------------------------------------------------------------
r3998 | dbera | 2007-09-28 21:02:20 -0400 (Fri, 28 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/Conf.cs

Print only the error message if avahi is not running.

------------------------------------------------------------------------
r3996 | dbera | 2007-09-26 21:12:05 -0400 (Wed, 26 Sep 2007) | 3 lines
Changed paths:
   M /trunk/beagle/Filters/AssemblyInfo.cs
   A /trunk/beagle/Filters/FilterTeX.cs
   M /trunk/beagle/Filters/Makefile.am

Add TeX filter (thanks to auxsvr@yahoo.com).
Finally an end to bug #314844.

------------------------------------------------------------------------
r3995 | dooteo | 2007-09-25 15:03:05 -0400 (Tue, 25 Sep 2007) | 6 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/eu.po

2007-09-25  Inaki Larranaga  <dooteo@zundan.com>

        * eu.po: Fixed some typos.



------------------------------------------------------------------------
r3994 | dbera | 2007-09-25 08:20:41 -0400 (Tue, 25 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/ajax-loader.gif

This animated gif is nicer.

------------------------------------------------------------------------
r3993 | kkubasik | 2007-09-24 23:10:27 -0400 (Mon, 24 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterImage.cs
   M /trunk/beagle/Filters/FilterPdf.cs
   M /trunk/beagle/Util/F-Spot/MetadataStore.cs

Index that license metadata (CC only) from images and PDF files as well. Based on patch from bug #455669.

------------------------------------------------------------------------
r3992 | kkubasik | 2007-09-24 23:10:24 -0400 (Mon, 24 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterSvg.cs

Extract Creative Commons metadata from Svg files.

------------------------------------------------------------------------
r3991 | kkubasik | 2007-09-24 23:10:20 -0400 (Mon, 24 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterOle.cs

Extract CreativeCommons metadata from Ole files.

------------------------------------------------------------------------
r3990 | postlund | 2007-09-24 16:07:22 -0400 (Mon, 24 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/thunderbird-extension/content/beagleMailWindow.xul

* Opening messages when Thunderbird is running should work now (#469276)

------------------------------------------------------------------------
r3989 | dbera | 2007-09-23 21:01:01 -0400 (Sun, 23 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/query.html

Move the javascript out to its own file before its too late.

------------------------------------------------------------------------
r3988 | dbera | 2007-09-23 20:43:58 -0400 (Sun, 23 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/WebServer.cs

Forgot to add the mapping for the animation.

------------------------------------------------------------------------
r3987 | dbera | 2007-09-23 18:07:44 -0400 (Sun, 23 Sep 2007) | 6 lines
Changed paths:
   A /trunk/beagle/beagled/webinterface/ajax-loader.gif
   M /trunk/beagle/beagled/webinterface/default.css
   M /trunk/beagle/beagled/webinterface/query.html

This is fun :)
More changes.
- Add license info.
- Display a busy-animation gif (free to use created by http://ajaxloader.info) when searching
- Show the time taken to search and a top-bar which can be used (eventually) to quickly display only images/videos/documents/mails etc.

------------------------------------------------------------------------
r3986 | dbera | 2007-09-23 13:49:58 -0400 (Sun, 23 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.css
   M /trunk/beagle/beagled/webinterface/query.html
   M /trunk/beagle/beagled/webinterface/queryresult.xsl

Add some UI changes to the web interface (mostly from Nirbheek Chauhan).

------------------------------------------------------------------------
r3985 | llipka | 2007-09-23 03:34:00 -0400 (Sun, 23 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/BeagleClient/UnixTransport.cs

* UnixTransport.cs: Set the client to null after being disposed. This should fix the object used after being disposed messages.

------------------------------------------------------------------------
r3984 | dbera | 2007-09-22 19:06:12 -0400 (Sat, 22 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/tools/Query.cs

Does not make sense for query string to contain words like "--xxx", so assume "--xxx" to be a mistyped option.

------------------------------------------------------------------------
r3983 | dbera | 2007-09-21 17:42:13 -0400 (Fri, 21 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/default.css
   M /trunk/beagle/beagled/webinterface/query.html

Add some colours. The web search interface is looking somewhat better.

------------------------------------------------------------------------
r3982 | joeshaw | 2007-09-21 16:50:18 -0400 (Fri, 21 Sep 2007) | 5 lines
Changed paths:
   M /trunk/beagle/glue/xdgmime/xdgmimecache.c

Fix another xdgmimecache.c bug which calls into public code, causes a
refresh of the in-memory cache, and accesses the just-freed memory.
Part of bnc #326808 and bugs.freedesktop.org #12512.


------------------------------------------------------------------------
r3980 | dbera | 2007-09-21 10:13:32 -0400 (Fri, 21 Sep 2007) | 2 lines
Changed paths:
   A /trunk/beagle/beagled/WebServer.cs

Add the WebServer class to manage the static pages for the web ui.

------------------------------------------------------------------------
r3979 | dbera | 2007-09-20 20:28:31 -0400 (Thu, 20 Sep 2007) | 4 lines
Changed paths:
   M /trunk/beagle/beagled/Makefile.am
   M /trunk/beagle/beagled/Server.cs
   A /trunk/beagle/beagled/webinterface/beagle-logo.png
   A /trunk/beagle/beagled/webinterface/default.css
   A /trunk/beagle/beagled/webinterface/default.js
   M /trunk/beagle/beagled/webinterface/query.html
   A /trunk/beagle/beagled/webinterface/title_bg.png

Add an external stylesheet (for people to experiment).
Move the static page handling to its own class WebServer.
Add some pictures (from beagle-wiki; I supposed its ok to use them ?).

------------------------------------------------------------------------
r3978 | jorgegonz | 2007-09-20 05:53:13 -0400 (Thu, 20 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/es.po

Updated Spanish translation

------------------------------------------------------------------------
r3972 | dbera | 2007-09-18 16:40:05 -0400 (Tue, 18 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/search/Tiles/Tile.cs

Fix a build break.

------------------------------------------------------------------------
r3971 | dooteo | 2007-09-17 15:06:09 -0400 (Mon, 17 Sep 2007) | 5 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/eu.po

2007-09-17  Inaki Larranaga Murgoitio  <dooteo@zundan.com>

        * eu.po: Updated Basque translation.


------------------------------------------------------------------------
r3970 | jwendell | 2007-09-17 14:04:39 -0400 (Mon, 17 Sep 2007) | 4 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/pt_BR.po

2007-09-17  Jonh Wendell  <jwendell@gnome.org>

	* pt_BR.po: Updated Brazilian Portuguese translation by Og Maciel.

------------------------------------------------------------------------
r3968 | dbera | 2007-09-17 01:18:11 -0400 (Mon, 17 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/BeagleClient/Hit.cs
   M /trunk/beagle/BeagleClient/Query.cs
   M /trunk/beagle/beagled/LuceneCommon.cs
   M /trunk/beagle/beagled/Server.cs
   M /trunk/beagle/beagled/webinterface/queryresult.xsl
   M /trunk/beagle/bludgeon/QueryFu.cs
   M /trunk/beagle/tools/Query.cs
   M /trunk/libbeagle/beagle/beagle-hit.c
   M /trunk/libbeagle/beagle/beagle-hit.h
   M /trunk/libbeagle/beagle/beagle-hits-added-response.c
   M /trunk/libbeagle/beagle/beagle-private.h

Remove deprecated options from tools/Query.cs and deprecated Hit.MimeType, Hit.Source, Hit.Type. These properties of Hit are available from the propertylist and hence no need to be stored separately. Provide convenience wrappers for these properties (existing clients would work; also these are special properties so they deserve their own properties) and add a wrapper for beagle:FileType property. Make the necessary changes in libbeagle too.

------------------------------------------------------------------------
r3967 | dbera | 2007-09-17 00:03:35 -0400 (Mon, 17 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/webinterface/query.html
   M /trunk/beagle/beagled/webinterface/queryresult.xsl

Show daemoninformationresponse in webbeagle. Quick way to see status information. Some CSS help in adding some colours to the page will be most welcome.

------------------------------------------------------------------------
r3966 | jmas | 2007-09-16 14:59:49 -0400 (Sun, 16 Sep 2007) | 6 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/POTFILES.in
   M /trunk/beagle/po/ca.po

2007-09-16  Jordi Mas <jmas@softcatala.org>

	* ca.po: Updated Catalan translation
	* POTFILES.in: Add NotificationArea.cs


------------------------------------------------------------------------
r3965 | jmas | 2007-09-16 06:50:17 -0400 (Sun, 16 Sep 2007) | 1 line
Changed paths:
   M /trunk/beagle/search/NotificationArea.cs

Makes the Hide button localizable
------------------------------------------------------------------------
r3964 | ituohela | 2007-09-16 06:41:33 -0400 (Sun, 16 Sep 2007) | 1 line
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/fi.po

Updated Finnish translation (spellchecked)
------------------------------------------------------------------------
r3963 | dbera | 2007-09-16 00:05:48 -0400 (Sun, 16 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/Server.cs

Small fixes to the networking code, reduces exceptions and hanged beagled at exit. There is a possible leak though. Check the code marked with "FIXME FIXME FIXME".

------------------------------------------------------------------------
r3962 | dbera | 2007-09-15 14:24:18 -0400 (Sat, 15 Sep 2007) | 7 lines
Changed paths:
   M /trunk/beagle/Filters/FilterMail.cs
   M /trunk/beagle/Util/Conf.cs
   M /trunk/beagle/beagled/FilterFactory.cs
   M /trunk/beagle/beagled/Flavor.cs
   M /trunk/beagle/tools/Info.cs

Sometimes beagled (xdgmime) miscomputes the mimetype of maildir files; thus simply adding a maildir directory as a root does not work! Allow adding a path to conf to specifically request files under a subdirectory to be always treated as message/rfc822 files.
NOTE: This isnt a generic mail backend. E.g. if there are non maildir files under that root, those will also be indexed using mailfilter (the conf option takes an wildcarded-extension to allow only files with certain extension to be recognized as mail files, but that does leaves out lots of other cases). Also, if the maildir directories have more mails in subdirectories, they will be indexed, UNLESS, those subdirectories are hidden! Since the files backend crawler does not scan hidden directories, those files will not be indexed. A mail backend is always the best way to handle maildir files.

* Flavor.cs, FilterFactory.cs, Info.cs: Remove some properties. Beautify the string representation. Use a icomparer and return a sortedlist table instead of an unsorted hashtable. The comparer sorts the flavor with the larger wt first.
* Conf.cs: Add options to add/remove/list maildir directories.
* FilterMail.cs: Add the user specified maildir directories to its supported flavors.

------------------------------------------------------------------------
r3961 | leonardof | 2007-09-15 01:33:45 -0400 (Sat, 15 Sep 2007) | 5 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/pt_BR.po

2007-09-15  Leonardo Ferreira Fontenelle  <leonardof@svn.gnome.org>

        * pt_BR.po: Brazilian Portuguese translation updated by Igor Pires
        Soares <igor@projetofedora.org>.

------------------------------------------------------------------------
r3960 | dbera | 2007-09-13 13:24:00 -0400 (Thu, 13 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/ExtractContent.cs

Make snowball related changes in ExtractContent.

------------------------------------------------------------------------
r3959 | dbera | 2007-09-13 13:16:53 -0400 (Thu, 13 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/LuceneCommon.cs

Use english-snowballstemmer as our default stemmer instead of porterstemmer.

------------------------------------------------------------------------
r3958 | dbera | 2007-09-13 12:40:56 -0400 (Thu, 13 Sep 2007) | 2 lines
Changed paths:
   D /trunk/beagle/beagled/Snowball.Net/out

Oops. How did this go in :( ?

------------------------------------------------------------------------
r3957 | dbera | 2007-09-13 12:33:15 -0400 (Thu, 13 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/Makefile.am
   A /trunk/beagle/beagled/Snowball.Net
   A /trunk/beagle/beagled/Snowball.Net/AssemblyInfo.cs
   A /trunk/beagle/beagled/Snowball.Net/LICENSE.txt
   A /trunk/beagle/beagled/Snowball.Net/Lucene.Net
   A /trunk/beagle/beagled/Snowball.Net/Lucene.Net/Analysis
   A /trunk/beagle/beagled/Snowball.Net/Lucene.Net/Analysis/Snowball
   A /trunk/beagle/beagled/Snowball.Net/Lucene.Net/Analysis/Snowball/Package.html
   A /trunk/beagle/beagled/Snowball.Net/Lucene.Net/Analysis/Snowball/SnowballAnalyzer.cs
   A /trunk/beagle/beagled/Snowball.Net/Lucene.Net/Analysis/Snowball/SnowballFilter.cs
   A /trunk/beagle/beagled/Snowball.Net/README.txt
   A /trunk/beagle/beagled/Snowball.Net/SF
   A /trunk/beagle/beagled/Snowball.Net/SF/Overview.html
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/Among.cs
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/Ext
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/Ext/DanishStemmer.cs
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/Ext/DutchStemmer.cs
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/Ext/EnglishStemmer.cs
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/Ext/FinnishStemmer.cs
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/Ext/FrenchStemmer.cs
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/Ext/German2Stemmer.cs
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/Ext/GermanStemmer.cs
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/Ext/ItalianStemmer.cs
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/Ext/KpStemmer.cs
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/Ext/LovinsStemmer.cs
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/Ext/NorwegianStemmer.cs
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/Ext/Package.html
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/Ext/PorterStemmer.cs
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/Ext/PortugueseStemmer.cs
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/Ext/RussianStemmer.cs
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/Ext/SpanishStemmer.cs
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/Ext/SwedishStemmer.cs
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/Package.html
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/SnowballProgram.cs
   A /trunk/beagle/beagled/Snowball.Net/SF/Snowball/TestApp.cs
   A /trunk/beagle/beagled/Snowball.Net/out

Add Snowball.Net-2.0 from apache. This will allow us to correctly "stem" non-english words. Not used yet. I am not even sure what is the best way to use this. Can certain filetypes or data sources have information on what is the language of the data ?

------------------------------------------------------------------------
r3956 | dbera | 2007-09-13 11:47:55 -0400 (Thu, 13 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/Conf.cs

Add a conf options for enabling/disabling network_search.

------------------------------------------------------------------------
r3955 | dbera | 2007-09-11 13:06:45 -0400 (Tue, 11 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/Makefile.am

Back out accidental commit; svn trunk should build fine now.

------------------------------------------------------------------------
r3954 | dbera | 2007-09-10 16:57:32 -0400 (Mon, 10 Sep 2007) | 2 lines
Changed paths:
   A /trunk/attic/beagled/IndexWebContent.cs (from /trunk/beagle/beagled/IndexWebContent.cs:3937)
   A /trunk/attic/beagled/beagle-index-url.8 (from /trunk/beagle/beagled/beagle-index-url.8:3937)
   D /trunk/beagle/beagled/IndexWebContent.cs
   M /trunk/beagle/beagled/Makefile.am
   D /trunk/beagle/beagled/beagle-index-url.8

Move beagle-index-url to attic. Nobody uses this anymore (epiphany extension uses IndexingService).

------------------------------------------------------------------------
r3953 | dbera | 2007-09-10 16:33:38 -0400 (Mon, 10 Sep 2007) | 2 lines
Changed paths:
   A /trunk/attic/tools/Crawler.cs (from /trunk/beagle/tools/Crawler.cs:3937)
   D /trunk/beagle/tools/Crawler.cs

Move unused Crawler.cs to attic.

------------------------------------------------------------------------
r3950 | dbera | 2007-09-09 20:27:22 -0400 (Sun, 09 Sep 2007) | 4 lines
Changed paths:
   M /trunk/beagle/beagled/Server.cs
   M /trunk/beagle/beagled/Zeroconf.cs
   A /trunk/beagle/beagled/webinterface
   A /trunk/beagle/beagled/webinterface/query.html
   A /trunk/beagle/beagled/webinterface/queryresult.xsl

Fun commit.
Beagle search web-interface. Extremely basic, using ajax + xslt. Shows a huge list of hits with the names of properties (no snippets).
Turn on Util/Conf.cs:NetworkingConfig.service_enabled, start beagled with "--backend NetworkServices", then go to http://localhost:4000 and watch the magic. There might be lots of security and other problems, so yeah, this is disabled by default (and also not distributable right now).

------------------------------------------------------------------------
r3949 | llipka | 2007-09-09 16:48:52 -0400 (Sun, 09 Sep 2007) | 4 lines
Changed paths:
   M /trunk/beagle/beagled/ExtractContent.cs
   M /trunk/beagle/beagled/PidginQueryable/PidginIndexableGenerator.cs
   M /trunk/beagle/beagled/PidginQueryable/PidginQueryable.cs

* PidginQueryable/PidginIndexableGenerator.cs - Add the speaking to person's alias as a keyword so we can search for it.
* PidginQueryable/PidginQueryable.cs - Expose our buddy list reader.
* ExtractContent.cs - Show usage information if no args passed.

------------------------------------------------------------------------
r3948 | dnylande | 2007-09-08 08:47:11 -0400 (Sat, 08 Sep 2007) | 1 line
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/sv.po

sv.po: Updated Swedish translation
------------------------------------------------------------------------
r3947 | dooteo | 2007-09-07 15:09:25 -0400 (Fri, 07 Sep 2007) | 5 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/eu.po

2007-09-07  Inaki Larranaga Murgoitio  <dooteo@zundan.com>

        * eu.po: Supervised and fixed Basque translation.


------------------------------------------------------------------------
r3946 | ituohela | 2007-09-07 13:25:45 -0400 (Fri, 07 Sep 2007) | 1 line
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/fi.po

Updated Finnish translation
------------------------------------------------------------------------
r3943 | dbera | 2007-09-06 08:18:48 -0400 (Thu, 06 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/beagle-build-index.8

Typo. Noticed by Zhang Sen.

------------------------------------------------------------------------
r3942 | dooteo | 2007-09-05 14:46:08 -0400 (Wed, 05 Sep 2007) | 5 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/eu.po

2007-08-05  Inaki Larranaga Murgoitio  <dooteo@<zundan.com>

        * eu.po: Erased Basque translation. Waiting to be revised.


------------------------------------------------------------------------
r3941 | jorgegonz | 2007-09-05 14:34:40 -0400 (Wed, 05 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/es.po

Updated Spanish translation

------------------------------------------------------------------------
r3940 | dbera | 2007-09-04 21:54:30 -0400 (Tue, 04 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/HtmlAgilityPack/HtmlDocument.cs

A nasty hack to distinguish between "http://abcd" and "foo // this is a comment" in a style, script or a noxhtml tag (all PCData tags). Workaround for #473744.

------------------------------------------------------------------------
r3939 | dbera | 2007-09-03 21:33:17 -0400 (Mon, 03 Sep 2007) | 3 lines
Changed paths:
   M /trunk/beagle/doc/api/BeagleClient/Beagle/EmptyResponse.xml
   D /trunk/beagle/doc/api/BeagleClient/Beagle/ISnippetReader.xml
   D /trunk/beagle/doc/api/BeagleClient/Beagle/PropertyList.xml
   D /trunk/beagle/doc/api/BeagleClient/Beagle/RequestMessageAttribute.xml
   D /trunk/beagle/doc/api/BeagleClient/Beagle/RequestMessageExecutor+AsyncResponse.xml
   D /trunk/beagle/doc/api/BeagleClient/Beagle/RequestMessageExecutor.xml
   D /trunk/beagle/doc/api/BeagleClient/Beagle/RequestMessageExecutorTypesAttribute.xml
   D /trunk/beagle/doc/api/BeagleClient/Beagle/RequestMessageTypesAttribute.xml
   D /trunk/beagle/doc/api/BeagleClient/Beagle/RequestWrapper.xml
   D /trunk/beagle/doc/api/BeagleClient/Beagle/ResponseMessageTypesAttribute.xml
   D /trunk/beagle/doc/api/BeagleClient/Beagle/ResponseWrapper.xml
   D /trunk/beagle/doc/api/BeagleClient/Beagle/Versioned.xml
   M /trunk/beagle/doc/api/BeagleClient/index.xml

Remove the generated xml files for some of the types that clients should not have accessed to. Finish the documentation of the EmptyResponse class :).


------------------------------------------------------------------------
r3938 | dbera | 2007-09-03 20:43:22 -0400 (Mon, 03 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/doc/api/BeagleClient/Beagle/Query.xml
   M /trunk/beagle/doc/api/BeagleClient/Beagle/RequestMessage.xml
   M /trunk/beagle/doc/api/BeagleClient/Beagle.xml
   M /trunk/beagle/doc/api/BeagleClient/index.xml

Do not generate documentation for certain classes, like the ones needed for serialization and the ones needed in beagled.

------------------------------------------------------------------------
r3934 | dbera | 2007-09-01 07:10:29 -0400 (Sat, 01 Sep 2007) | 2 lines
Changed paths:
   M /trunk/beagle/COPYING

Add jslib to our included list of subprojects with a non MIT license.

------------------------------------------------------------------------
r3933 | joeshaw | 2007-08-31 18:04:55 -0400 (Fri, 31 Aug 2007) | 9 lines
Changed paths:
   A /trunk/beagle/acinclude.m4
   M /trunk/beagle/configure.in
   A /trunk/beagle/epiphany-extension
   A /trunk/beagle/epiphany-extension/Makefile.am
   A /trunk/beagle/epiphany-extension/beagle.conf.sample
   A /trunk/beagle/epiphany-extension/beagle.ephy-extension.in
   A /trunk/beagle/epiphany-extension/beagle.py.in
   M /trunk/beagle/po/POTFILES.in
   M /trunk/beagle/po/POTFILES.skip
   M /trunk/beagle/po/zh_CN.po

Include the new Epiphany extension by Tao Fei from his Summer of Code
project.

In addition, fix up the way we were detecting it in configure.in, and
include the epiphany.m4 file as acinclude.m4 so we can get the nice
macros.  Merge in the Chinese translations for the extension, and mark
it for translation.


------------------------------------------------------------------------
r3932 | joeshaw | 2007-08-31 18:01:47 -0400 (Fri, 31 Aug 2007) | 2 lines
Changed paths:
   A /trunk/attic/epiphany-extension (from /trunk/beagle/epiphany-extension:3931)
   D /trunk/beagle/epiphany-extension

Move the old epiphany extension into the attic

------------------------------------------------------------------------
r3930 | joeshaw | 2007-08-30 16:49:33 -0400 (Thu, 30 Aug 2007) | 1 line
Changed paths:
   M /trunk/beagle/Util/Conf.cs

Don't index on battery by default
------------------------------------------------------------------------
r3928 | joeshaw | 2007-08-30 16:38:51 -0400 (Thu, 30 Aug 2007) | 4 lines
Changed paths:
   M /trunk/beagle/Filters/FilterDOC.cs
   M /trunk/beagle/Filters/FilterOle.cs

Chain up to the base class's DoClose() method in the word filter.
Should fix a fd leak.


------------------------------------------------------------------------
r3927 | joeshaw | 2007-08-30 16:27:53 -0400 (Thu, 30 Aug 2007) | 3 lines
Changed paths:
   M /trunk/beagle/Makefile.am
   M /trunk/beagle/configure.in
   A /trunk/beagle/firefox-extension (from /trunk/beagle/mozilla-extension:3920)
   D /trunk/beagle/mozilla-extension

Rename mozilla-extension to firefox-extension, since we make no
guarantees that it'll work on other browsers.

------------------------------------------------------------------------
r3926 | joeshaw | 2007-08-30 16:24:54 -0400 (Thu, 30 Aug 2007) | 2 lines
Changed paths:
   A /trunk/MAINTAINERS
   D /trunk/beagle/MAINTAINERS

Add a new GNOME-style MAINTAINERS file

------------------------------------------------------------------------
r3924 | arunsr | 2007-08-30 15:11:54 -0400 (Thu, 30 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/tools/Settings.cs

Fix bug 393456 -- incorrect checking of prefixes while adding paths for indexing

------------------------------------------------------------------------
r3923 | joeshaw | 2007-08-30 14:23:45 -0400 (Thu, 30 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/doc/api/Makefile.am

Get make -j working for the docs

------------------------------------------------------------------------
r3922 | joeshaw | 2007-08-30 14:14:50 -0400 (Thu, 30 Aug 2007) | 6 lines
Changed paths:
   M /trunk/beagle/doc/api/Makefile.am
   A /trunk/beagle/doc/api/beagle-docs.source (from /trunk/beagle/doc/api/beagle.source:3920)
   D /trunk/beagle/doc/api/beagle.source

Some doc fixes.  Rename beagle.source to beagle-docs.source, since
that's what the Makefile.am references.  Fix monodocdir to be
$(prefix)/lib/monodoc/sources, since that's where they'll be installed,
rather than $(srcdir).


------------------------------------------------------------------------
r3920 | dbera | 2007-08-29 01:49:44 -0400 (Wed, 29 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Makefile.am
   M /trunk/beagle/configure.in
   A /trunk/beagle/doc/Makefile.am
   M /trunk/beagle/doc/api/BeagleClient/Beagle/IndexingServiceRequest.xml
   M /trunk/beagle/doc/api/BeagleClient/Beagle/RequestMessage.xml
   M /trunk/beagle/doc/api/BeagleClient/index.xml
   A /trunk/beagle/doc/api/Makefile.am
   A /trunk/beagle/doc/api/beagle.source

Add Makefile magic to automagically generate the html and update the C# apidocs skeleton. make update-docs and make update-html is the key! The docs are not distributed, they are far from complete. I couldnt quite make Makefile.am do what I wanted it to do, so some of the make targets do weird things.

------------------------------------------------------------------------
r3919 | dbera | 2007-08-28 23:16:48 -0400 (Tue, 28 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/mozilla-extension/README

Update readme.

------------------------------------------------------------------------
r3918 | dbera | 2007-08-28 23:10:11 -0400 (Tue, 28 Aug 2007) | 3 lines
Changed paths:
   D /trunk/beagle/mozilla-extension/chrome/content/about.xul
   D /trunk/beagle/mozilla-extension/chrome/content/beagleAddDomainDialog.xul
   A /trunk/beagle/mozilla-extension/chrome/content/beagleAddFilter.js
   A /trunk/beagle/mozilla-extension/chrome/content/beagleAddFilter.xul
   D /trunk/beagle/mozilla-extension/chrome/content/beagleOverlay.css
   M /trunk/beagle/mozilla-extension/chrome/content/beagleOverlay.js
   M /trunk/beagle/mozilla-extension/chrome/content/beagleOverlay.xul
   M /trunk/beagle/mozilla-extension/chrome/content/beaglePrefs.js
   M /trunk/beagle/mozilla-extension/chrome/content/beaglePrefs.xul
   M /trunk/beagle/mozilla-extension/chrome/content/contents.rdf
   A /trunk/beagle/mozilla-extension/chrome/content/i18n.js
   A /trunk/beagle/mozilla-extension/chrome/content/indexBookmark.js
   A /trunk/beagle/mozilla-extension/chrome/content/indexLink.js
   A /trunk/beagle/mozilla-extension/chrome/content/indexLink.xul
   A /trunk/beagle/mozilla-extension/chrome/content/json.js
   A /trunk/beagle/mozilla-extension/chrome/content/utils.js

Final merge from http://browser-extension-for-beagle.googlecode.com/svn/trunk/ r39
(Check the googlecode svn repo for history)

------------------------------------------------------------------------
r3917 | dbera | 2007-08-28 23:07:20 -0400 (Tue, 28 Aug 2007) | 3 lines
Changed paths:
   D /trunk/beagle/mozilla-extension/chrome/content/jslib/install
   D /trunk/beagle/mozilla-extension/chrome/content/jslib/xul

Merge from http://browser-extension-for-beagle.googlecode.com/svn/trunk/ r39
(Check the googlecode svn repo for history)

------------------------------------------------------------------------
r3916 | dbera | 2007-08-28 22:45:47 -0400 (Tue, 28 Aug 2007) | 3 lines
Changed paths:
   M /trunk/beagle/mozilla-extension/Makefile.am
   M /trunk/beagle/mozilla-extension/chrome.manifest
   M /trunk/beagle/mozilla-extension/install.rdf

Merge from http://browser-extension-for-beagle.googlecode.com/svn/trunk/ r39
(Check the googlecode svn repo for history)

------------------------------------------------------------------------
r3915 | dbera | 2007-08-28 22:35:05 -0400 (Tue, 28 Aug 2007) | 3 lines
Changed paths:
   M /trunk/beagle/mozilla-extension/chrome/locale/en-US/beagle.dtd
   M /trunk/beagle/mozilla-extension/chrome/locale/en-US/beagle.properties
   M /trunk/beagle/mozilla-extension/chrome/locale/en-US/contents.rdf
   A /trunk/beagle/mozilla-extension/chrome/locale/zh-CN
   A /trunk/beagle/mozilla-extension/chrome/locale/zh-CN/beagle.dtd
   A /trunk/beagle/mozilla-extension/chrome/locale/zh-CN/beagle.properties
   A /trunk/beagle/mozilla-extension/chrome/locale/zh-CN/contents.rdf
   A /trunk/beagle/mozilla-extension/chrome/skin/classic/overlay.css

Merge from http://browser-extension-for-beagle.googlecode.com/svn/trunk/ r39
(Check the googlecode svn repo for history)

------------------------------------------------------------------------
r3914 | dbera | 2007-08-28 22:23:26 -0400 (Tue, 28 Aug 2007) | 2 lines
Changed paths:
   A /trunk/beagle/mozilla-extension/chrome
   A /trunk/beagle/mozilla-extension/chrome/content (from /trunk/beagle/mozilla-extension/content:3912)
   A /trunk/beagle/mozilla-extension/chrome/locale (from /trunk/beagle/mozilla-extension/locale:3912)
   A /trunk/beagle/mozilla-extension/chrome/skin (from /trunk/beagle/mozilla-extension/skin:3912)
   D /trunk/beagle/mozilla-extension/content
   D /trunk/beagle/mozilla-extension/locale
   D /trunk/beagle/mozilla-extension/skin

Rearrange directories for the new FF extension.

------------------------------------------------------------------------
r3913 | joeshaw | 2007-08-28 14:04:23 -0400 (Tue, 28 Aug 2007) | 4 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/eu.po

2007-08-28  Joe Shaw  <joe@joeshaw.org>

	* eu.po: Updated Basque translation from Mikel Paskual 
	<mikel.paskual@gmail.com>
------------------------------------------------------------------------
r3912 | llipka | 2007-08-28 10:52:15 -0400 (Tue, 28 Aug 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/BeagleDaemon.cs

Start the HTTP server only when configured to do so.
------------------------------------------------------------------------
r3911 | llipka | 2007-08-28 10:31:41 -0400 (Tue, 28 Aug 2007) | 3 lines
Changed paths:
   M /trunk/beagle/BeagleClient/Message.cs
   M /trunk/beagle/BeagleClient/Query.cs
   M /trunk/beagle/BeagleClient/Snippet.cs
   M /trunk/beagle/beagled/RemoteIndexerRequest.cs

* Register the UnixTransport for all request messages by default.


------------------------------------------------------------------------
r3910 | llipka | 2007-08-28 06:27:09 -0400 (Tue, 28 Aug 2007) | 1 line
Changed paths:
   M /trunk/beagle/thunderbird-extension

svn:ignore
------------------------------------------------------------------------
r3909 | llipka | 2007-08-28 06:22:20 -0400 (Tue, 28 Aug 2007) | 4 lines
Changed paths:
   M /trunk/beagle/Util/ImBuddy.cs
   M /trunk/beagle/beagled/BeagleDaemon.cs
   M /trunk/beagle/beagled/Makefile.am
   A /trunk/beagle/beagled/PidginQueryable/PidginIndexableGenerator.cs (from /trunk/beagle/beagled/PidginQueryable/PidginQueryable.cs:3908)
   M /trunk/beagle/beagled/PidginQueryable/PidginQueryable.cs

* Add support for indexing both Gaim (~/.gaim) and Pidgin (~/.purple) logs - fixes (BGO #448718)
* Blacklist the .system directory from the indexable generator


------------------------------------------------------------------------
r3908 | joeshaw | 2007-08-27 14:27:10 -0400 (Mon, 27 Aug 2007) | 6 lines
Changed paths:
   M /trunk/beagle/beagled/EvolutionDataServerQueryable/CalContainer.cs
   M /trunk/beagle/beagled/EvolutionDataServerQueryable/EvolutionDataServerQueryable.cs
   M /trunk/beagle/configure.in

Update for evolution-sharp API changes introduced in 0.13.3, patch from
JP Rosevear.  Now require evolution-sharp 0.13.3.  Handle
EntryPointNotFoundException in addition to DllNotFoundException when
starting up the e-d-s backend.


------------------------------------------------------------------------
r3903 | dbera | 2007-08-27 11:02:03 -0400 (Mon, 27 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/FileSystemQueryable/FileNameFilter.cs

Remove ~/tmp from the the file system backend's path. The path is hardcoded for now. Temporarily fixes 470203.

------------------------------------------------------------------------
r3893 | dbera | 2007-08-26 17:11:27 -0400 (Sun, 26 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/MasterDelete.cs

Change the usage message. Add FSQ remapping hack from DumpIndex.

------------------------------------------------------------------------
r3892 | dbera | 2007-08-26 16:58:32 -0400 (Sun, 26 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/MasterDelete.cs

LuceneCommon() takes index-name and not index-dir in constructor. Fix master-delete.

------------------------------------------------------------------------
r3891 | dbera | 2007-08-26 16:24:40 -0400 (Sun, 26 Aug 2007) | 5 lines
Changed paths:
   M /trunk/beagle/BeagleClient/IndexingService.cs
   M /trunk/beagle/beagled/FileSystemQueryable/FileSystemQueryable.cs
   M /trunk/beagle/beagled/IndexingServiceQueryable/IndexingServiceQueryable.cs
   M /trunk/beagle/beagled/LuceneFileQueryable.cs
   M /trunk/beagle/beagled/LuceneQueryable.cs

IndexingServiceQueryable: Use generator to process both removal and addition requests.
LuceneQueryable.cs: Pass the number of items removed in the PostRemoveHook() callback. If no items were removed, do not add anything to the change notification data. Disallow Addition/Removal of data if read-only index.
FileSystemQueryable.cs, LuceneFileQueryable.cs: PostRemoveHook changes.
IndexingService.cs: Serialize "Source" as Element and not Attribute, consistent with libbeagle.

------------------------------------------------------------------------
r3889 | postlund | 2007-08-26 07:04:49 -0400 (Sun, 26 Aug 2007) | 3 lines
Changed paths:
   M /trunk/beagle/thunderbird-extension/content/beagle.xul
   D /trunk/beagle/thunderbird-extension/content/beagleMain.js
   M /trunk/beagle/thunderbird-extension/content/beagleService.js

* Removed beagleMain.js, it has been deprecated for a while
* Added some debug data to help tracking down invalid accounts

------------------------------------------------------------------------
r3888 | kelemeng | 2007-08-25 14:35:03 -0400 (Sat, 25 Aug 2007) | 5 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/hu.po

2007-08-25 Gabor Kelemen  <kelemeng@gnome.hu>

	* hu.po: Translation updated.


------------------------------------------------------------------------
r3887 | dnylande | 2007-08-25 07:43:52 -0400 (Sat, 25 Aug 2007) | 1 line
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/sv.po

sv.po: Swedish translation updated
------------------------------------------------------------------------
r3886 | dbera | 2007-08-24 19:38:31 -0400 (Fri, 24 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/doc/api/BeagleClient/Beagle.xml
   M /trunk/beagle/doc/api/BeagleClient/index.xml

Some more documentation.

------------------------------------------------------------------------
r3885 | dbera | 2007-08-24 18:58:21 -0400 (Fri, 24 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/doc/api/BeagleClient/Beagle.xml
   M /trunk/beagle/doc/api/BeagleClient/index.xml

Add simple remarks and stuff. Generate the html by "cd api; monodocs2html -source:BeagleClient/ -dest:html". Also, remember to use "-pretty -name:BeagleClient" when running monodocer again.

------------------------------------------------------------------------
r3884 | dbera | 2007-08-24 18:10:29 -0400 (Fri, 24 Aug 2007) | 2 lines
Changed paths:
   A /trunk/beagle/doc
   A /trunk/beagle/doc/api
   A /trunk/beagle/doc/api/BeagleClient
   A /trunk/beagle/doc/api/BeagleClient/Beagle
   A /trunk/beagle/doc/api/BeagleClient/Beagle/DaemonInformationRequest.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/DaemonInformationResponse.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/EmptyResponse.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/ErrorResponse.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/FinishedResponse.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/Fragment.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/Hit.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/HitsAddedResponse.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/HitsSubtractedResponse.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/IIndexableGenerator.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/ISnippetReader.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/Indexable.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/IndexableFiltering.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/IndexableType.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/IndexingServiceRequest.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/IndexingStatus.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/IndexingStatusResponse.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/InformationalMessagesRequest+IndexingStatusDelegate.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/InformationalMessagesRequest.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/Message.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/OptimizeIndexesRequest.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/Property.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/PropertyList.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/PropertyType.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/Query+Finished.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/Query+HitsAdded.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/Query+HitsSubtracted.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/Query.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/QueryDomain.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/QueryPart.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/QueryPartLogic.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/QueryPart_DateRange.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/QueryPart_Human.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/QueryPart_Or.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/QueryPart_Property.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/QueryPart_Text.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/QueryPart_Uri.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/QueryPart_Wildcard.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/QueryableStatus.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/ReloadConfigRequest.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/RequestMessage+AsyncResponseHandler.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/RequestMessage+Closed.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/RequestMessage.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/RequestMessageAttribute.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/RequestMessageExecutor+AsyncResponse.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/RequestMessageExecutor.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/RequestMessageExecutorTypesAttribute.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/RequestMessageTypesAttribute.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/RequestWrapper.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/ResponseMessage.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/ResponseMessageException.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/ResponseMessageTypesAttribute.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/ResponseWrapper.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/SearchTermResponse.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/ShutdownRequest.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/SnippetLine.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/SnippetList.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/SnippetRequest.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/SnippetResponse.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/Transport+AsyncResponseDelegate.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/Transport+ClosedDelegate.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/Transport.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/UnixTransport.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle/Versioned.xml
   A /trunk/beagle/doc/api/BeagleClient/Beagle.xml
   A /trunk/beagle/doc/api/BeagleClient/index.xml

Add C# API docs (currently just the skeletons). Hopefully the important ones will be filled sooner than later.

------------------------------------------------------------------------
r3883 | dbera | 2007-08-24 18:05:37 -0400 (Fri, 24 Aug 2007) | 2 lines
Changed paths:
   A /trunk/attic/doc (from /trunk/beagle/doc:3875)
   D /trunk/beagle/doc

Move beagle/doc to attic. Those are not relevant anymore.

------------------------------------------------------------------------
r3880 | dbera | 2007-08-23 10:26:50 -0400 (Thu, 23 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/thunderbird-extension/content/beagleMessenger.xul
   M /trunk/beagle/thunderbird-extension/content/beagleService.js
   M /trunk/beagle/thunderbird-extension/locale/en-US/strings.properties

Merge r3866,3867 from soc thunderbird branch.

------------------------------------------------------------------------
r3879 | ituohela | 2007-08-23 00:45:52 -0400 (Thu, 23 Aug 2007) | 1 line
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/fi.po

Updated Finnish translation
------------------------------------------------------------------------
r3878 | joeshaw | 2007-08-21 16:45:41 -0400 (Tue, 21 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/tools/beagle-crawl-system.in

Add a debug variable to beagle-crawl-system and a bunch of conditional output,
making it easier to debug any problems that might happen during the cron job
------------------------------------------------------------------------
r3877 | dbera | 2007-08-21 15:23:39 -0400 (Tue, 21 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/SnippetFu.cs

Since the snippets now do sent contain the html tags, limit their length to 200 characters instead of 400.

------------------------------------------------------------------------
r3876 | joeshaw | 2007-08-21 15:00:14 -0400 (Tue, 21 Aug 2007) | 5 lines
Changed paths:
   M /trunk/beagle/BeagleClient/Message.cs
   M /trunk/beagle/BeagleClient/Snippet.cs

Add some value checking in the Message code to make sure there's a
transport for the message, and check to make sure the response value coming
back from the server isn't null, as that's not allowed for sync requests.
Register the UnixTransport in the SnippetRequest, so that beagle-query
--verbose works again
------------------------------------------------------------------------
r3875 | dbera | 2007-08-21 13:43:50 -0400 (Tue, 21 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/BeagleClient/Snippet.cs

Take care if any backend return null snippetreader. Both while serializing and deserializing.

------------------------------------------------------------------------
r3874 | joeshaw | 2007-08-21 13:05:13 -0400 (Tue, 21 Aug 2007) | 2 lines
Changed paths:
   D /trunk/beagle/BeagleClient/Client.cs
   A /trunk/beagle/BeagleClient/Transport.cs (from /trunk/beagle/BeagleClient/Client.cs:3873)
   A /trunk/beagle/BeagleClient/UnixTransport.cs (from /trunk/beagle/BeagleClient/Client.cs:3873)

And re-add Transport.cs and UnixTransport.cs, having copied them back over.
Remove Client.cs again
------------------------------------------------------------------------
r3873 | joeshaw | 2007-08-21 13:03:06 -0400 (Tue, 21 Aug 2007) | 3 lines
Changed paths:
   A /trunk/beagle/BeagleClient/Client.cs (from /trunk/beagle/BeagleClient/Client.cs:3871)
   D /trunk/beagle/BeagleClient/Transport.cs
   D /trunk/beagle/BeagleClient/UnixTransport.cs

Temporarily remove Transport.cs and UnixTransport.cs and restore Client.cs so
I can svn copy them and maintain the commit history.  Second half of that
upcoming.
------------------------------------------------------------------------
r3872 | llipka | 2007-08-21 09:11:56 -0400 (Tue, 21 Aug 2007) | 18 lines
Changed paths:
   D /trunk/beagle/BeagleClient/Client.cs
   M /trunk/beagle/BeagleClient/Makefile.am
   M /trunk/beagle/BeagleClient/Message.cs
   M /trunk/beagle/BeagleClient/Query.cs
   A /trunk/beagle/BeagleClient/Transport.cs
   A /trunk/beagle/BeagleClient/UnixTransport.cs
   M /trunk/beagle/ImLogViewer/ImLogViewer.cs
   M /trunk/beagle/ImLogViewer/ImLogWindow.cs
   M /trunk/beagle/Util/Timeline.cs
   M /trunk/beagle/Util/VersionFu.cs
   M /trunk/beagle/beagled/AssemblyInfo.cs
   M /trunk/beagle/beagled/BeagleDaemon.cs
   M /trunk/beagle/beagled/Makefile.am
   A /trunk/beagle/beagled/NetworkServicesQueryable
   A /trunk/beagle/beagled/NetworkServicesQueryable/HttpTransport.cs
   A /trunk/beagle/beagled/NetworkServicesQueryable/NetworkServicesQueryable.cs
   M /trunk/beagle/beagled/Queryable.cs
   M /trunk/beagle/beagled/RemoteIndexer.cs
   M /trunk/beagle/beagled/RemoteIndexerRequest.cs
   M /trunk/beagle/beagled/Server.cs
   M /trunk/beagle/bludgeon/Daemon.cs
   M /trunk/beagle/configure.in
   M /trunk/beagle/search/UIManager.cs
   M /trunk/beagle/tools/Info.cs
   M /trunk/beagle/tools/Query.cs

First batch of network services refactoring and clean-up.

Current state of things:
* Automatically enable network services if avahi-sharp is available
  at configure time. (on Joe's request)
  Although we don't necessarily need Avahi for network services to
  work - will need to look into this.
* Cleanup our client API and make some changes, while preserving API
  compability.
  The primary change is that each RequestMessage can register it's own
  transport type (will be very easy to add DBusTransport in the future)
* Add a skeleton NetworkServicesQueryable which will forward our local
  queries to the remote services.

Some parts of the code are still a mess. I promise to clean them up
soon.


------------------------------------------------------------------------
r3871 | joeshaw | 2007-08-20 17:13:29 -0400 (Mon, 20 Aug 2007) | 4 lines
Changed paths:
   M /trunk/beagle/configure.in
   M /trunk/beagle/po/ChangeLog
   A /trunk/beagle/po/eu.po

2007-08-20  Joe Shaw  <joe@joeshaw.org>

	* eu.po: Added Basque translation from Mikel Paskual
	<mikel.paskual@gmail.com>
------------------------------------------------------------------------
r3869 | dbera | 2007-08-20 08:45:27 -0400 (Mon, 20 Aug 2007) | 5 lines
Changed paths:
   M /trunk/beagle/BeagleClient/Snippet.cs
   M /trunk/beagle/beagled/ExternalMetadataQueryable.cs
   M /trunk/beagle/beagled/FileSystemQueryable/FileSystemQueryable.cs
   M /trunk/beagle/beagled/IQueryable.cs
   M /trunk/beagle/beagled/KonversationQueryable/KonversationQueryable.cs
   M /trunk/beagle/beagled/KopeteQueryable/KopeteQueryable.cs
   M /trunk/beagle/beagled/LuceneQueryable.cs
   M /trunk/beagle/beagled/PidginQueryable/PidginQueryable.cs
   M /trunk/beagle/beagled/Queryable.cs
   M /trunk/beagle/beagled/SnippetExecutor.cs
   M /trunk/beagle/beagled/SnippetFu.cs
   M /trunk/beagle/beagled/SnippetTest.cs
   M /trunk/beagle/beagled/StaticQueryable.cs

Rework snippeting.
* Instead of sending a formatted string, break a snippet into logical components and send them without any formatting. See BeagleClient/Snippet.c:SnippetList for the new structure. No formatting done at beagled's end, but enough hint left in the snippet structure for clients to be able to do their own formatting. Also, return a line number for each line that produced a snippet. Pretty much all thte information beagled could have about snippets are sent back.
* Provide a 'string snippet' property that returns a formatted string for backward compatibility. Existing clients should work ok.
* Partly rewrite snippet extraction, minimizing rescanning the same string more than once. As a side effect, the actual extraction of the snippets is delayed till the serialization of snippet_response. GetSnippet simply returns a SnippetReader, which when serialized, extracts the string on-the-fly.
* Add a "FullText" option to SnippetRequest, which if set, returns the entire (cached) text of the Hit. For performance reason, marking of query terms in the full text is disabled (for now, maybe forever). Surprisingly, a largest possible textcache file takes almost no extra time to reach the client.
------------------------------------------------------------------------
r3868 | aflinta | 2007-08-19 14:37:02 -0400 (Sun, 19 Aug 2007) | 5 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/pl.po

2007-08-19  Artur Flinta  <aflinta@svn.gnome.org>

	* pl.po: Updated Polish translation by GNOME PL Team.


------------------------------------------------------------------------
r3865 | jorgegonz | 2007-08-18 17:31:29 -0400 (Sat, 18 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/es.po

Updated Spanish translation

------------------------------------------------------------------------
r3862 | dbera | 2007-08-18 10:39:55 -0400 (Sat, 18 Aug 2007) | 3 lines
Changed paths:
   M /trunk/beagle/Filters/FilterMail.cs
   M /trunk/beagle/beagled/KMailQueryable/KMailIndexer.cs
   M /trunk/beagle/beagled/KMailQueryable/KMailQueryable.cs

* FilterMail.cs: Add the primary message part we index to textcache. Useful for html emails.
* KMailQueryable: Remove the custom GetSnippet since emails are now textcache-d. TextCache maildir emails too. Remove a corner case check that should never happen.

------------------------------------------------------------------------
r3859 | ituohela | 2007-08-16 11:02:39 -0400 (Thu, 16 Aug 2007) | 1 line
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/fi.po

Updated Finnish translation
------------------------------------------------------------------------
r3858 | adamw | 2007-08-15 21:38:17 -0400 (Wed, 15 Aug 2007) | 6 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/POTFILES.in

2007-08-15  Adam Weinberger  <adamw@gnome.org>

	* POTFILES.in: Added/removed missing files.



------------------------------------------------------------------------
r3857 | joeshaw | 2007-08-15 15:20:37 -0400 (Wed, 15 Aug 2007) | 14 lines
Changed paths:
   M /trunk/beagle/Filters/FilterMail.cs
   M /trunk/beagle/beagled/BuildIndex.cs
   M /trunk/beagle/beagled/ExtractContent.cs

Fix a problem where processing large number of maildir files on the file
system would cause file descriptors to run out.  The glib-sharp binding
(at least up until 2.10) batches and unrefs disposed managed wrappers in
a glib timeout, which requires that a main loop be running.  While
beagled has one, beagle-build-index and beagle-extract-content do not.
So work around the problem by running "while
(GLib.MainContext.Pending()) GLib.MainContext.Iteration();" after
processing a batch of files, to ensure that wrappers are collected.
This fixes bgo #466891.

In the mail filter, log GMime initialization error messages better and
don't continuously retry to reinitialize.  If it's broken, it's going to
stay broken and we don't need to flood the logs with this.

------------------------------------------------------------------------
r3856 | joeshaw | 2007-08-15 09:47:53 -0400 (Wed, 15 Aug 2007) | 1 line
Changed paths:
   M /trunk/beagle/Filters/FilterMail.cs

Back out change from r3855; it wasn't right
------------------------------------------------------------------------
r3855 | llipka | 2007-08-15 06:41:15 -0400 (Wed, 15 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterMail.cs

* Filters/FilterMail.cs - Fix a bug when we were leaking file descriptors. Patch by Enrico Minack (bgo #466891).

------------------------------------------------------------------------
r3853 | dnylande | 2007-08-09 15:31:43 -0400 (Thu, 09 Aug 2007) | 1 line
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/sv.po

sv.po: Swedish translation updated
------------------------------------------------------------------------
r3852 | llipka | 2007-08-09 12:50:32 -0400 (Thu, 09 Aug 2007) | 3 lines
Changed paths:
   M /trunk/beagle/BeagleClient/Client.cs
   M /trunk/beagle/BeagleClient/Message.cs
   M /trunk/beagle/BeagleClient/Query.cs
   M /trunk/beagle/beagled/Zeroconf.cs
   M /trunk/beagle/bludgeon/QueryFu.cs
   M /trunk/beagle/search/Search.cs
   M /trunk/beagle/search/Tiles/MailAttachment.cs
   M /trunk/beagle/tools/Query.cs

* Start cleaning-up a fixing stuff that breaks API.
* Temporarily add a workaround that broke querying if a registered remote client was offline.

------------------------------------------------------------------------
r3851 | llipka | 2007-08-09 11:24:30 -0400 (Thu, 09 Aug 2007) | 13 lines
Changed paths:
   M /trunk/beagle/BeagleClient/Client.cs
   M /trunk/beagle/BeagleClient/Makefile.am
   M /trunk/beagle/BeagleClient/Message.cs
   M /trunk/beagle/BeagleClient/Query.cs
   A /trunk/beagle/Util/AvahiBrowser.cs (from /branches/beagle-networking-branch/Util/AvahiBrowser.cs:3850)
   M /trunk/beagle/Util/Conf.cs
   M /trunk/beagle/Util/Makefile.am
   A /trunk/beagle/Util/NetworkService.cs (from /branches/beagle-networking-branch/Util/NetworkService.cs:3850)
   A /trunk/beagle/Util/Password.cs (from /branches/beagle-networking-branch/Util/Password.cs:3850)
   M /trunk/beagle/beagled/BeagleDaemon.cs
   M /trunk/beagle/beagled/FileSystemQueryable/FileSystemQueryable.cs
   M /trunk/beagle/beagled/IndexHelper/IndexHelper.cs
   M /trunk/beagle/beagled/Makefile.am
   M /trunk/beagle/beagled/RemoteIndexer.cs
   M /trunk/beagle/beagled/Server.cs
   A /trunk/beagle/beagled/Zeroconf.cs (from /branches/beagle-networking-branch/beagled/Zeroconf.cs:3850)
   M /trunk/beagle/bludgeon/Daemon.cs
   M /trunk/beagle/bludgeon/QueryFu.cs
   M /trunk/beagle/configure.in
   M /trunk/beagle/search/GroupView.cs
   M /trunk/beagle/search/Makefile.am
   M /trunk/beagle/search/NotificationArea.cs
   M /trunk/beagle/search/Search.cs
   M /trunk/beagle/tools/Info.cs
   M /trunk/beagle/tools/Makefile.am
   M /trunk/beagle/tools/Query.cs
   M /trunk/beagle/tools/Settings.cs
   M /trunk/beagle/tools/settings.glade

Merging the 'beagle-networking-branch' to 'trunk'.

Network services are now queried and results appear in both - beagle-query and beagle search. To be able to query remote services you have to register with them. You can do this using either beagle-config or beagle-settings. Both tools use Avahi to discover available services and provide them in fashionly manner.

To build with network services, don't forget to pass the --enable-avahi argument to configure/autogen.sh.

To make the Beagle daemon provide network services you have to launch it with the --network argument. Other than that everything is automated. But remember, you have to register it on the client side from which you are querying (as mentioned above).

I have tested the code, but as always keep your eyes open for exceptions and crashes (which are rare, but I have seen some - most likely from Avahi - but could not reproduce them).

Best of luck! :-)


------------------------------------------------------------------------
r3843 | postlund | 2007-08-07 08:50:09 -0400 (Tue, 07 Aug 2007) | 3 lines
Changed paths:
   M /trunk/beagle/configure.in
   M /trunk/beagle/thunderbird-extension/Makefile.am
   D /trunk/beagle/thunderbird-extension/components/BeagleIndexer.idl
   M /trunk/beagle/thunderbird-extension/components/BeagleIndexer.js
   D /trunk/beagle/thunderbird-extension/components/BeagleQueue.idl
   M /trunk/beagle/thunderbird-extension/components/BeagleQueue.js
   D /trunk/beagle/thunderbird-extension/components/BeagleSettings.idl
   M /trunk/beagle/thunderbird-extension/components/BeagleSettings.js
   M /trunk/beagle/thunderbird-extension/content/beagleIndexer.js
   M /trunk/beagle/thunderbird-extension/content/beagleMailWindow.xul
   M /trunk/beagle/thunderbird-extension/content/beagleMessenger.xul
   M /trunk/beagle/thunderbird-extension/content/beaglePrefs.xul
   M /trunk/beagle/thunderbird-extension/content/beagleQueue.js
   M /trunk/beagle/thunderbird-extension/content/beagleService.js
   M /trunk/beagle/thunderbird-extension/content/beagleSettings.js
   M /trunk/beagle/thunderbird-extension/content/beagleUnindex.js
   M /trunk/beagle/thunderbird-extension/content/beagleUnindex.xul
   A /trunk/beagle/thunderbird-extension/content/beagleUtils.js
   M /trunk/beagle/thunderbird-extension/content/contents.rdf
   M /trunk/beagle/thunderbird-extension/install.rdf
   M /trunk/beagle/thunderbird-extension/locale/en-US/strings.properties

* Add missing locale strings
* No external libraries/tools are now needed to build the Thunderbird extension/backend

------------------------------------------------------------------------
r3842 | arunsr | 2007-08-07 02:20:18 -0400 (Tue, 07 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/configure.in

Fix minor typo

------------------------------------------------------------------------
r3840 | llipka | 2007-08-06 10:43:05 -0400 (Mon, 06 Aug 2007) | 1 line
Changed paths:
   M /trunk/beagle/glue/Makefile.am
   D /trunk/beagle/glue/eggtrayicon.c
   D /trunk/beagle/glue/eggtrayicon.h

Get rid of eggtrayicon, unfortunately eggkeybinder still remains for the time being.
------------------------------------------------------------------------
r3839 | llipka | 2007-08-06 10:07:08 -0400 (Mon, 06 Aug 2007) | 5 lines
Changed paths:
   M /trunk/beagle/ImLogViewer/ImLogWindow.cs
   M /trunk/beagle/Util/ImBuddy.cs
   M /trunk/beagle/beagled/PidginQueryable/PidginQueryable.cs

* beagle/Util/ImBuddy.cs - Refactor our buddy list reading code and rebrand Gaim to Pidgin.
* beagle/ImLogViewer/ImLogWindow.cs - Related to previous.
* beagle/beagled/PidginQueryable/PidginQueryable.cs - Related to previous.


------------------------------------------------------------------------
r3838 | llipka | 2007-08-06 09:00:58 -0400 (Mon, 06 Aug 2007) | 1 line
Changed paths:
   M /trunk/beagle/thunderbird-extension

Quiet.
------------------------------------------------------------------------
r3837 | llipka | 2007-08-06 04:53:11 -0400 (Mon, 06 Aug 2007) | 1 line
Changed paths:
   M /trunk/beagle/BeagleClient/Client.cs

Fix bug 463803 – beagle-search fails if daemon is restarted
------------------------------------------------------------------------
r3836 | postlund | 2007-08-06 04:41:42 -0400 (Mon, 06 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/Makefile.am
   A /trunk/beagle/Util/Thunderbird.cs

Add missing file from Thunderbird SoC code.

------------------------------------------------------------------------
r3835 | llipka | 2007-08-06 04:00:53 -0400 (Mon, 06 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/search/Tiles/MailMessage.cs
   M /trunk/beagle/search/Tiles/RSSFeed.cs

Fix a broken build introduced by r3830.

------------------------------------------------------------------------
r3834 | dbera | 2007-08-05 20:22:55 -0400 (Sun, 05 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/ThunderbirdQueryable/ThunderbirdQueryable.cs
   M /trunk/beagle/configure.in
   M /trunk/beagle/thunderbird-extension/Makefile.am
   M /trunk/beagle/thunderbird-extension/components/BeagleCommandLine.js
   M /trunk/beagle/thunderbird-extension/components/BeagleQueue.idl
   M /trunk/beagle/thunderbird-extension/content/beagleMailWindow.xul
   M /trunk/beagle/thunderbird-extension/content/beagleQueue.js
   M /trunk/beagle/thunderbird-extension/content/beagleService.js
   M /trunk/beagle/thunderbird-extension/install.rdf
   M /trunk/beagle/thunderbird-extension/locale/en-US/strings.properties

Merge r3833 from the tbrd-soc07 branch. The thunderbird project is officially completed now (ahem ... except bugfixes and ... possibly future work).

------------------------------------------------------------------------
r3832 | dbera | 2007-08-05 12:59:22 -0400 (Sun, 05 Aug 2007) | 2 lines
Changed paths:
   A /trunk/attic/Util
   A /trunk/attic/Util/Mork.cs (from /trunk/beagle/Util/Mork.cs:3816)
   A /trunk/attic/Util/Thunderbird.cs (from /trunk/beagle/Util/Thunderbird.cs:3816)
   D /trunk/beagle/Util/Mork.cs
   D /trunk/beagle/Util/Thunderbird.cs

Remove old TBird code to attic.

------------------------------------------------------------------------
r3831 | dbera | 2007-08-05 12:53:25 -0400 (Sun, 05 Aug 2007) | 2 lines
Changed paths:
   A /trunk/beagle/beagled/ThunderbirdQueryable (from /branches/beagle-tbird-soc07/beagled/ThunderbirdQueryable:3826)

Merge from tbird-soc07 branch r3824.

------------------------------------------------------------------------
r3830 | dbera | 2007-08-05 12:52:47 -0400 (Sun, 05 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Makefile.am
   M /trunk/beagle/configure.in
   M /trunk/beagle/search/Tiles/MailAttachment.cs
   M /trunk/beagle/search/Tiles/MailMessage.cs
   M /trunk/beagle/search/Tiles/RSSFeed.cs
   A /trunk/beagle/thunderbird-extension (from /branches/beagle-tbird-soc07/thunderbird-extension:3826)

Merge from tbird-soc07 branch r3824.

------------------------------------------------------------------------
r3829 | dbera | 2007-08-05 12:37:44 -0400 (Sun, 05 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/Makefile.am

Merge changes to Makefile.am from the tbird-sco07 branch.

------------------------------------------------------------------------
r3828 | dbera | 2007-08-05 12:32:02 -0400 (Sun, 05 Aug 2007) | 2 lines
Changed paths:
   A /trunk/attic/beagled/ThunderbirdQueryable (from /trunk/beagle/beagled/ThunderbirdQueryable:3816)
   D /trunk/beagle/beagled/ThunderbirdQueryable

Move thunderbirdqueryable to attic. New thunderbirdqueryable from the GSoC2007 project is coming.

------------------------------------------------------------------------
r3827 | dbera | 2007-08-05 12:10:39 -0400 (Sun, 05 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/LuceneQueryingDriver.cs

Based on r2755, we want the index data to be really case-insensitive. Modify the property-query to take into account this fact.

------------------------------------------------------------------------
r3826 | dbera | 2007-08-03 11:38:41 -0400 (Fri, 03 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterMail.cs

Back out accidental commit.

------------------------------------------------------------------------
r3825 | dbera | 2007-08-03 11:34:15 -0400 (Fri, 03 Aug 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterMail.cs
   M /trunk/beagle/Filters/FilterPdf.cs

Adds support for PDF keywords in PDF filter. Allows ":" in PDF metadata. Fixes #463003. Patch from Joseph Benavidez.

------------------------------------------------------------------------
r3817 | leonardof | 2007-07-29 00:08:43 -0400 (Sun, 29 Jul 2007) | 4 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/pt_BR.po

2007-07-29  Leonardo Ferreira Fontenelle  <leonardof@svn.gnome.org>

	* pt_BR.po: Brazilian Portuguese translation updated by Raul Pereira.

------------------------------------------------------------------------
r3814 | joeshaw | 2007-07-26 15:07:58 -0400 (Thu, 26 Jul 2007) | 1 line
Changed paths:
   M /trunk/beagle/configure.in

Bump epiphany version number to add 2.18 support
------------------------------------------------------------------------
r3813 | dnloreto | 2007-07-25 18:05:35 -0400 (Wed, 25 Jul 2007) | 4 lines
Changed paths:
   M /trunk/beagle/ChangeLog.cvs
   M /trunk/beagle/configure.in

------------------------------------------------------------------------
r3697 | joeshaw | 2007-05-08 15:09:07 -0400 (Tue, 08 May 2007) | 1 line
Changed paths:
   M /branches/beagle-0.2.16/configure.in
------------------------------------------------------------------------
r3812 | dnloreto | 2007-07-25 18:02:41 -0400 (Wed, 25 Jul 2007) | 4 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   A /trunk/beagle/po/pt.po

2007-07-25  Duarte Loreto <happyguy_pt@hotmail.com>

	* pt.po: Added Portuguese translation by Filipe Gomes
	<filipefgomes@gmail.com>.
------------------------------------------------------------------------
r3810 | rdejus | 2007-07-19 05:55:04 -0400 (Thu, 19 Jul 2007) | 4 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/lv.po

2007-07-19  Raivis Dejus  <orvils@gmail.com>

        * lv.po: Updated Latvian Translation.

------------------------------------------------------------------------
r3801 | dbera | 2007-07-08 11:39:51 -0400 (Sun, 08 Jul 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/DigikamTags.cs

Fixes #454656. Fix the sql string used to retrieve tag information from digikam db.

------------------------------------------------------------------------
r3793 | leonardof | 2007-07-03 19:09:20 -0400 (Tue, 03 Jul 2007) | 5 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/pt_BR.po

2007-07-03  Leonardo Ferreira Fontenelle  <leonardof@svn.gnome.org>

	* pt_BR.po: Updated Brazilian Portuguese translation by Igor Pires
	Soares <igor@projetofedora.org>. Closes bug #453231.

------------------------------------------------------------------------
r3792 | llipka | 2007-06-27 07:18:55 -0400 (Wed, 27 Jun 2007) | 4 lines
Changed paths:
   M /trunk/beagle/search/Tiles/WebHistory.cs

* search/Tiles/WebHistory.cs - If dc:title is null or empty show the the host name as the title.



------------------------------------------------------------------------
r3789 | pgeyleg | 2007-06-21 00:34:13 -0400 (Thu, 21 Jun 2007) | 1 line
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/dz.po

Updated dzongkha translation
------------------------------------------------------------------------
r3786 | joeshaw | 2007-06-15 14:38:02 -0400 (Fri, 15 Jun 2007) | 5 lines
Changed paths:
   M /trunk/beagle/Filters/FilterMusic.cs
   M /trunk/beagle/Filters/TagLib/Ape/Footer.cs
   M /trunk/beagle/Filters/TagLib/Ape/Item.cs
   M /trunk/beagle/Filters/TagLib/Ape/Tag.cs
   M /trunk/beagle/Filters/TagLib/Asf/ContentDescriptionObject.cs
   M /trunk/beagle/Filters/TagLib/Asf/ContentDescriptor.cs
   M /trunk/beagle/Filters/TagLib/Asf/ExtendedContentDescriptionObject.cs
   M /trunk/beagle/Filters/TagLib/Asf/File.cs
   M /trunk/beagle/Filters/TagLib/Asf/FilePropertiesObject.cs
   M /trunk/beagle/Filters/TagLib/Asf/Guid.cs
   M /trunk/beagle/Filters/TagLib/Asf/HeaderObject.cs
   M /trunk/beagle/Filters/TagLib/Asf/Object.cs
   M /trunk/beagle/Filters/TagLib/Asf/StreamPropertiesObject.cs
   M /trunk/beagle/Filters/TagLib/Asf/Tag.cs
   M /trunk/beagle/Filters/TagLib/Asf/UnknownObject.cs
   M /trunk/beagle/Filters/TagLib/ByteVector.cs
   M /trunk/beagle/Filters/TagLib/ByteVectorList.cs
   M /trunk/beagle/Filters/TagLib/CombinedTag.cs
   M /trunk/beagle/Filters/TagLib/CorruptFileException.cs
   D /trunk/beagle/Filters/TagLib/Debugger.cs
   M /trunk/beagle/Filters/TagLib/File.cs
   D /trunk/beagle/Filters/TagLib/File.cs.orig
   M /trunk/beagle/Filters/TagLib/FileTypes.cs
   M /trunk/beagle/Filters/TagLib/Flac/Block.cs
   M /trunk/beagle/Filters/TagLib/Flac/BlockHeader.cs
   M /trunk/beagle/Filters/TagLib/Flac/File.cs
   M /trunk/beagle/Filters/TagLib/Flac/Picture.cs
   M /trunk/beagle/Filters/TagLib/Flac/StreamHeader.cs
   M /trunk/beagle/Filters/TagLib/Genres.cs
   M /trunk/beagle/Filters/TagLib/ICodec.cs
   M /trunk/beagle/Filters/TagLib/Id3v1/StringHandler.cs
   M /trunk/beagle/Filters/TagLib/Id3v1/Tag.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/ExtendedHeader.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Footer.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/FrameFactory.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/FrameHeader.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/FrameTypes.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/AttachedPictureFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/CommentsFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/GeneralEncapsulatedObjectFrame.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/Frames/MusicCdIdentifierFrame.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/Frames/PlayCountFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/PrivateFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/RelativeVolumeFrame.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/Frames/SynchronizedLyricsFrame.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/Frames/TermsOfUseFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/TextIdentificationFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/UniqueFileIdentifierFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/UnknownFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Frames/UnsynchronisedLyricsFrame.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Header.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/SynchData.cs
   M /trunk/beagle/Filters/TagLib/Id3v2/Tag.cs
   D /trunk/beagle/Filters/TagLib/IntList.cs
   M /trunk/beagle/Filters/TagLib/ListBase.cs
   M /trunk/beagle/Filters/TagLib/Mpc/File.cs
   M /trunk/beagle/Filters/TagLib/Mpc/StreamHeader.cs
   M /trunk/beagle/Filters/TagLib/Mpeg/AudioFile.cs
   M /trunk/beagle/Filters/TagLib/Mpeg/AudioHeader.cs
   M /trunk/beagle/Filters/TagLib/Mpeg/File.cs
   M /trunk/beagle/Filters/TagLib/Mpeg/VideoHeader.cs
   M /trunk/beagle/Filters/TagLib/Mpeg/XingHeader.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/AppleTag.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Box.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/BoxFactory.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/BoxHeader.cs
   D /trunk/beagle/Filters/TagLib/Mpeg4/BoxList.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/BoxTypes.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/AppleAdditionalInfoBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/AppleAnnotationBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/AppleDataBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/AppleElementaryStreamDescriptor.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/AppleItemListBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/FullBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoAudioSampleEntry.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoChunkLargeOffsetBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoChunkOffsetBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoFreeSpaceBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoHandlerBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoMetaBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoMovieHeaderBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoSampleDescriptionBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoSampleEntry.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoSampleTableBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoUserDataBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoVisualSampleEntry.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/UnknownBox.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/File.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/FileParser.cs
   M /trunk/beagle/Filters/TagLib/NonContainer/EndTag.cs
   M /trunk/beagle/Filters/TagLib/NonContainer/File.cs
   M /trunk/beagle/Filters/TagLib/NonContainer/StartTag.cs
   M /trunk/beagle/Filters/TagLib/NonContainer/Tag.cs
   M /trunk/beagle/Filters/TagLib/Ogg/Bitstream.cs
   M /trunk/beagle/Filters/TagLib/Ogg/Codec.cs
   M /trunk/beagle/Filters/TagLib/Ogg/Codecs/Theora.cs
   M /trunk/beagle/Filters/TagLib/Ogg/Codecs/Vorbis.cs
   M /trunk/beagle/Filters/TagLib/Ogg/File.cs
   M /trunk/beagle/Filters/TagLib/Ogg/GroupedComment.cs
   M /trunk/beagle/Filters/TagLib/Ogg/Page.cs
   M /trunk/beagle/Filters/TagLib/Ogg/PageHeader.cs
   M /trunk/beagle/Filters/TagLib/Ogg/Paginator.cs
   M /trunk/beagle/Filters/TagLib/Ogg/XiphComment.cs
   M /trunk/beagle/Filters/TagLib/Picture.cs
   M /trunk/beagle/Filters/TagLib/Properties.cs
   A /trunk/beagle/Filters/TagLib/ReadOnlyByteVector.cs
   M /trunk/beagle/Filters/TagLib/Riff/AviHeaderList.cs
   M /trunk/beagle/Filters/TagLib/Riff/AviStream.cs
   M /trunk/beagle/Filters/TagLib/Riff/BitmapInfoHeader.cs
   M /trunk/beagle/Filters/TagLib/Riff/DivXTag.cs
   M /trunk/beagle/Filters/TagLib/Riff/File.cs
   M /trunk/beagle/Filters/TagLib/Riff/InfoTag.cs
   M /trunk/beagle/Filters/TagLib/Riff/List.cs
   M /trunk/beagle/Filters/TagLib/Riff/ListTag.cs
   M /trunk/beagle/Filters/TagLib/Riff/MovieIdTag.cs
   M /trunk/beagle/Filters/TagLib/Riff/WaveFormatEx.cs
   M /trunk/beagle/Filters/TagLib/StringList.cs
   M /trunk/beagle/Filters/TagLib/SupportedMimeType.cs
   M /trunk/beagle/Filters/TagLib/Tag.cs
   M /trunk/beagle/Filters/TagLib/TagLib.sources
   M /trunk/beagle/Filters/TagLib/UnsupportedFormatException.cs
   M /trunk/beagle/Filters/TagLib/WavPack/File.cs
   M /trunk/beagle/Filters/TagLib/WavPack/StreamHeader.cs
   M /trunk/beagle/configure.in

Update internal copy of taglib-sharp to 2.0.0, fix our music filter for
the changed APIs, and update the external build requirement to 2.0.
Fixes bgo #447502.


------------------------------------------------------------------------
r3785 | llipka | 2007-06-13 10:01:07 -0400 (Wed, 13 Jun 2007) | 2 lines
Changed paths:
   A /trunk/attic/beagled/BugzillaDriver.cs (from /trunk/beagle/beagled/BugzillaDriver.cs:3780)
   D /trunk/beagle/beagled/BugzillaDriver.cs

Move the Bugzilla driver to the attic.

------------------------------------------------------------------------
r3784 | llipka | 2007-06-13 08:44:50 -0400 (Wed, 13 Jun 2007) | 1 line
Changed paths:
   M /trunk/beagle/ImLogViewer/ImLogViewer.cs
   M /trunk/beagle/Util/VersionFu.cs
   M /trunk/beagle/beagled/BeagleDaemon.cs
   M /trunk/beagle/beagled/ExtractContent.cs
   M /trunk/beagle/beagled/IndexWebContent.cs
   M /trunk/beagle/search/Search.cs
   M /trunk/beagle/tools/Config.cs
   M /trunk/beagle/tools/Info.cs
   M /trunk/beagle/tools/Query.cs
   M /trunk/beagle/tools/Shutdown.cs

Add --version command line arguments to all the programs we ship (finally fixes bgo #405371)
------------------------------------------------------------------------
r3783 | llipka | 2007-06-13 07:14:04 -0400 (Wed, 13 Jun 2007) | 1 line
Changed paths:
   M /trunk/beagle/Util/Makefile.am
   A /trunk/beagle/Util/VersionFu.cs
   M /trunk/beagle/beagled/AssemblyInfo.cs
   M /trunk/beagle/beagled/BeagleDaemon.cs
   M /trunk/beagle/beagled/Makefile.am
   M /trunk/beagle/beagled/beagled.in

Add infrastructure for version information per assembly using assembly attributes. (bgo #405371)
------------------------------------------------------------------------
r3782 | llipka | 2007-06-13 07:08:51 -0400 (Wed, 13 Jun 2007) | 1 line
Changed paths:
   M /trunk/beagle/AUTHORS

Update email address.
------------------------------------------------------------------------
r3781 | llipka | 2007-06-13 05:49:47 -0400 (Wed, 13 Jun 2007) | 10 lines
Changed paths:
   M /trunk/beagle/BeagleClient/Hit.cs
   M /trunk/beagle/Filters/AssemblyInfo.cs
   M /trunk/beagle/Filters/FilterKopeteLog.cs
   M /trunk/beagle/beagled/KopeteQueryable/KopeteQueryable.cs
   M /trunk/beagle/beagled/PidginQueryable/PidginQueryable.cs
   M /trunk/beagle/search/Tiles/IMLog.cs

Thanks to Aviram Jenik sending me his Kopete logs, I have managed to iron out all the remaining issues.

* search/Tiles/IMLog.cs - No longer rely only on fixme:starttime property but use the Timestamp if its not available.
* beagled/PidginQueryable/PidginQueryable.cs - Updates.
* beagled/KopeteQueryable/KopeteQueryable.cs - Implement a KopeteSnippetReader so that we get beautiful snippets and not XML garbage.
* Filters/AssemblyInfo.cs - Joe's nitpick ;-)
* Filters/FilterKopeteLog.cs - The parsing was acutally broken due to a typo. We now extract both properties and the text itself in DoPullProperties so we can get it all out of the log file in one read.
* BeagleClient/Hit.cs - If we access a multi-property hit with the hits indexer print out the keyname so its easier to debug.


------------------------------------------------------------------------
r3779 | llipka | 2007-06-12 05:07:56 -0400 (Tue, 12 Jun 2007) | 7 lines
Changed paths:
   M /trunk/beagle/Filters/FilterPidginLog.cs
   M /trunk/beagle/ImLogViewer/ImLog.cs
   M /trunk/beagle/Util/StringFu.cs
   M /trunk/beagle/beagled/PidginQueryable/PidginQueryable.cs
   M /trunk/beagle/beagled/TextCache.cs
   M /trunk/beagle/search/Tiles/Tile.cs

* Fix HTML escaping in snippets for Pidgin logs.
* Fix HTML escpaing in beagle-search for snippets in general.
* Typo fixed in StringFu.ConvertSpecialEntities () which wasn't working at all.
* Dropped in a workaround for our TextCache code where reader.Peek () on our GZiped stream actually advances by one character.
* Fix HTML escpaing in IM viewer (bgo #439578)


------------------------------------------------------------------------
r3778 | llipka | 2007-06-12 04:49:21 -0400 (Tue, 12 Jun 2007) | 2 lines
Changed paths:
   M /trunk/beagle/search/Category.cs
   M /trunk/beagle/search/GroupView.cs

* Hide categories in beagle-search when they become empty (bgo #406006)

------------------------------------------------------------------------
r3774 | jorgegonz | 2007-06-07 17:12:11 -0400 (Thu, 07 Jun 2007) | 2 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/es.po

Updated Spanish translation

------------------------------------------------------------------------
r3773 | joeshaw | 2007-06-07 16:26:03 -0400 (Thu, 07 Jun 2007) | 7 lines
Changed paths:
   M /trunk/beagle/beagled/FileSystemQueryable/DirectoryModel.cs

Now that we provide ample warning about inotify watch availability, no
longer recrawl directories that don't have inotify watches.  This fixes
the problem where Beagle aggressively recrawls the same directories over
and over when the user has insufficient inotify watches and the
screensaver is active.


------------------------------------------------------------------------
r3772 | joeshaw | 2007-06-05 17:49:12 -0400 (Tue, 05 Jun 2007) | 6 lines
Changed paths:
   M /trunk/beagle/beagled/IndexHelper/IndexHelper.cs
   M /trunk/beagle/beagled/IndexHelper/RemoteIndexerExecutor.cs
   M /trunk/beagle/beagled/LuceneIndexingDriver.cs

Send along the ContentUri in addition to the DisplayUri for displaying
what file is being filtered, so that if a non-file document (like a web
page or email) is giving a filter problems, make it easier to find the
temporary file on the file system.


------------------------------------------------------------------------
r3771 | joeshaw | 2007-06-05 16:37:57 -0400 (Tue, 05 Jun 2007) | 6 lines
Changed paths:
   M /trunk/beagle/Util/Inotify.cs

Read the number of inotify watches out of
/proc/sys/fs/inotify/max_user_watches and print out a warning if they're
below 32k, since that will cause problems with larger home directories
(and updates from other applications!)


------------------------------------------------------------------------
r3770 | llipka | 2007-06-05 11:37:48 -0400 (Tue, 05 Jun 2007) | 1 line
Changed paths:
   M /trunk/beagle/ImLogViewer/ImLog.cs
   D /trunk/beagle/beagled/PidginQueryable/GaimLogQueryable.cs
   A /trunk/beagle/beagled/PidginQueryable/PidginQueryable.cs (from /trunk/beagle/beagled/PidginQueryable/GaimLogQueryable.cs:3769)

Final updates from previous commit.
------------------------------------------------------------------------
r3769 | llipka | 2007-06-05 11:31:58 -0400 (Tue, 05 Jun 2007) | 6 lines
Changed paths:
   M /trunk/beagle/Filters/AssemblyInfo.cs
   D /trunk/beagle/Filters/FilterImLog.cs
   A /trunk/beagle/Filters/FilterKopeteLog.cs
   A /trunk/beagle/Filters/FilterPidginLog.cs
   M /trunk/beagle/Filters/Makefile.am
   A /trunk/beagle/ImLogViewer/ImLog.cs (from /trunk/beagle/Util/ImLog.cs:3763)
   M /trunk/beagle/ImLogViewer/ImLogViewer.cs
   M /trunk/beagle/ImLogViewer/ImLogWindow.cs
   M /trunk/beagle/ImLogViewer/Makefile.am
   A /trunk/beagle/Util/HtmlRemovingReader.cs
   D /trunk/beagle/Util/ImLog.cs
   M /trunk/beagle/Util/Makefile.am
   M /trunk/beagle/Util/StringFu.cs
   M /trunk/beagle/beagled/AssemblyInfo.cs
   D /trunk/beagle/beagled/GaimLogQueryable
   M /trunk/beagle/beagled/KonversationQueryable/KonversationQueryable.cs
   M /trunk/beagle/beagled/KopeteQueryable/KopeteQueryable.cs
   M /trunk/beagle/beagled/Makefile.am
   A /trunk/beagle/beagled/PidginQueryable (from /trunk/beagle/beagled/GaimLogQueryable:3763)
   M /trunk/beagle/search/Tiles/IMLog.cs

* Move IM log parsing into individual filters. This should significantly improve performance. (bgo #322669)
* Rename Gaim queryable to Pidgin
* Move HtmlRemovingReader into its own file, since it really rocks and deserves to be treated this way :-)
* Remove ImLog.cs from Beagle.Util and make it only an ImLogViewer thing.


------------------------------------------------------------------------
r3768 | joeshaw | 2007-06-04 16:48:13 -0400 (Mon, 04 Jun 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/ManageIndex.cs

Allow filterver.dat in beagle-manage-index
------------------------------------------------------------------------
r3767 | joeshaw | 2007-06-04 14:30:00 -0400 (Mon, 04 Jun 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/LuceneIndexingDriver.cs

Clean up the output of indexed docs a little bit in the logs
------------------------------------------------------------------------
r3766 | joeshaw | 2007-06-04 13:18:07 -0400 (Mon, 04 Jun 2007) | 6 lines
Changed paths:
   M /trunk/beagle/beagled/FileSystemQueryable/FileSystemQueryable.cs

Fix a refactoring bug which set the wrong DisplayUri
(file:///home/joe/foo.txtfoo.txt instead of file:///home/joe/foo.txt)
and broke removal notification in live queries.  Thanks Lukas for
identifying this.


------------------------------------------------------------------------
r3765 | joeshaw | 2007-06-04 13:03:44 -0400 (Mon, 04 Jun 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/QueryExecutor.cs

If there is no result in the QueryExecutor, don't try to deref it.
------------------------------------------------------------------------
r3764 | jfriedl | 2007-06-04 11:48:37 -0400 (Mon, 04 Jun 2007) | 5 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/cs.po

2007-06-04  Jakub Friedl  <jfriedl@suse.cz>

  * cs.po: Updated Czech translation.


------------------------------------------------------------------------
r3763 | llipka | 2007-06-04 05:27:53 -0400 (Mon, 04 Jun 2007) | 1 line
Changed paths:
   A /trunk/beagle/search/Tiles/Task.cs

Add Task tile.
------------------------------------------------------------------------
r3762 | dnylande | 2007-06-04 02:16:37 -0400 (Mon, 04 Jun 2007) | 1 line
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/sv.po

sv.po: Updated Swedish translation
------------------------------------------------------------------------
r3761 | llipka | 2007-06-03 17:21:00 -0400 (Sun, 03 Jun 2007) | 8 lines
Changed paths:
   M /trunk/beagle/BeagleClient/Makefile.am
   M /trunk/beagle/ImLogViewer/ImLogWindow.cs
   M /trunk/beagle/Util/LineReader.cs
   M /trunk/beagle/Util/UriFu.cs
   M /trunk/beagle/Util/XKeybinder.cs
   M /trunk/beagle/beagled/EvolutionDataServerQueryable/CalContainer.cs
   M /trunk/beagle/beagled/EvolutionDataServerQueryable/EvolutionDataServerQueryable.cs
   M /trunk/beagle/beagled/Flavor.cs
   M /trunk/beagle/search/Makefile.am
   M /trunk/beagle/search/Search.cs
   M /trunk/beagle/search/Tiles/AssemblyInfo.cs
   M /trunk/beagle/search/Tiles/Calendar.cs
   M /trunk/beagle/search/Tiles/Note.cs
   M /trunk/beagle/search/Tiles/TileActivator.cs
   M /trunk/beagle/search/Tiles/Utils.cs
   M /trunk/beagle/search/Tiles/WebHistory.cs
   M /trunk/beagle/search/Tray/TrayIcon.cs

* Wrap the preview text in the IM viewer if its too long (bgo #439577)
* Searches with underscores in beagle-search tray history no longer appear as hotkeys (bgo #440899)
* Refactor the EvolutionDataServer queryable
* Evolution notes now have a Note hit type and appear alongside with Tomboy notes in beagle-search (bgo #436036 and bgo #436039)
* Evolution tasks have a Task hit type and have their own tile in beagle-search (bgo #436040)
* Fix compile warnings and remove duplicate includes from Makefiles


------------------------------------------------------------------------
r3760 | joeshaw | 2007-05-31 15:08:31 -0400 (Thu, 31 May 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/BeagleDaemon.cs

Bail out if we're running under sabayon.  bgo #439177
------------------------------------------------------------------------
r3759 | joeshaw | 2007-05-31 14:05:59 -0400 (Thu, 31 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/Makefile.am
   A /trunk/beagle/Filters/TagLib (from /trunk/beagle/Filters/TagLib:3726)
   M /trunk/beagle/configure.in

Add taglib-sharp back into the tree, to eliminate the requirement of an
external dependency
------------------------------------------------------------------------
r3758 | jovanna | 2007-05-27 17:35:24 -0400 (Sun, 27 May 2007) | 1 line
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/mk.po

2007-05-27 Jovan Naumovski <jovanna@svn.gnome.org> *mk.po: Updated Macedonian translation.
------------------------------------------------------------------------
r3757 | leonardof | 2007-05-27 01:29:40 -0400 (Sun, 27 May 2007) | 6 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/pt_BR.po

2007-05-27  Leonardo Ferreira Fontenelle  <leonardof@svn.gnome.org>

	* pt_BR.po: Updated Brazilian Portuguese translation by Raul Pereira
	<contato@raulpereira.com> and myself (Leonardo Fontenelle
	<leo.fontenelle@gmail.com>). Closes bug #440066.

------------------------------------------------------------------------
r3756 | dbera | 2007-05-22 17:42:47 -0400 (Tue, 22 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterMusic.cs

*sigh* taglib-sharp API change.

------------------------------------------------------------------------
r3755 | joeshaw | 2007-05-22 14:08:26 -0400 (Tue, 22 May 2007) | 4 lines
Changed paths:
   M /trunk/beagle/beagled/ExtractContent.cs

Display generated indexables in beagle-extract-content in the order in
which they're generated, not the order in which they'll be indexed.
Simplifies the code a lot, and matches the previous output.

------------------------------------------------------------------------
r3754 | jfriedl | 2007-05-22 11:25:42 -0400 (Tue, 22 May 2007) | 5 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/cs.po

2007-05-22  Jakub Friedl  <jfriedl@suse.cz>

  * cs.po: Updated Czech translation.


------------------------------------------------------------------------
r3753 | joeshaw | 2007-05-21 15:09:15 -0400 (Mon, 21 May 2007) | 6 lines
Changed paths:
   M /trunk/beagle/beagled/FileSystemQueryable/DirectoryModel.cs
   M /trunk/beagle/beagled/FileSystemQueryable/DirectoryState.cs

Back out the PossiblyClean changes (r3476) -- we need to keep it for
non-inotify systems or systems which run out of inotify watches.  We'll
need to look at being smarter about crawling for changes in these cases,
rather than continuously and repeatedly doing it.


------------------------------------------------------------------------
r3752 | dbera | 2007-05-19 21:14:29 -0400 (Sat, 19 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Util/SystemInformation.cs
   M /trunk/beagle/beagled/BeagleDaemon.cs

There is no point in calling the battery status callback more frequently than acpi info is checked.

------------------------------------------------------------------------
r3751 | dbera | 2007-05-19 19:38:39 -0400 (Sat, 19 May 2007) | 3 lines
Changed paths:
   M /trunk/beagle/Filters/FilterArchive.cs

Get the childindexables from the Archive filter on demand instead of storing them all at the beginning.
For single entry archives, use the beagle:ExactFileName property if available, since the FileInfo can point to a temporary file.

------------------------------------------------------------------------
r3750 | dbera | 2007-05-19 19:36:47 -0400 (Sat, 19 May 2007) | 3 lines
Changed paths:
   M /trunk/beagle/beagled/Filter.cs

Close the streams early, when Finished() or Error() is called. It is illegal to read from the streams or add text or property after calling Finished()/Error().
Also, don't use a static stringbuilder anymore, more than one filter can co-exist.

------------------------------------------------------------------------
r3749 | dbera | 2007-05-19 19:33:28 -0400 (Sat, 19 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/BeagleClient/Indexable.cs

Set the source of child indexables. Previously this was set by the daemon in AddIndexable.

------------------------------------------------------------------------
r3748 | dbera | 2007-05-18 22:49:39 -0400 (Fri, 18 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterArchive.cs

Oops.. accidental commit.

------------------------------------------------------------------------
r3747 | dbera | 2007-05-18 22:47:03 -0400 (Fri, 18 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterArchive.cs
   M /trunk/beagle/Filters/FilterIgnore.cs

Add mimetype for .db files to FilterIgnore.

------------------------------------------------------------------------
r3746 | dbera | 2007-05-18 21:14:24 -0400 (Fri, 18 May 2007) | 4 lines
Changed paths:
   M /trunk/beagle/beagled/FileSystemQueryable/DirectoryModel.cs
   M /trunk/beagle/beagled/FileSystemQueryable/DirectoryState.cs
   M /trunk/beagle/beagled/FileSystemQueryable/FileSystemQueryable.cs

Based on historical evidences, PossiblyClean was introduced to handle forceful Recrawl*(); in all of those cases, the state is explicitly set to PossiblyClean, and Compare() does the right thing for such directories. Drop the usage of PossiblyClean in all other cases, namely when a directory is asked to be marked as clean, _always_ mark it as clean (in other words, in DoneCrawlingOneDirectory(dir), the dir should _always_ be marked as clean). This is prevent any kind of recrawls.

In short, fix the ever looping of the directories if inotify limit is reached!

------------------------------------------------------------------------
r3745 | dbera | 2007-05-18 19:55:42 -0400 (Fri, 18 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/FileSystemQueryable/FileCrawlTask.cs
   M /trunk/beagle/beagled/FileSystemQueryable/FileSystemQueryable.cs
   M /trunk/beagle/beagled/FileSystemQueryable/TreeCrawlTask.cs

Remove an unnecessary call to GetNextDirectoryToCrawl() since the crawl tasks themselves know what directory they are crawling at that time.

------------------------------------------------------------------------
r3744 | dbera | 2007-05-18 17:58:54 -0400 (Fri, 18 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/LuceneQueryable.cs

Add a comment about why ignoring null receipt in LuceneQueryable.Flush() is a very bad idea.

------------------------------------------------------------------------
r3743 | dbera | 2007-05-18 15:35:40 -0400 (Fri, 18 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterArchive.cs

Close the stream when done. Since archives do not contain any data, there is no need to keep the stream open.

------------------------------------------------------------------------
r3742 | joeshaw | 2007-05-18 15:17:46 -0400 (Fri, 18 May 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/IndexHelper/IndexHelper.cs

Add heap-shot support to the helper process
------------------------------------------------------------------------
r3741 | dbera | 2007-05-18 14:50:01 -0400 (Fri, 18 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/Filter.cs
   M /trunk/beagle/beagled/LuceneIndexingDriver.cs

Since generated indexables are now responsibility of the filter, explicitly delete them during cleanup (when shutdown is requested).

------------------------------------------------------------------------
r3740 | dbera | 2007-05-17 17:58:04 -0400 (Thu, 17 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterDocbook.cs
   M /trunk/beagle/Filters/FilterText.cs

Ignore legal.xml files in docbook filter.

------------------------------------------------------------------------
r3739 | dbera | 2007-05-17 17:23:12 -0400 (Thu, 17 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/IndexerReceipts.cs
   M /trunk/beagle/beagled/LuceneIndexingDriver.cs
   M /trunk/beagle/beagled/MasterDelete.cs

Send the number of documents deleted in the indexerremovedreceipt and use this number to report success or failure in master-delete.

------------------------------------------------------------------------
r3738 | dbera | 2007-05-17 16:26:35 -0400 (Thu, 17 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/FilterFactory.cs

Always print an error message if filtering fails, otherwise users have no clue whats going on.

------------------------------------------------------------------------
r3737 | dbera | 2007-05-17 16:18:11 -0400 (Thu, 17 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterDocbook.cs

Print an error when filtering docbook fails.

------------------------------------------------------------------------
r3736 | dbera | 2007-05-17 14:35:13 -0400 (Thu, 17 May 2007) | 4 lines
Changed paths:
   M /trunk/beagle/Util/PathFinder.cs
   M /trunk/beagle/beagled/BuildIndex.cs
   M /trunk/beagle/beagled/FileAttributesStore.cs
   M /trunk/beagle/beagled/FileSystemQueryable/FileSystemQueryable.cs
   M /trunk/beagle/beagled/FilterFactory.cs
   M /trunk/beagle/beagled/IndexerRequest.cs

Avoid crash in IndexerRequest.

Implement mozilla style filterver.dat to store last_mtime of filters. This would prevent unnecessary trying to filter if filters has not changed since last run and the file was not filtered before.

------------------------------------------------------------------------
r3735 | dbera | 2007-05-17 10:18:02 -0400 (Thu, 17 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/FilterFactory.cs
   M /trunk/beagle/beagled/IndexHelper/RemoteIndexerExecutor.cs

Remove dead code from pre-better-lucene time.

------------------------------------------------------------------------
r3734 | dbera | 2007-05-16 13:36:10 -0400 (Wed, 16 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/IndexHelper/IndexHelper.cs

Change the message a bit for SIGUSR2.

------------------------------------------------------------------------
r3733 | dbera | 2007-05-16 12:39:59 -0400 (Wed, 16 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/LuceneIndexingDriver.cs

Oops. Send a PausedReceipt after indexing some of the indexer generated indexables, there could be more to index.

------------------------------------------------------------------------
r3732 | jfriedl | 2007-05-16 08:27:22 -0400 (Wed, 16 May 2007) | 5 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/cs.po

2007-05-16  Jakub Friedl  <jfriedl@suse.cz>

  * cs.po: Updated Czech translation.


------------------------------------------------------------------------
r3731 | dbera | 2007-05-15 18:15:56 -0400 (Tue, 15 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/BeagleClient/Indexable.cs
   M /trunk/beagle/beagled/ExtractContent.cs
   M /trunk/beagle/beagled/Filter.cs
   M /trunk/beagle/beagled/IndexerReceipts.cs
   M /trunk/beagle/beagled/LuceneCommon.cs
   M /trunk/beagle/beagled/LuceneIndexingDriver.cs

Minor copyright updates that I previously missed.

------------------------------------------------------------------------
r3730 | dbera | 2007-05-15 18:10:52 -0400 (Tue, 15 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/ExtractContent.cs

Updated extract-content to work with the new child indexables.

------------------------------------------------------------------------
r3729 | dbera | 2007-05-15 16:15:46 -0400 (Tue, 15 May 2007) | 11 lines
Changed paths:
   M /trunk/beagle/BeagleClient/Indexable.cs
   M /trunk/beagle/Filters/FilterDocbook.cs
   M /trunk/beagle/Filters/FilterMail.cs
   M /trunk/beagle/Filters/FilterMonodoc.cs
   M /trunk/beagle/beagled/BuildIndex.cs
   M /trunk/beagle/beagled/ExtractContent.cs
   M /trunk/beagle/beagled/Filter.cs
   M /trunk/beagle/beagled/IndexHelper/RemoteIndexerExecutor.cs
   M /trunk/beagle/beagled/IndexerReceipts.cs
   M /trunk/beagle/beagled/IndexerRequest.cs
   M /trunk/beagle/beagled/LuceneIndexingDriver.cs
   M /trunk/beagle/beagled/LuceneQueryable.cs

Mega commit! Child indexables are handled entirely at the indexhelper, only scheduled by the daemon and infrastructure for filters to generate child indexables on demand (hint: zero-copy archive indexing).

- todo - child-indexable generating filters need to take advantage of the streaming child indexables

Things broken - 
* ExtractContent wrt child indexables! (And some other places marked by "FIXME FIXME FIXME")
* count of number of items indexed is _possibly_ broken due to the short-circuits happening in luceneindexingdriver
* verify that no tmpfiles are left behind even in extreme conditions.

Also, revert r3673 (IndexableType.Ignore patch, since child indexables are not passed by the source backend anymore).

------------------------------------------------------------------------
r3728 | dbera | 2007-05-14 17:49:25 -0400 (Mon, 14 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/COPYING

Remove taglib-sharp license since we do not source include it anymore.

------------------------------------------------------------------------
r3727 | dbera | 2007-05-14 17:40:13 -0400 (Mon, 14 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/Makefile.am
   D /trunk/beagle/Filters/TagLib
   M /trunk/beagle/configure.in

Remove in house copy of Taglib-sharp since taglib-sharp is being packaged. Fixes #437999.

------------------------------------------------------------------------
r3726 | aihana | 2007-05-12 00:20:07 -0400 (Sat, 12 May 2007) | 4 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/ja.po

2007-05-12  Takeshi AIHANA <takeshi.aihana@gmail.com>

        * ja.po: Updated Japanese translation.

------------------------------------------------------------------------
r3725 | joeshaw | 2007-05-11 18:11:06 -0400 (Fri, 11 May 2007) | 3 lines
Changed paths:
   M /trunk/beagle/beagled/Makefile.am
   M /trunk/beagle/beagled/MasterDelete.cs

The return of the master delete button!


------------------------------------------------------------------------
r3724 | joeshaw | 2007-05-11 17:57:34 -0400 (Fri, 11 May 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/SnippetTest.cs

Ok, and now fix the snippet test program
------------------------------------------------------------------------
r3723 | joeshaw | 2007-05-11 17:54:03 -0400 (Fri, 11 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/SnippetFu.cs

Revert r3270, we don't want to break the loop on an empty string.  I'll
have to change the snippet test program
------------------------------------------------------------------------
r3722 | joeshaw | 2007-05-11 17:50:51 -0400 (Fri, 11 May 2007) | 3 lines
Changed paths:
   M /trunk/beagle/beagled/Makefile.am
   D /trunk/beagle/beagled/SanityCheckTool.cs

Remove the obsolete (and unbuilt!) fs sanity check tool.


------------------------------------------------------------------------
r3721 | joeshaw | 2007-05-11 17:45:03 -0400 (Fri, 11 May 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/Makefile.am
   D /trunk/beagle/beagled/TermStatsTool.cs

Remove the beagle-term-stats tool, another obsolete and unused tool
------------------------------------------------------------------------
r3720 | joeshaw | 2007-05-11 17:42:48 -0400 (Fri, 11 May 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/SnippetFu.cs

Small fix in SnippetFu to make the snippet test program work again
------------------------------------------------------------------------
r3719 | joeshaw | 2007-05-11 17:18:53 -0400 (Fri, 11 May 2007) | 3 lines
Changed paths:
   M /trunk/beagle/beagled/Makefile.am
   D /trunk/beagle/beagled/NameIndexTool.cs

Remove the beagle-name-index tool.  It was one big #if false clause,
is completely obsolete, and doesn't have any interesting history.

------------------------------------------------------------------------
r3718 | joeshaw | 2007-05-11 16:39:04 -0400 (Fri, 11 May 2007) | 3 lines
Changed paths:
   M /trunk/beagle/beagled/LifereaQueryable/LifereaQueryable.cs

Add support for the ~/.liferea_1.2 directory to the Liferea backend.
bgo #426573.

------------------------------------------------------------------------
r3717 | joeshaw | 2007-05-10 17:12:33 -0400 (Thu, 10 May 2007) | 4 lines
Changed paths:
   M /trunk/beagle/beagled/ExtractContent.cs

Don't show properties with an empty string for a value in
beagle-extract-content, since those are just stripped out and not
indexed by the daemon.

------------------------------------------------------------------------
r3716 | joeshaw | 2007-05-10 17:00:52 -0400 (Thu, 10 May 2007) | 4 lines
Changed paths:
   M /trunk/beagle/Filters/FilterMusic.cs

Don't store properties for track number, track count, disc number, disc
count, or year if any of them is zero.


------------------------------------------------------------------------
r3715 | joeshaw | 2007-05-10 15:03:08 -0400 (Thu, 10 May 2007) | 4 lines
Changed paths:
   M /trunk/beagle/search/Tiles/Audio.cs

Check for both dc:title and fixme:title in the Audio tile.  The former
is used with the new taglib-sharp and the latter with the older
entagged-sharp.

------------------------------------------------------------------------
r3713 | dbera | 2007-05-10 13:20:08 -0400 (Thu, 10 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterMusic.cs

Bump version of FilterMusic; re-index all music files.

------------------------------------------------------------------------
r3712 | dbera | 2007-05-10 12:33:18 -0400 (Thu, 10 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/Filter.cs

Fix a crash if null str or strHot is passed.

------------------------------------------------------------------------
r3711 | joeshaw | 2007-05-10 12:12:42 -0400 (Thu, 10 May 2007) | 1 line
Changed paths:
   M /trunk/beagle/beagled/beagled.in

Fix mdb command-line arguments.  Beagle part of bxc #81556
------------------------------------------------------------------------
r3710 | dbera | 2007-05-10 10:56:21 -0400 (Thu, 10 May 2007) | 2 lines
Changed paths:
   D /trunk/beagle/Filters/entagged-sharp

Remove entagged-sharp. Thanks entagged!

------------------------------------------------------------------------
r3709 | dbera | 2007-05-10 10:55:45 -0400 (Thu, 10 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/TagLib/README

Sync TagLib with upstream r77132.

------------------------------------------------------------------------
r3708 | dbera | 2007-05-10 10:53:00 -0400 (Thu, 10 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterMusic.cs
   M /trunk/beagle/Filters/TagLib/Asf/File.cs
   M /trunk/beagle/Filters/TagLib/File.cs
   M /trunk/beagle/Filters/TagLib/Flac/File.cs
   M /trunk/beagle/Filters/TagLib/Mpc/File.cs
   M /trunk/beagle/Filters/TagLib/Mpeg/AudioFile.cs
   M /trunk/beagle/Filters/TagLib/Mpeg/File.cs
   M /trunk/beagle/Filters/TagLib/Mpeg4/File.cs
   M /trunk/beagle/Filters/TagLib/NonContainer/File.cs
   M /trunk/beagle/Filters/TagLib/Ogg/File.cs
   M /trunk/beagle/Filters/TagLib/Ogg/Flac/File.cs
   M /trunk/beagle/Filters/TagLib/Ogg/Vorbis/File.cs
   M /trunk/beagle/Filters/TagLib/Riff/File.cs
   M /trunk/beagle/Filters/TagLib/WavPack/File.cs
   D /trunk/beagle/Filters/TagLib/upstream_changes

Thanks to a smart IFileAbtraction by Brian Nickel, we do not need to patch taglib anymore. Remove upstream-changes too.

------------------------------------------------------------------------
r3707 | dbera | 2007-05-10 10:32:46 -0400 (Thu, 10 May 2007) | 3 lines
Changed paths:
   M /trunk/beagle/beagled/IndexerRequest.cs
   M /trunk/beagle/beagled/Makefile.am

Dictionary.Item[i] does not return null unlike Hashtable :(. Take that into account.


------------------------------------------------------------------------
r3706 | dbera | 2007-05-10 00:01:50 -0400 (Thu, 10 May 2007) | 3 lines
Changed paths:
   M /trunk/beagle/COPYING
   M /trunk/beagle/Filters/FilterMusic.cs
   M /trunk/beagle/Filters/Makefile.am

Use taglib-sharp instead of entagged-sharp.
Give this a few tests and then entagged-sharp will be removed completely.

------------------------------------------------------------------------
r3705 | dbera | 2007-05-09 23:59:34 -0400 (Wed, 09 May 2007) | 3 lines
Changed paths:
   A /trunk/beagle/Filters/TagLib
   A /trunk/beagle/Filters/TagLib/Ape
   A /trunk/beagle/Filters/TagLib/Ape/Footer.cs
   A /trunk/beagle/Filters/TagLib/Ape/Item.cs
   A /trunk/beagle/Filters/TagLib/Ape/Tag.cs
   A /trunk/beagle/Filters/TagLib/Asf
   A /trunk/beagle/Filters/TagLib/Asf/ContentDescriptionObject.cs
   A /trunk/beagle/Filters/TagLib/Asf/ContentDescriptor.cs
   A /trunk/beagle/Filters/TagLib/Asf/ExtendedContentDescriptionObject.cs
   A /trunk/beagle/Filters/TagLib/Asf/File.cs
   A /trunk/beagle/Filters/TagLib/Asf/FilePropertiesObject.cs
   A /trunk/beagle/Filters/TagLib/Asf/Guid.cs
   A /trunk/beagle/Filters/TagLib/Asf/HeaderObject.cs
   A /trunk/beagle/Filters/TagLib/Asf/Object.cs
   A /trunk/beagle/Filters/TagLib/Asf/PaddingObject.cs
   A /trunk/beagle/Filters/TagLib/Asf/Properties.cs
   A /trunk/beagle/Filters/TagLib/Asf/StreamPropertiesObject.cs
   A /trunk/beagle/Filters/TagLib/Asf/Tag.cs
   A /trunk/beagle/Filters/TagLib/Asf/UnknownObject.cs
   A /trunk/beagle/Filters/TagLib/ByteVector.cs
   A /trunk/beagle/Filters/TagLib/ByteVectorList.cs
   A /trunk/beagle/Filters/TagLib/CombinedTag.cs
   A /trunk/beagle/Filters/TagLib/CorruptFileException.cs
   A /trunk/beagle/Filters/TagLib/Debugger.cs
   A /trunk/beagle/Filters/TagLib/File.cs
   A /trunk/beagle/Filters/TagLib/File.cs.orig
   A /trunk/beagle/Filters/TagLib/FileTypes.cs
   A /trunk/beagle/Filters/TagLib/Flac
   A /trunk/beagle/Filters/TagLib/Flac/Block.cs
   A /trunk/beagle/Filters/TagLib/Flac/BlockHeader.cs
   A /trunk/beagle/Filters/TagLib/Flac/File.cs
   A /trunk/beagle/Filters/TagLib/Flac/Picture.cs
   A /trunk/beagle/Filters/TagLib/Flac/StreamHeader.cs
   A /trunk/beagle/Filters/TagLib/Genres.cs
   A /trunk/beagle/Filters/TagLib/ICodec.cs
   A /trunk/beagle/Filters/TagLib/Id3v1
   A /trunk/beagle/Filters/TagLib/Id3v1/StringHandler.cs
   A /trunk/beagle/Filters/TagLib/Id3v1/Tag.cs
   A /trunk/beagle/Filters/TagLib/Id3v2
   A /trunk/beagle/Filters/TagLib/Id3v2/ExtendedHeader.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/Footer.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/Frame.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/FrameFactory.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/FrameHeader.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/Frames
   A /trunk/beagle/Filters/TagLib/Id3v2/Frames/AttachedPictureFrame.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/Frames/CommentsFrame.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/Frames/GeneralEncapsulatedObjectFrame.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/Frames/PrivateFrame.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/Frames/RelativeVolumeFrame.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/Frames/TextIdentificationFrame.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/Frames/UniqueFileIdentifierFrame.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/Frames/UnknownFrame.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/Frames/UnsynchronisedLyricsFrame.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/Header.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/SynchData.cs
   A /trunk/beagle/Filters/TagLib/Id3v2/Tag.cs
   A /trunk/beagle/Filters/TagLib/IntList.cs
   A /trunk/beagle/Filters/TagLib/ListBase.cs
   A /trunk/beagle/Filters/TagLib/Mpc
   A /trunk/beagle/Filters/TagLib/Mpc/File.cs
   A /trunk/beagle/Filters/TagLib/Mpc/StreamHeader.cs
   A /trunk/beagle/Filters/TagLib/Mpeg
   A /trunk/beagle/Filters/TagLib/Mpeg/AudioFile.cs
   A /trunk/beagle/Filters/TagLib/Mpeg/AudioHeader.cs
   A /trunk/beagle/Filters/TagLib/Mpeg/File.cs
   A /trunk/beagle/Filters/TagLib/Mpeg/Packets
   A /trunk/beagle/Filters/TagLib/Mpeg/Properties.cs
   A /trunk/beagle/Filters/TagLib/Mpeg/VideoHeader.cs
   A /trunk/beagle/Filters/TagLib/Mpeg/XingHeader.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4
   A /trunk/beagle/Filters/TagLib/Mpeg4/AppleTag.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/Box.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/BoxFactory.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/BoxHeader.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/BoxList.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/BoxTypes.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/Boxes
   A /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/AppleAdditionalInfoBox.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/AppleAnnotationBox.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/AppleDataBox.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/AppleElementaryStreamDescriptor.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/AppleItemListBox.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/FullBox.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoAudioSampleEntry.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoChunkLargeOffsetBox.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoChunkOffsetBox.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoFreeSpaceBox.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoHandlerBox.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoMetaBox.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoMovieHeaderBox.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoSampleDescriptionBox.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoSampleEntry.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoSampleTableBox.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoUserDataBox.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/IsoVisualSampleEntry.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/Boxes/UnknownBox.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/File.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/FileParser.cs
   A /trunk/beagle/Filters/TagLib/Mpeg4/Properties.cs
   A /trunk/beagle/Filters/TagLib/NonContainer
   A /trunk/beagle/Filters/TagLib/NonContainer/EndTag.cs
   A /trunk/beagle/Filters/TagLib/NonContainer/File.cs
   A /trunk/beagle/Filters/TagLib/NonContainer/StartTag.cs
   A /trunk/beagle/Filters/TagLib/NonContainer/Tag.cs
   A /trunk/beagle/Filters/TagLib/Ogg
   A /trunk/beagle/Filters/TagLib/Ogg/Bitstream.cs
   A /trunk/beagle/Filters/TagLib/Ogg/Codec.cs
   A /trunk/beagle/Filters/TagLib/Ogg/Codecs
   A /trunk/beagle/Filters/TagLib/Ogg/Codecs/Theora.cs
   A /trunk/beagle/Filters/TagLib/Ogg/Codecs/Vorbis.cs
   A /trunk/beagle/Filters/TagLib/Ogg/File.cs
   A /trunk/beagle/Filters/TagLib/Ogg/Flac
   A /trunk/beagle/Filters/TagLib/Ogg/Flac/File.cs
   A /trunk/beagle/Filters/TagLib/Ogg/GroupedComment.cs
   A /trunk/beagle/Filters/TagLib/Ogg/Page.cs
   A /trunk/beagle/Filters/TagLib/Ogg/PageHeader.cs
   A /trunk/beagle/Filters/TagLib/Ogg/Paginator.cs
   A /trunk/beagle/Filters/TagLib/Ogg/Properties.cs
   A /trunk/beagle/Filters/TagLib/Ogg/Vorbis
   A /trunk/beagle/Filters/TagLib/Ogg/Vorbis/File.cs
   A /trunk/beagle/Filters/TagLib/Ogg/XiphComment.cs
   A /trunk/beagle/Filters/TagLib/Picture.cs
   A /trunk/beagle/Filters/TagLib/Properties.cs
   A /trunk/beagle/Filters/TagLib/README
   A /trunk/beagle/Filters/TagLib/Riff
   A /trunk/beagle/Filters/TagLib/Riff/AviHeaderList.cs
   A /trunk/beagle/Filters/TagLib/Riff/AviStream.cs
   A /trunk/beagle/Filters/TagLib/Riff/BitmapInfoHeader.cs
   A /trunk/beagle/Filters/TagLib/Riff/DivXTag.cs
   A /trunk/beagle/Filters/TagLib/Riff/File.cs
   A /trunk/beagle/Filters/TagLib/Riff/InfoTag.cs
   A /trunk/beagle/Filters/TagLib/Riff/List.cs
   A /trunk/beagle/Filters/TagLib/Riff/ListTag.cs
   A /trunk/beagle/Filters/TagLib/Riff/MovieIdTag.cs
   A /trunk/beagle/Filters/TagLib/Riff/WaveFormatEx.cs
   A /trunk/beagle/Filters/TagLib/StringList.cs
   A /trunk/beagle/Filters/TagLib/SupportedMimeType.cs
   A /trunk/beagle/Filters/TagLib/Tag.cs
   A /trunk/beagle/Filters/TagLib/TagLib.sources
   A /trunk/beagle/Filters/TagLib/UnsupportedFormatException.cs
   A /trunk/beagle/Filters/TagLib/WavPack
   A /trunk/beagle/Filters/TagLib/WavPack/File.cs
   A /trunk/beagle/Filters/TagLib/WavPack/StreamHeader.cs
   A /trunk/beagle/Filters/TagLib/upstream_changes
   A /trunk/beagle/Filters/TagLib/upstream_changes/01_Read_from_stream.diff

Import taglib-sharp r77104!


------------------------------------------------------------------------
r3704 | dbera | 2007-05-09 20:56:41 -0400 (Wed, 09 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/IndexerRequest.cs
   M /trunk/beagle/beagled/LuceneIndexingDriver.cs
   M /trunk/beagle/beagled/LuceneQueryable.cs

Using a global id and a local array with indexes as that of the id is incorrect; diffrent threads might separately increment the id which will mess with the array index. Instead, use a dictionary to store the indexables.

------------------------------------------------------------------------
r3703 | dnylande | 2007-05-09 06:31:14 -0400 (Wed, 09 May 2007) | 1 line
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/sv.po

sv.po: Updated Swedish translation
------------------------------------------------------------------------
r3701 | joeshaw | 2007-05-08 15:16:26 -0400 (Tue, 08 May 2007) | 2 lines
Changed paths:
   M /trunk/beagle/ChangeLog
   M /trunk/beagle/NEWS
   M /trunk/beagle/Util/Scheduler.cs

Merge in changes to ChangeLog and NEWS from the branch back to the trunk
(r3698-3700)
------------------------------------------------------------------------
------------------------------------------------------------------------
r3697 | joeshaw | 2007-05-08 15:09:07 -0400 (Tue, 08 May 2007) | 1 line
Changed paths:
   M /branches/beagle-0.2.16/configure.in

Bump version number to 0.2.17
------------------------------------------------------------------------
r3696 | joeshaw | 2007-05-08 14:51:19 -0400 (Tue, 08 May 2007) | 2 lines
Changed paths:
   M /branches/beagle-0.2.16/po/ar.po
   M /branches/beagle-0.2.16/po/ca.po
   M /branches/beagle-0.2.16/po/cs.po
   M /branches/beagle-0.2.16/po/de.po
   M /branches/beagle-0.2.16/po/dz.po
   M /branches/beagle-0.2.16/po/en_GB.po
   M /branches/beagle-0.2.16/po/es.po
   M /branches/beagle-0.2.16/po/fi.po
   M /branches/beagle-0.2.16/po/fr.po
   M /branches/beagle-0.2.16/po/gl.po
   M /branches/beagle-0.2.16/po/hu.po
   M /branches/beagle-0.2.16/po/it.po
   M /branches/beagle-0.2.16/po/ja.po
   M /branches/beagle-0.2.16/po/mk.po
   M /branches/beagle-0.2.16/po/nb.po
   M /branches/beagle-0.2.16/po/pa.po
   M /branches/beagle-0.2.16/po/pl.po
   M /branches/beagle-0.2.16/po/pt_BR.po
   M /branches/beagle-0.2.16/po/ru.po
   M /branches/beagle-0.2.16/po/sv.po
   M /branches/beagle-0.2.16/po/zh_CN.po
   M /branches/beagle-0.2.16/po/zh_TW.po

Move the upstream po files back onto the branch, and update
them from the trunk
------------------------------------------------------------------------
r3695 | dbera | 2007-05-08 13:27:36 -0400 (Tue, 08 May 2007) | 2 lines
Changed paths:
   M /branches/beagle-0.2.16/beagled/LuceneIndexingDriver.cs

Merge from trunk: r3694: Set IndexReader to null to ensure faster collection.

------------------------------------------------------------------------
r3693 | dbera | 2007-05-08 12:58:18 -0400 (Tue, 08 May 2007) | 24 lines
Changed paths:
   M /branches/beagle-0.2.16/beagled/BeagleDaemon.cs
   M /branches/beagle-0.2.16/beagled/BuildIndex.cs
   M /branches/beagle-0.2.16/beagled/EvolutionMailQueryable/EvolutionSummaryTracker.cs
   M /branches/beagle-0.2.16/beagled/KMailQueryable/KMailIndexableGenerator.cs
   M /branches/beagle-0.2.16/beagled/KMailQueryable/KMailIndexer.cs
   M /branches/beagle-0.2.16/beagled/Lucene.Net/Store/FSDirectory.cs
   A /branches/beagle-0.2.16/beagled/Lucene.Net/upstream-changes/27_lockfile_delete_use_syscall.patch (from /trunk/beagle/beagled/Lucene.Net/upstream-changes/27_lockfile_delete_use_syscall.patch:3685)
   M /branches/beagle-0.2.16/beagled/LuceneCommon.cs
   M /branches/beagle-0.2.16/beagled/LuceneQueryable.cs
   M /branches/beagle-0.2.16/beagled/QueryResult.cs
   M /branches/beagle-0.2.16/beagled/wrapper.in

Merge from trunk:beagled/
(Leaving out the major ones)

r3531: Call SetProcessName() in beagle-extract-content
r3560: Always use the LuceneQueryingDriver's item count in
LuceneQueryable.GetQueryableStatus().  It refreshes its IndexReader if
it's out of date, so it always has a fresh view of the index, and
doesn't start an index helper process.
r3561: Always use the LuceneQueryingDriver's item count in
LuceneQueryable.GetQueryableStatus().  It refreshes its IndexReader if
it's out of date, so it always has a fresh view of the index, and
doesn't start an index helper process.
r3599: Remove Mono's --debug from the default wrapper in the beagled directory, so that things like beagle-build-index use less memory.  It can still be passed in through the MONO_EXTRA_ARGS environment variable.
r3644: Lower the CPU priority for the main daemon process a little, for cases where it gets a little CPU-hungry
r3638, r3645: Verify the index before purging.
r3648: Print some info out during a beagle-build-index run
r3660: Handle invalid content in the index version file.
r3667: Fix an exception that could occur when trying to index mails from an
Evolution IMAP folder with a comma.  bgo #432417, lp #108957
r3670: Set Indexable.Crawled to false for new messages to reduce thrasing.
r3672: Remove the separate crawler thread from BuildIndex. Do the crawling and indexing in the same thread, indexing files as and when they are found during crawling.
r3685: Use Mono.Posix native file delete method instead of System.IO.File.Delete.


------------------------------------------------------------------------
r3692 | dbera | 2007-05-08 12:31:11 -0400 (Tue, 08 May 2007) | 11 lines
Changed paths:
   M /branches/beagle-0.2.16/Util/FileSystem.cs
   M /branches/beagle-0.2.16/Util/StringFu.cs
   M /branches/beagle-0.2.16/Util/XmlFu.cs

Merge from trunk:Util/

r3519: When serializing, wrap the buffer first in an UnclosableStream and then in a BufferedStream with an 8k buffer.  This gives us around a 10% speed up when serializing responses.

r3566: Have Beagle.Util.FileSystem.GetLastWriteTimeUtc() use the same rules as the File and Directory variants.  That is, return 1 Jan 1601 at midnight
UTC if the file doesn't exist rather than throwing an exception.  This
fixes bgo 417601.

r3671: Better GlobMatch routine.


------------------------------------------------------------------------
r3691 | dbera | 2007-05-08 12:23:51 -0400 (Tue, 08 May 2007) | 19 lines
Changed paths:
   M /branches/beagle-0.2.16/search/Search.cs
   M /branches/beagle-0.2.16/search/Tiles/File.cs
   M /branches/beagle-0.2.16/search/Tiles/IMLog.cs
   M /branches/beagle-0.2.16/search/Tiles/Image.cs
   M /branches/beagle-0.2.16/search/Tiles/MailAttachment.cs
   M /branches/beagle-0.2.16/search/Tiles/RSSFeed.cs
   M /branches/beagle-0.2.16/search/beagle-search.in

Merge from trunk:search/

r3537:
* search/Tiles/File.cs: Display the first emblem in the file tile; add a FIXME to display multiple emblems.  
* search/Tiles/Image.cs: Fix an uncommon memory leak.

r3600: Booting the --debug from our beagle-search script as well, saves us about 2 megs resident mem, and it seems to statup faster

r3617: Not all mail attachments have a filename associated with them.  Instead of dropping them on the floor, display them with a fairly generic name.

r3626: Only add the number of matches to the total if it's not -1.

r3659: fixes launchpad Bug #93064, a crash in beagle-search from empty buddy icons

r3661: Handle invalid pixbufs, sometimes caused by Liferea leaving behind
zero-byte image files.  bgo #428736.



------------------------------------------------------------------------
r3690 | dbera | 2007-05-08 12:07:23 -0400 (Tue, 08 May 2007) | 5 lines
Changed paths:
   M /branches/beagle-0.2.16/glue/xdgmime/README
   M /branches/beagle-0.2.16/glue/xdgmime/xdgmimeglob.c
   M /branches/beagle-0.2.16/tools/beagle-crawl-system.in
   M /branches/beagle-0.2.16/tools/wrapper.in

r3680: (Sync with gtk+ svn trunk): Duplicate the mime_type when storing it in a hash node, to avoid leaks. Update all callers.
3554: Redirect wrapper.in echo output to stderr, so that it doesn't affect script processing of stdout.
3619: Exit out of the cronjob if beagle-build-index doesn't exist.  bgo #370943.


------------------------------------------------------------------------
r3689 | dbera | 2007-05-08 12:00:33 -0400 (Tue, 08 May 2007) | 9 lines
Changed paths:
   M /branches/beagle-0.2.16/Filters/FilterHtml.cs
   M /branches/beagle-0.2.16/Filters/FilterKonqHistory.cs
   M /branches/beagle-0.2.16/Filters/FilterOle.cs
   M /branches/beagle-0.2.16/Filters/FilterPdf.cs
   M /branches/beagle-0.2.16/Filters/HtmlAgilityPack/HtmlDocument.cs
   M /branches/beagle-0.2.16/glue/spawn-glue.c

r3565: Fix Console.WriteLine()s in filters.  Fixes those damn "No OLE2
signature" messages in the IndexHelperConsole log files.
r3602: Incorrectly placed void functions can still add up to the total runtime. Give a speedup to the html filter by using preprocessor directive instead of a variable.
r3603: Typo in the last commit of HtmlDocument.cs
r3621: glue/spawn-glue.c: If RedirectStandardError is false, then SafeProcess is not interested in the standard error, send the stderr to /dev/null in that case.
r3621: Filters/FilterPdf.cs: Fix #425150. Handle pdf files which can cause huge errors with pdfinfo. pdfinfo does not have any '-q' option, so send its stderr to /dev/null.
r3639: Add xhtml mimetype to html filter.
  

------------------------------------------------------------------------
r3612 | joeshaw | 2007-03-29 15:51:48 -0400 (Thu, 29 Mar 2007) | 4 lines
Changed paths:
   M /branches/beagle-0.2.16/Filters/FilterOpenOffice.cs

Merge in r3611 to the branch: don't go into an infinite loop if the OOo
file doesn't have a depth greater than 2.


------------------------------------------------------------------------
r3593 | joeshaw | 2007-03-21 14:46:54 -0400 (Wed, 21 Mar 2007) | 3 lines
Changed paths:
   M /branches/beagle-0.2.16/beagled/BeagleDaemon.cs

Fix a typo ("shapshot") and add --no-snapshot as a valid alternative


------------------------------------------------------------------------
r3583 | joeshaw | 2007-03-19 17:49:01 -0400 (Mon, 19 Mar 2007) | 5 lines
Changed paths:
   M /branches/beagle-0.2.16/Util/Log.cs

Redirect the actual stdout/stderr (rather than Console.Out and
Console.Error) to the main log file, so that we can catch the output
from a crashing Mono and save it somewhere useful.


------------------------------------------------------------------------
r3576 | joeshaw | 2007-03-15 16:16:58 -0400 (Thu, 15 Mar 2007) | 8 lines
Changed paths:
   M /branches/beagle-0.2.16/beagled/beagled-autostart.desktop

Merging:

r3575 | joeshaw | 2007-03-15 16:16:26 -0400 (Thu, 15 Mar 2007) | 3 lines

Start beagled with the --replace option, to replace any previously
running daemon if there is one.


------------------------------------------------------------------------
r3574 | joeshaw | 2007-03-15 16:14:33 -0400 (Thu, 15 Mar 2007) | 11 lines
Changed paths:
   M /branches/beagle-0.2.16/glue/screensaver-glue.c

Merge r3573 onto the branch:

r3573 | joeshaw | 2007-03-15 16:13:43 -0400 (Thu, 15 Mar 2007) | 7 lines

Watch the X connection's file descriptor and g_io_add_watch() on it for
the connection being closed.  When it is, synthesize an X event so that
our X connection immediately dies, and the daemon can shut down cleanly.
Fixes an issue where an idle daemon wasn't getting shut down at logout
time.


------------------------------------------------------------------------
r3572 | joeshaw | 2007-03-15 16:11:30 -0400 (Thu, 15 Mar 2007) | 1 line
Changed paths:
   M /branches/beagle-0.2.16/configure.in

Bump version to 0.2.16.3 for another bug fix tarball
------------------------------------------------------------------------
r3571 | joeshaw | 2007-03-15 16:09:50 -0400 (Thu, 15 Mar 2007) | 8 lines
Changed paths:
   M /branches/beagle-0.2.16/beagled/FileSystemQueryable/InotifyBackend.cs

Merge r3542:

r3542 | joeshaw | 2007-03-09 16:27:50 -0500 (Fri, 09 Mar 2007) | 5 lines
Create a single inotify callback and reuse it, rather than the implicit
recreation each time.  Saves a bunch of unnecessary allocations (which
are never cleaned up) when watching directories.


------------------------------------------------------------------------
r3570 | joeshaw | 2007-03-15 16:09:05 -0400 (Thu, 15 Mar 2007) | 6 lines
Changed paths:
   M /branches/beagle-0.2.16/beagled/ExtractContent.cs

Merge in r3531

r3531 | joeshaw | 2007-03-05 15:04:24 -0500 (Mon, 05 Mar 2007) | 1 line
Call SetProcessName() in beagle-extract-content


------------------------------------------------------------------------
r3569 | joeshaw | 2007-03-15 16:08:03 -0400 (Thu, 15 Mar 2007) | 44 lines
Changed paths:
   M /branches/beagle-0.2.16/Filters/FilterArchive.cs
   M /branches/beagle-0.2.16/Util/FileSystem.cs

Merge in a lot of archive filter fixes.

r3496 | joeshaw | 2007-02-23 13:43:41 -0500 (Fri, 23 Feb 2007) | 6 lines
Uri.ToString() doesn't print out escaped versions of the URI, so don't
pass in the "escaped" flag to the Uri constructor in the archive filter.
This fixes serialization exceptions for non-ASCII files in archives.

r3498 | joeshaw | 2007-02-23 16:11:40 -0500 (Fri, 23 Feb 2007) | 5 lines
Cut-and-paste Path.GetTempFileName() from System.IO but have it take an
extension argument so that we can do extension-based MIME sniffing on
our temporary files correctly.  (Mainly needed for things like Word
documents inside archives.)

r3502 | dbera | 2007-02-24 15:31:21 -0500 (Sat, 24 Feb 2007) | 3 lines
FilterArchive.cs: Add a comment explaining a potential problem in
constructing correct Uri for embedded files.

r3529 | dbera | 2007-03-04 13:11:48 -0500 (Sun, 04 Mar 2007) | 2 lines
Fix a crash when a bz2 or gzip archive contains a large file.

r3539 | dbera | 2007-03-07 10:29:02 -0500 (Wed, 07 Mar 2007) | 3 lines
* FilterArchive.cs: Check if the included file was actually extracted
before determining its mimetype.

r3540 | dbera | 2007-03-07 10:36:01 -0500 (Wed, 07 Mar 2007) | 2 lines
Addendum to r3539.

r3543 | dbera | 2007-03-09 21:31:06 -0500 (Fri, 09 Mar 2007) | 2 lines
* FilterArchive.cs: Catch GetNextEntry*() exceptions. Fixes #415056.
Most SharpZLib methods are broken and can throw exceptions even for
valid files. Anyone listening ???

r3555 | joeshaw | 2007-03-12 16:29:59 -0400 (Mon, 12 Mar 2007) | 6 lines
When writing out temp files with an extension, add special cases for
.tar.gz and .tar.bz2 so that we don't add an extra layer of processing
(first the compression, then the tar file) and instead handle both at
the same time.

r3557 | joeshaw | 2007-03-12 16:52:28 -0400 (Mon, 12 Mar 2007) | 4 lines
Remove anonymous delegates and move exception handling into a single
method; log errors we hit when trying to extract files.



------------------------------------------------------------------------
r3568 | joeshaw | 2007-03-15 15:50:12 -0400 (Thu, 15 Mar 2007) | 8 lines
Changed paths:
   M /branches/beagle-0.2.16/beagled/LuceneCommon.cs

Merge r3535:
r3535 | joeshaw | 2007-03-05 18:49:41 -0500 (Mon, 05 Mar 2007) | 4 lines

Prohibited date queries weren't working at all.  Fix them in most cases,
and add a FIXME about the case in which they don't work: with sub-date
accuracy.


------------------------------------------------------------------------
r3567 | joeshaw | 2007-03-15 15:47:24 -0400 (Thu, 15 Mar 2007) | 6 lines
Changed paths:
   M /branches/beagle-0.2.16/Filters/FilterArchive.cs

Merge r3529 from the trunk:
r3529 | dbera | 2007-03-04 13:11:48 -0500 (Sun, 04 Mar 2007) | 2 lines

Fix a crash when a bz2 or gzip archive contains a large file.


------------------------------------------------------------------------
r3532 | joeshaw | 2007-03-05 16:01:37 -0500 (Mon, 05 Mar 2007) | 3 lines
Changed paths:
   M /branches/beagle-0.2.16/Filters/FilterArchive.cs

Wrap reading from the archive streams in a try-catch, so that
we can move past files that cause SharpZipLib to throw an
exception
------------------------------------------------------------------------
r3523 | joeshaw | 2007-03-01 15:41:44 -0500 (Thu, 01 Mar 2007) | 15 lines
Changed paths:
   M /branches/beagle-0.2.16/Util/ImLog.cs
   M /branches/beagle-0.2.16/beagled/KonversationQueryable/KonversationQueryable.cs
   M /branches/beagle-0.2.16/search/Tiles/IMLog.cs

Merge r3504, 3511, and 3517 onto the trunk.

r3504:
Use parent-uri in IMLog tiles for konversation hits. ParentUri contains
the proper path of the file. Fixes #408101

r3511:
Konversation log files are in CurrentCulture. Do not use
InvariantCulture.

r3517:
Use system encoding and system culture when dealing with konversation
log files.  Some things I missed before.


------------------------------------------------------------------------
r3514 | joeshaw | 2007-02-27 12:56:02 -0500 (Tue, 27 Feb 2007) | 1 line
Changed paths:
   M /branches/beagle-0.2.16/po/ca.po

Updated Catalan translation from the Novell l10n team
------------------------------------------------------------------------
r3494 | joeshaw | 2007-02-23 11:06:39 -0500 (Fri, 23 Feb 2007) | 2 lines
Changed paths:
   M /branches/beagle-0.2.16/po/de.po
   M /branches/beagle-0.2.16/po/es.po
   M /branches/beagle-0.2.16/po/fr.po
   M /branches/beagle-0.2.16/po/it.po
   M /branches/beagle-0.2.16/po/ja.po
   M /branches/beagle-0.2.16/po/pt_BR.po
   M /branches/beagle-0.2.16/po/ru.po
   M /branches/beagle-0.2.16/po/sv.po
   M /branches/beagle-0.2.16/po/zh_TW.po

Check in updated translations from the Novell language team

------------------------------------------------------------------------
r3492 | joeshaw | 2007-02-22 13:04:54 -0500 (Thu, 22 Feb 2007) | 1 line
Changed paths:
   M /branches/beagle-0.2.16/configure.in

Commit 0.2.16.2 for another bug fix release
------------------------------------------------------------------------
r3491 | joeshaw | 2007-02-22 12:53:17 -0500 (Thu, 22 Feb 2007) | 8 lines
Changed paths:
   M /branches/beagle-0.2.16/beagled/BuildIndex.cs
   M /branches/beagle-0.2.16/tools/beagle-crawl-system.in
   M /branches/beagle-0.2.16/tools/crawl-rules/crawl-documentation

Merge r3455 onto the branch:

Add a --disable-on-battery option to beagle-build-index, add support for
it to beagle-crawl-system (through a CRAWL_DISABLE_ON_BATTERY var), and
turn it on by default in the documentation crawler, since it can be
pretty slow.  Fixes bgo #383789.


------------------------------------------------------------------------
r3490 | joeshaw | 2007-02-22 12:52:11 -0500 (Thu, 22 Feb 2007) | 5 lines
Changed paths:
   M /branches/beagle-0.2.16/Filters/FilterPdf.cs

Merge r3454 onto the branch:

Limit PDF tools to 100 megs memory.  Fixes bgo #335461


------------------------------------------------------------------------
r3489 | joeshaw | 2007-02-22 12:47:38 -0500 (Thu, 22 Feb 2007) | 5 lines
Changed paths:
   M /branches/beagle-0.2.16/Filters/FilterChm.cs

Merge r3467 onto branch:

Adapt Chm filter to the changed html filter. Fixes #408047.


------------------------------------------------------------------------
r3461 | joeshaw | 2007-02-15 16:24:40 -0500 (Thu, 15 Feb 2007) | 1 line
Changed paths:
   M /branches/beagle-0.2.16/configure.in

Oops, forgot to commit version number bump on the branch
------------------------------------------------------------------------
r3460 | joeshaw | 2007-02-15 16:23:45 -0500 (Thu, 15 Feb 2007) | 4 lines
Changed paths:
   M /branches/beagle-0.2.16/Filters/FilterArchive.cs

Put some limits on the sizes of files extracted from archives, to
prevent /tmp from filling up.  Fixes bnc #244490 and brc #228718.


------------------------------------------------------------------------
r3450 | joeshaw | 2007-02-13 15:54:55 -0500 (Tue, 13 Feb 2007) | 4 lines
Changed paths:
   M /branches/beagle-0.2.16/Filters/FilterDocbook.cs

Add more well-known locations for docbook files, since
xdgmime/shared-mime-info can't figure out what they are beyond
application/xml.

------------------------------------------------------------------------
r3448 | joeshaw | 2007-02-13 15:39:08 -0500 (Tue, 13 Feb 2007) | 12 lines
Changed paths:
   M /branches/beagle-0.2.16/beagled/LuceneCommon.cs

Handle the situation where you do a search for something like "no dice"
(no quotes) and you don't get any results back.  Because "no" is a stop
word, we were expanding queries to this:

(Text:dice OR PropertyText:dice OR PropertyKeyword:dice) AND
(PropertyKeyword:no)

Since stop words get filtered out, and the user may be expecting to
match "no" from the Text and "dice" from a keyword, we can drop the
second clause from the query entirely.


------------------------------------------------------------------------
r3446 | joeshaw | 2007-02-13 14:27:51 -0500 (Tue, 13 Feb 2007) | 33 lines
Changed paths:
   M /branches/beagle-0.2.16/BeagleClient/QueryPart.cs
   M /branches/beagle-0.2.16/BeagleClient/Versioned.cs
   M /branches/beagle-0.2.16/Util/DateTimeUtil.cs
   M /branches/beagle-0.2.16/Util/StringFu.cs
   M /branches/beagle-0.2.16/libbeagle/beagle/beagle-timestamp.c
   M /branches/beagle-0.2.16/search/Tiles/IMLog.cs
   M /branches/beagle-0.2.16/search/Tiles/MailMessage.cs
   M /branches/beagle-0.2.16/search/Tiles/Utils.cs

Merge r3417, r3418, r3424 and r3429 onto the branch.

r3417:
Directly parse BeagleTimeStamp instead of calling DateTime.ParseExact.
Remove some duplicate code from beagle-search.

r3418:
FAQ 1. My application uses datetimes from different sources. I also have
to store it on disk.
*      Always convert any datetime to UTC and use it in that form for
*      internal usage. UTC is a good general framework.
FAQ 2. My application is a client server app that needs to send and
receive datetimes.
*      XmlSerializer assumes localtime by default when deserialing.
*      Hence, either change time to localtime before serializing or send
*      a string representation of the UTC time and re-construct the
*      correct time at the other end. The timezone part of the
*      serialized timestamp does not mean anything useful and should be
*      ignored completely.

Beagle does 1. Beagle should have done 2 but everytime the datetime
serialization problems were avoided using other fixes. This patch sends
the datetime in its string representation. Also instead of printing the
timezone in the output of beagle-query, print the datetime kind. As I
said, the timezone does not say anything useful.

r3424:
Remove a debugging line I accidentally committed.

r3429:
Fixing a buildbreaker


------------------------------------------------------------------------
r3445 | joeshaw | 2007-02-13 14:18:12 -0500 (Tue, 13 Feb 2007) | 6 lines
Changed paths:
   M /branches/beagle-0.2.16/Filters/FilterSvg.cs

Merge r3432 onto the branch.

Remove the non-fatal block in the SVG filter; we fixed the main symptom
of SVG files that have an undeclared xlink namespace, and the check doesn't
seem to work for certain files.  Fixes #407564

------------------------------------------------------------------------
r3444 | joeshaw | 2007-02-13 14:16:48 -0500 (Tue, 13 Feb 2007) | 13 lines
Changed paths:
   M /branches/beagle-0.2.16/beagled/BuildIndex.cs
   M /branches/beagle-0.2.16/beagled/FileAttributesStore.cs

Merge r3428 onto the branch.

Revert r3354. r3354 checked if an attr had valid filter info when
checking if it is uptodate. This would fail a lot of backends, mostly
LuceneFileQueryable ones. LuceneFileQueryable does not write filter
information if mulitple indexables were created from a single file. So
for all those backends, restarting beagled would re-index all the files
(KMail backend, due to a side effect, only re-indexes the mails with
attachments). The changes in r3354 were really necessary for file system
indexing (files backend and BuildIndex); files backend does its own
check and doesnt use IsUpToDate(), so revert the change and create
another function IsUpToDateAndFiltered() for BuildIndex to use.

------------------------------------------------------------------------
r3443 | joeshaw | 2007-02-13 14:15:28 -0500 (Tue, 13 Feb 2007) | 4 lines
Changed paths:
   M /branches/beagle-0.2.16/beagled/TomboyQueryable/TomboyQueryable.cs

Merge r3425 onto the branch.

Use TOMBOY_PATH if available. Fixes #332102.

------------------------------------------------------------------------
r3442 | joeshaw | 2007-02-13 14:14:26 -0500 (Tue, 13 Feb 2007) | 7 lines
Changed paths:
   M /branches/beagle-0.2.16/beagled/IndexHelper/RemoteIndexerExecutor.cs
   M /branches/beagle-0.2.16/beagled/LuceneIndexingDriver.cs

Merge r3421 onto the branch.

While processing large flush requests, check regularly if shutdown has
been requested and stop processing further in that case. This will allow
faster shutdown when beagle is in the middle of large indexing,
especially when it involves archives.

------------------------------------------------------------------------
r3441 | joeshaw | 2007-02-13 14:12:22 -0500 (Tue, 13 Feb 2007) | 4 lines
Changed paths:
   M /branches/beagle-0.2.16/beagled/LuceneQueryingDriver.cs

Merge r3415 onto the branch.

Fixes #405317. Adjust the count if HitFilter rejects any hit.

------------------------------------------------------------------------
r3440 | joeshaw | 2007-02-13 14:11:33 -0500 (Tue, 13 Feb 2007) | 4 lines
Changed paths:
   M /branches/beagle-0.2.16/Util/F-Spot/Exif.cs
   A /branches/beagle-0.2.16/Util/F-Spot/beagle-changes/08-exif-timestamp-local.diff (from /trunk/beagle/Util/F-Spot/beagle-changes/08-exif-timestamp-local.diff:3414)

merge 3414 onto the branch.

Assume local time for exif timestamps.

------------------------------------------------------------------------
r3439 | joeshaw | 2007-02-13 14:10:49 -0500 (Tue, 13 Feb 2007) | 11 lines
Changed paths:
   M /branches/beagle-0.2.16/beagled/BeagleDaemon.cs
   M /branches/beagle-0.2.16/beagled/IndexHelper/IndexHelper.cs
   M /branches/beagle-0.2.16/beagled/IndexHelper/RemoteIndexerExecutor.cs
   M /branches/beagle-0.2.16/beagled/LuceneIndexingDriver.cs
   M /branches/beagle-0.2.16/beagled/RemoteIndexer.cs
   M /branches/beagle-0.2.16/beagled/SnippetFu.cs

Merge r3413 and 3433-3434 onto the branch.

Add option --disable-textcache to beagled. This disallows caching data
for snippet purposes during this run. To prevent inconsistency, this
also deletes existing textcache for any document indexed in this
session. Usage of this option is highly discouraged and should be only
used on space-strapped machines.

Change --disable-textcache to --disable-text-cache to maintain
consistency with beagle-build-index's --enable-text-cache

------------------------------------------------------------------------
r3438 | joeshaw | 2007-02-13 14:08:33 -0500 (Tue, 13 Feb 2007) | 6 lines
Changed paths:
   M /branches/beagle-0.2.16/beagled/FileSystemQueryable/FileSystemQueryable.cs
   M /branches/beagle-0.2.16/beagled/TextCache.cs

Merge r3412 onto the branch.

* TextCache.cs: Deleting items from textcache was broken; files were
deleted but the entries remained in the database. Fix that. Update FSQ
code accordingly.

------------------------------------------------------------------------
r3437 | joeshaw | 2007-02-13 14:07:49 -0500 (Tue, 13 Feb 2007) | 11 lines
Changed paths:
   M /branches/beagle-0.2.16/beagled/KMailQueryable/KMailQueryable.cs

Merge r3410:3411 onto the branch.

r3410:
I still do not understand how to best decide if a directory is a valid
kmail directory. If the directory is listed in config, then do not
check. Also, give ~/.kde/... location higher preference over the other
locations.

r3411:
3410 was incorrect, this one is the correct patch.

------------------------------------------------------------------------
r3436 | joeshaw | 2007-02-13 14:05:55 -0500 (Tue, 13 Feb 2007) | 8 lines
Changed paths:
   M /branches/beagle-0.2.16/Util/PullingReader.cs
   M /branches/beagle-0.2.16/beagled/Filter.cs
   M /branches/beagle-0.2.16/beagled/LuceneCommon.cs
   M /branches/beagle-0.2.16/beagled/TextCache.cs

Merge r3409 onto 0.2.16 branch.

Fix a fd leak for large files when lucene would stop asking for more
data. Now Filter.Pull() does not call Close(), but instead Close() is
called by lucene. This also fixes some invalid textcache.gz files.
Buffer the reader and writer streams to and from textcache to reduce the
time spent in inflating/deflating.

------------------------------------------------------------------------
r3435 | joeshaw | 2007-02-13 14:04:51 -0500 (Tue, 13 Feb 2007) | 1 line
Changed paths:
   M /branches/beagle-0.2.16/Util/F-Spot/JpegHeader.cs

Merge r3408 into 0.2.16 branch: Avoid infinite loop on some truncated jpeg files.  bgo #405372
------------------------------------------------------------------------
r3401 | joeshaw | 2007-02-07 14:04:00 -0500 (Wed, 07 Feb 2007) | 1 line
Changed paths:
   M /branches/beagle-0.2.16/Filters/FilterOpenOffice.cs

Merge in OOo syntax error fix (r3399) from the trunk
------------------------------------------------------------------------
r3398 | joeshaw | 2007-02-07 11:36:30 -0500 (Wed, 07 Feb 2007) | 3 lines
Changed paths:
   A /branches/beagle-0.2.16 (from /tags/BEAGLE_0_2_16:3397)

Create a maintenance bug fix branch for 0.2.16, which is what will be in
SLED 10 SP1 and Ubuntu Feisty.

------------------------------------------------------------------------
r3396 | joeshaw | 2007-02-07 11:35:00 -0500 (Wed, 07 Feb 2007) | 2 lines
Changed paths:
   A /tags/BEAGLE_0_2_16 (from /trunk/beagle:3395)

Tag 0.2.16 release

------------------------------------------------------------------------
r3395 | joeshaw | 2007-02-07 11:30:31 -0500 (Wed, 07 Feb 2007) | 1 line
Changed paths:
   M /trunk/beagle/ChangeLog

Update changelog for 0.2.16
------------------------------------------------------------------------
r3394 | joeshaw | 2007-02-07 11:28:58 -0500 (Wed, 07 Feb 2007) | 1 line
Changed paths:
   M /trunk/beagle/NEWS
   M /trunk/beagle/configure.in

Update for 0.2.16 release
------------------------------------------------------------------------
------------------------------------------------------------------------
r3394 | joeshaw | 2007-02-07 11:28:58 -0500 (Wed, 07 Feb 2007) | 1 line

Update for 0.2.16 release
------------------------------------------------------------------------
r3393 | joeshaw | 2007-02-07 11:24:36 -0500 (Wed, 07 Feb 2007) | 1 line

Temporarily back out the opera backend for the 0.2.16 release
------------------------------------------------------------------------
r3392 | joeshaw | 2007-02-07 11:16:43 -0500 (Wed, 07 Feb 2007) | 1 line

Bump version number on SVG filter
------------------------------------------------------------------------
r3391 | kkubasik | 2007-02-06 23:23:46 -0500 (Tue, 06 Feb 2007) | 3 lines

 r195@kjk38-laptop:  kjk38 | 2007-02-06 23:24:16 -0500
 Initial import of the opera history backend

------------------------------------------------------------------------
r3390 | leonardof | 2007-02-06 21:38:58 -0500 (Tue, 06 Feb 2007) | 6 lines

2007-02-07  Leonardo Ferreira Fontenelle  <leonardof@svn.gnome.org>

	* pt_BR.po: Updated Brazilian Portuguese translation by Igor Pires
	Soares <igor@projetofedora.org>.


------------------------------------------------------------------------
r3389 | dbera | 2007-02-06 19:27:30 -0500 (Tue, 06 Feb 2007) | 2 lines

Batik svg files do not declare xlink namespace. Handle that explicitly.

------------------------------------------------------------------------
r3388 | joeshaw | 2007-02-06 18:19:13 -0500 (Tue, 06 Feb 2007) | 1 line

Updated SVG filter, from Alex Macdonald
------------------------------------------------------------------------
r3387 | joeshaw | 2007-02-06 18:17:52 -0500 (Tue, 06 Feb 2007) | 2 lines

Use indexable.MimeType rather than filter.MimeType, which isn't canonical and
shouldn't really be used outside of the filter itself
------------------------------------------------------------------------
r3386 | joeshaw | 2007-02-06 15:31:43 -0500 (Tue, 06 Feb 2007) | 1 line

Roll back our mono requirement to 1.1.13.5
------------------------------------------------------------------------
r3385 | joeshaw | 2007-02-06 11:38:13 -0500 (Tue, 06 Feb 2007) | 5 lines

Only set the mime type in the indexable.ContentUri.IsFile block if it
hasn't already been set by a backend.  Fixes the problem where
Thunderbird mails were being stored as text/plain.


------------------------------------------------------------------------
r3384 | dbera | 2007-02-06 11:24:12 -0500 (Tue, 06 Feb 2007) | 2 lines

beagle-hit.c: "(null)" does not deserialize to null Uri. Watch for null ParentUri when serializing.

------------------------------------------------------------------------
r3383 | pgeyleg | 2007-02-06 00:26:45 -0500 (Tue, 06 Feb 2007) | 1 line

dzongkha translation added
------------------------------------------------------------------------
r3382 | dbera | 2007-02-05 17:10:20 -0500 (Mon, 05 Feb 2007) | 2 lines

Remove debug messages from Semweb.

------------------------------------------------------------------------
r3381 | jmas | 2007-02-05 16:55:18 -0500 (Mon, 05 Feb 2007) | 5 lines

2007-02-05  Jordi Mas <jmas@softcatala.org>

	* ca.po: Updated Catalan translation.


------------------------------------------------------------------------
r3380 | dbera | 2007-02-05 16:06:43 -0500 (Mon, 05 Feb 2007) | 2 lines

Remove some debug messages while parsing image files.

------------------------------------------------------------------------
r3379 | joeshaw | 2007-02-05 15:57:03 -0500 (Mon, 05 Feb 2007) | 1 line

Don't set IsIndexing if a folder is being recrawled due to an inotify event
------------------------------------------------------------------------
r3378 | joeshaw | 2007-02-05 15:36:43 -0500 (Mon, 05 Feb 2007) | 1 line

Remove some unused code I accidentally committed
------------------------------------------------------------------------
r3377 | joeshaw | 2007-02-05 14:58:03 -0500 (Mon, 05 Feb 2007) | 21 lines

Rework the way we do reporting of whether or not we're indexing to make
it a more active task for backends, rather than passive.  This fixes
problems trying to deal with this sanely in the file system backend.

* Remove some dead code from QueryDriver.cs.

* No longer declare IsIndexing_get as virtual, and replace it with a
private instance variable.  It's now the backends' responsibility to
set IsIndexing as the status changes, rather than waiting for the
getter to be called and reporting the current state of things.

* Update the file system backend to the new scheme.  Should fix problems
where the "currently indexing" info box stays on in beagle-search even
after the initial crawl has finished.

* Also update Evolution mail, EDS, Gaim, and Konversation backends to
the new scheme.

* Improve the status message when indexing files inside a directory.


------------------------------------------------------------------------
r3376 | dbera | 2007-02-05 13:12:15 -0500 (Mon, 05 Feb 2007) | 2 lines

* libbeagle/beagle/beagle-hit.c: Add ParentUri to snippet_request->hit. This is needed by some backends that check for parent uri while generating snippets.

------------------------------------------------------------------------
r3375 | dbera | 2007-02-05 12:11:20 -0500 (Mon, 05 Feb 2007) | 4 lines

* Konversation backend: Add server and channel name as properties. Somehow missed this before.
* LuceneIndexingDriver: Back out a change from yesterday. Its incorrect.


------------------------------------------------------------------------
r3374 | aihana | 2007-02-05 07:30:59 -0500 (Mon, 05 Feb 2007) | 4 lines

2007-02-05  Takeshi AIHANA <takeshi.aihana@gmail.com>

        * ja.po: Updated Japanese translation.

------------------------------------------------------------------------
r3373 | dbera | 2007-02-04 17:23:12 -0500 (Sun, 04 Feb 2007) | 4 lines

Correctly handle filter versions while indexing.
* FileSystemQueryable.cs, FileAttributesStore.cs: If filter information is not present for a file, resubmit it for indexing. Ideally, we would like to resubmit whenever a new filter version is present, but that is becoming too costly.
* FileAttributes.cs: Valid filter can have version 0+. Fix the version checking.

------------------------------------------------------------------------
r3372 | dbera | 2007-02-04 12:21:51 -0500 (Sun, 04 Feb 2007) | 2 lines

Konversation backend: Better protection against old log files. Also, fix a bug where one log file would be indexed twice.

------------------------------------------------------------------------
r3369 | dbera | 2007-02-03 18:20:51 -0500 (Sat, 03 Feb 2007) | 2 lines

Filter.cs: Explicitly warn Filters if they try to register a type in constructor.

------------------------------------------------------------------------
r3368 | dnylande | 2007-02-02 18:45:45 -0500 (Fri, 02 Feb 2007) | 1 line

sv.po: Swedish translation updated
------------------------------------------------------------------------
r3367 | dbera | 2007-02-02 18:06:38 -0500 (Fri, 02 Feb 2007) | 2 lines

KMailQueryable.cs: Fix checking whether a directory is a valid kmail directory. Fixes #401767 and #391647.

------------------------------------------------------------------------
r3366 | dbera | 2007-02-02 16:10:32 -0500 (Fri, 02 Feb 2007) | 2 lines

Konversation backend: return true for IsIndexing when performing initial indexing.

------------------------------------------------------------------------
r3365 | dbera | 2007-02-02 15:13:17 -0500 (Fri, 02 Feb 2007) | 2 lines

Really old konversation logfiles have bad timestamp strings. Ignore those lines completely, preventing crash if you have these old files.

------------------------------------------------------------------------
r3364 | joeshaw | 2007-02-02 13:54:11 -0500 (Fri, 02 Feb 2007) | 6 lines

Mono doesn't handle JITted code running in a child process after a
fork() very well, and can often hang.  Change our process limiting code
to execute in C after the fork, rather than in C# in the runtime.  It's
a little less flexible in theory, but has higher reliability.


------------------------------------------------------------------------
r3363 | icq | 2007-02-02 09:12:23 -0500 (Fri, 02 Feb 2007) | 2 lines

Updated Galician Translation

------------------------------------------------------------------------
r3362 | joeshaw | 2007-02-01 16:07:35 -0500 (Thu, 01 Feb 2007) | 1 line

Also run pdftotext -q (for quiet) again
------------------------------------------------------------------------
r3361 | joeshaw | 2007-02-01 16:05:29 -0500 (Thu, 01 Feb 2007) | 2 lines

Bleh, r3360 didn't work and just inverted the deadlock.  Just ignore and
don't redirect stderr for now
------------------------------------------------------------------------
r3360 | joeshaw | 2007-02-01 15:50:24 -0500 (Thu, 01 Feb 2007) | 7 lines

pdftotext completely spams stderr on some documents, which causes a
deadlock between beagled-helper and pdftotext: pdftotext is blocking on
additional buffer space to write out more warnings while beagled-helper
is blocking on data from stdout.  Fix this by processing data from
stderr before processing stdout in DoPull(), rather than deferring it
all until DoClose().  Fixes Jan's part of bnc #402065

------------------------------------------------------------------------
r3357 | joeshaw | 2007-01-31 18:44:13 -0500 (Wed, 31 Jan 2007) | 2 lines

Don't include a pre-configured beagle-crawl-system in the tarball.  Fixes
bgo #401504
------------------------------------------------------------------------
r3356 | joeshaw | 2007-01-31 16:07:31 -0500 (Wed, 31 Jan 2007) | 1 line

Change a couple of chatty Warns to Debugs in the KMail backend
------------------------------------------------------------------------
r3355 | joeshaw | 2007-01-31 15:08:29 -0500 (Wed, 31 Jan 2007) | 4 lines

Add --no-snapshot to beagled to keep it from automatically snapshotting
when --heap-shot is provided.


------------------------------------------------------------------------
r3354 | joeshaw | 2007-01-31 14:56:27 -0500 (Wed, 31 Jan 2007) | 17 lines

Put the looping bug out to pasture once and for all.

In FSQ.DoneCrawlingOneDirectory(), in the event that we get a null file
attribute back -- which should no longer happen -- complain loudly but 
still mark the directory as clean.  This will prevent the daemon from
looping on that one directory.

Fix our sqlite schema for our fallback FileAttributesStore.  We were
declaring our columns as STRING -- which isn't valid -- instead of TEXT.
This meant that fields were defaulting to being integer-like.  Filenames
like "0009" became "9" in the database.  Bump up the schema version and
fix that.  Also make our file_path index unique, so we don't have to
deal with potential multiple entries in the database.

Add debugging output to the FileAttributesStore.


------------------------------------------------------------------------
r3353 | joeshaw | 2007-01-30 17:32:00 -0500 (Tue, 30 Jan 2007) | 2 lines

Use a better GenericName in the beagle-settings .desktop file, lose the
redundant comment
------------------------------------------------------------------------
r3352 | joeshaw | 2007-01-30 16:34:22 -0500 (Tue, 30 Jan 2007) | 10 lines

Only do the position check hack in the archive filter for gzip archives;
looks like the position is pretty much worthless for bzip2 archives and
it triggers this code path.

Fix a bug where we were leaking a tempfile when decompressing archives
of more than 30 files.

Improve debug output when storing streams in Indexable.cs.


------------------------------------------------------------------------
r3351 | joeshaw | 2007-01-30 16:07:16 -0500 (Tue, 30 Jan 2007) | 6 lines

Workaround archive files that cause infinite loops.  When reading from
an archive stream, if we are extracting the maximum amount of data and
our position in the stream isn't moving, break out of the loop and flag
the file as bad.  Don't create child indexables for such entries.


------------------------------------------------------------------------
r3350 | joeshaw | 2007-01-30 15:37:11 -0500 (Tue, 30 Jan 2007) | 1 line

Add more info to the ExceptionHandlingThread name
------------------------------------------------------------------------
r3349 | joeshaw | 2007-01-30 15:11:13 -0500 (Tue, 30 Jan 2007) | 4 lines

Always dispose of the SqliteCommand, even if we get an exception.  Log
the SQL that caused an exception inside of DoNonQuery()


------------------------------------------------------------------------
r3348 | joeshaw | 2007-01-30 15:01:05 -0500 (Tue, 30 Jan 2007) | 20 lines

GetLastWriteTimeUtc() no longer throws an IOException if the file isn't
there in 2.0.  It returns a silly date from 1601.  Fix various places
(mostly in the file system backend) where we were depending on that
behavior.

Slightly reorder the flow in FilterFactory.FilterIndexable so that we
avoid unnecessary work, and also check in here if the file has
disappeared out from underneath us.

Fix a DateTime UTC conversion problem that was still hanging around in
FileAttributesStore.

Fix our ParseExact() in StringFu.  We want to AssumeUniversal AND
AdjustToUniversal so that dates we get back are right.  Mono is broken
with these options right now -- see
http://bugzilla.ximian.com/show_bug.cgi?id=80677 -- but things work well
enough now with the broken behavior, and the AdjustToUniversal is
necessary for when it's fixed.


------------------------------------------------------------------------
r3347 | dbera | 2007-01-30 12:14:11 -0500 (Tue, 30 Jan 2007) | 3 lines

* F-Spot code: More protection against bad jpegs.
* XdgMime.cs: Catch other valid exceptions when detecting mimetype.

------------------------------------------------------------------------
r3346 | joeshaw | 2007-01-29 15:52:35 -0500 (Mon, 29 Jan 2007) | 3 lines

Always return false instead of true from KonversationQueryable.IsIndexing,
because otherwise the 'your data is being indexed' info box is always
present.
------------------------------------------------------------------------
r3345 | joeshaw | 2007-01-29 14:17:01 -0500 (Mon, 29 Jan 2007) | 1 line

Workaround a mono bug (bxc #80320) when dealing with dates around MinValue
------------------------------------------------------------------------
r3344 | dbera | 2007-01-28 22:14:18 -0500 (Sun, 28 Jan 2007) | 2 lines

Fix crash when parsing extremely small files with no head or body.

------------------------------------------------------------------------
r3343 | dbera | 2007-01-28 11:30:59 -0500 (Sun, 28 Jan 2007) | 2 lines

Ignore Bim entries with marker PHUT. F-Spot Bim parser does not recognise them.

------------------------------------------------------------------------
r3342 | dbera | 2007-01-28 11:13:07 -0500 (Sun, 28 Jan 2007) | 2 lines

Handle javascript comments properly, namely the comments can contain quote characters which should be ignored and not assumed part of a quote. Error in original HtmlAgilityPack. There is still scope of error in script and style elements. They will be reported as "System.Exception: Load() was not paused previously" and need to be fixed on demand.

------------------------------------------------------------------------
r3341 | dbera | 2007-01-27 13:39:27 -0500 (Sat, 27 Jan 2007) | 2 lines

Add the changes.

------------------------------------------------------------------------
r3340 | dbera | 2007-01-27 13:35:34 -0500 (Sat, 27 Jan 2007) | 2 lines

Check iptc entry for null before trying to parse it. Close memorystream after use.

------------------------------------------------------------------------
r3339 | dbera | 2007-01-26 19:57:06 -0500 (Fri, 26 Jan 2007) | 2 lines

Fix a bug in extraction of JFIF comments from Jpeg files.

------------------------------------------------------------------------
r3338 | joeshaw | 2007-01-26 16:16:26 -0500 (Fri, 26 Jan 2007) | 4 lines

Update some assembly requirements in configure.in, and remove some
unnecessary ones from beagled/Makefile.am


------------------------------------------------------------------------
r3336 | joeshaw | 2007-01-25 18:40:53 -0500 (Thu, 25 Jan 2007) | 1 line

0.2.15.1, brown paper bag release
------------------------------------------------------------------------
r3335 | joeshaw | 2007-01-25 18:35:51 -0500 (Thu, 25 Jan 2007) | 2 lines

We need to bundle the thunderbird files in any case, regardless of whether or
not it's enabled.
------------------------------------------------------------------------
r3332 | joeshaw | 2007-01-25 17:36:12 -0500 (Thu, 25 Jan 2007) | 1 line

Update changelog for 0.2.15
------------------------------------------------------------------------
r3331 | joeshaw | 2007-01-25 17:35:40 -0500 (Thu, 25 Jan 2007) | 1 line
Changed paths:
   M /trunk/beagle/NEWS
   M /trunk/beagle/configure.in

Update for 0.2.15 release
------------------------------------------------------------------------
r3330 | joeshaw | 2007-01-25 17:32:33 -0500 (Thu, 25 Jan 2007) | 1 line
Changed paths:
   M /trunk/beagle/gnome-autogen.sh

Support automake 1.10 in our included gnome-autogen.sh
------------------------------------------------------------------------
r3329 | dbera | 2007-01-24 18:07:50 -0500 (Wed, 24 Jan 2007) | 2 lines
Changed paths:
   M /trunk/beagle/glue/xdgmime/README
   M /trunk/beagle/glue/xdgmime/xdgmimecache.c

Update xdgmime with patches from fd.o bugzilla fixing fd.o #9560, #9544.

------------------------------------------------------------------------
r3328 | dbera | 2007-01-24 15:15:44 -0500 (Wed, 24 Jan 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/Filter.cs

Actually, no need to check for word limit in DoPull() because lucene would never ask for data via DoPull() if word limit has been reached. AllowMoreWords() is only useful for Filters which extract all data in one shot of DoPull() and thus need check if word limit has been reached.

------------------------------------------------------------------------
r3327 | dbera | 2007-01-24 13:02:18 -0500 (Wed, 24 Jan 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/HtmlAgilityPack/AssemblyInfo.cs
   M /trunk/beagle/Filters/HtmlAgilityPack/Header.cs
   M /trunk/beagle/Filters/HtmlAgilityPack/HtmlAttribute.cs
   M /trunk/beagle/Filters/HtmlAgilityPack/HtmlEntity.cs
   M /trunk/beagle/Filters/HtmlAgilityPack/HtmlNode.cs
   M /trunk/beagle/Filters/HtmlAgilityPack/HtmlNodeNavigator.cs
   M /trunk/beagle/Filters/HtmlAgilityPack/HtmlWeb.cs
   M /trunk/beagle/Filters/HtmlAgilityPack/MixedCodeDocument.cs
   M /trunk/beagle/Filters/HtmlAgilityPack/tools.cs

Change line endings of some more files.

------------------------------------------------------------------------
r3326 | dbera | 2007-01-24 12:57:22 -0500 (Wed, 24 Jan 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/HtmlAgilityPack/crc32.cs

Change line endings.

------------------------------------------------------------------------
r3325 | dbera | 2007-01-24 12:04:14 -0500 (Wed, 24 Jan 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterDOC.cs
   M /trunk/beagle/Filters/FilterHtml.cs
   M /trunk/beagle/Filters/FilterPdf.cs
   M /trunk/beagle/Filters/FilterText.cs
   M /trunk/beagle/beagled/Filter.cs

Check if more words are allowed before calling DoPull(), removing AllowMoreWords() calls from text, pdf, doc and one place in html filter. This will also benefit other filters who repeatedly send extracted text in DoPull().

------------------------------------------------------------------------
r3324 | dbera | 2007-01-24 11:51:46 -0500 (Wed, 24 Jan 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterRTF.cs

* FilterRTF.cs: Keep a single copy of textmap table. Its expensive to create.

------------------------------------------------------------------------
r3323 | dbera | 2007-01-24 11:43:17 -0500 (Wed, 24 Jan 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterHtml.cs
   M /trunk/beagle/Filters/FilterPdf.cs
   M /trunk/beagle/Filters/FilterText.cs

Read multiple lines in each call of DoPull() in FilterPdf. Remove warnings from HtmlFilter. Stop if we reach lucene word limit in text and pdf filter.

------------------------------------------------------------------------
r3322 | kmaraas | 2007-01-24 09:29:31 -0500 (Wed, 24 Jan 2007) | 3 lines
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/nb.po

2007-01-24  Kjartan Maraas  <kmaraas@gnome.org>

	* nb.po: Updated Norwegian bokmål translation.
------------------------------------------------------------------------
r3321 | maticz | 2007-01-23 19:21:47 -0500 (Tue, 23 Jan 2007) | 5 lines
Changed paths:
   M /trunk/beagle/configure.in
   M /trunk/beagle/po/ChangeLog
   A /trunk/beagle/po/sl.po

2007-01-24  Matic Zgur <mr.zgur@gmail.com>

        * configure.in: Added 'sl' to ALL_LINGUAS
        * po/sl.po: Added Slovenian translation.

------------------------------------------------------------------------
r3320 | joeshaw | 2007-01-23 16:34:47 -0500 (Tue, 23 Jan 2007) | 4 lines
Changed paths:
   M /trunk/beagle/Util/Scheduler.cs

Util/Scheduler.cs: When "Waiting for next task", display the time it 
will be executed.


------------------------------------------------------------------------
r3319 | dlodge | 2007-01-23 16:33:42 -0500 (Tue, 23 Jan 2007) | 1 line
Changed paths:
   M /trunk/beagle/po/ChangeLog
   M /trunk/beagle/po/en_GB.po

Updated (British) English translation
------------------------------------------------------------------------
r3318 | joeshaw | 2007-01-23 16:22:40 -0500 (Tue, 23 Jan 2007) | 37 lines
Changed paths:
   M /trunk/beagle/beagled/FileAttributesStore_Mixed.cs
   M /trunk/beagle/beagled/FileSystemQueryable/DirectoryModel.cs
   M /trunk/beagle/beagled/FileSystemQueryable/FileCrawlTask.cs
   M /trunk/beagle/beagled/FileSystemQueryable/FileSystemQueryable.cs
   M /trunk/beagle/beagled/FileSystemQueryable/TreeCrawlTask.cs
   M /trunk/beagle/beagled/IndexHelper/IndexHelper.cs
   M /trunk/beagle/beagled/LuceneQueryable.cs

Fix some bugs that will hopefully kill off the dreaded looping problem.
And if it doesn't, provide more information to make it easier to debug.

* LuceneQueryable.cs: Always flush the pending request queue when we
break out of the loop inside an IIndexableGenerator Add task.  Before
things would be held up until the queue was full, meaning documents
could be delayed from being indexing for quite some time.

* FileAttributesStore_Mixed.cs: If we successfully save file attributes
to xattr, drop any matching attributes from the sqlite DB.  (Found by
Brian J. Murrell)

* FileSystemQueryable/FileSystemQueryable.cs: Set the FSQ's "Debug"
attribute if the BEAGLE_DEBUG_FSQ environment variable is set.

* FileSystemQueryable/FileCrawlTask.cs: Log if it appears that we're
recrawling a directory we've seen before.  (Which should only happen if
setting up an inotify watch fails.)

* FileSystemQueryable/TreeCrawlTask.cs: Dial down the verbose logging
unless FSQ.Debug is set.

* FileSystemQueryable/DirectoryModel.cs: If FSQ.Debug is set, print out
the state that we set the directory to, implement ToString (), and fix a
bug in the DirectoryModel.CompareTo() function, which was
unconditionally preferring depth over last crawl time.  This would cause
a certain directory that was at a higher depth than other directories to
continously loop.  Change the method to only do that if the directory
state is not clean (ie, Unknown or Dirty).  Also, consider all
directories with a depth greater than 3 to be the same, since generally
the order of indexing those doesn't matter as much as higher-level
directories.

* IndexHelper/IndexHelper.cs: Print out version/runtime info like we do
for the daemon.


------------------------------------------------------------------------
r3317 | dbera | 2007-01-23 12:21:15 -0500 (Tue, 23 Jan 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/beagled.in

Typo in beagled.in

------------------------------------------------------------------------
r3316 | joeshaw | 2007-01-22 17:30:16 -0500 (Mon, 22 Jan 2007) | 1 line
Changed paths:
   M /trunk/beagle/search/Search.cs

Pluralize another string.  bgo #356243 again
------------------------------------------------------------------------
r3314 | joeshaw | 2007-01-22 15:02:03 -0500 (Mon, 22 Jan 2007) | 2 lines
Changed paths:
   M /trunk/beagle/beagled/SnippetExecutor.cs

Clean up invalid XML characters in the snippet before send it back over the
wire.  bgo #371091
------------------------------------------------------------------------
r3313 | joeshaw | 2007-01-22 14:55:39 -0500 (Mon, 22 Jan 2007) | 1 line
Changed paths:
   M /trunk/beagle/Filters/FilterMPlayerVideo.cs

sigh, compile before I commit
------------------------------------------------------------------------
r3312 | joeshaw | 2007-01-22 14:22:30 -0500 (Mon, 22 Jan 2007) | 1 line
Changed paths:
   M /trunk/beagle/Filters/FilterDOC.cs
   M /trunk/beagle/Filters/FilterMPlayerVideo.cs

Limit mplayer's address space size to 100 megs.  Should fix bgo #357754
------------------------------------------------------------------------
r3311 | joeshaw | 2007-01-22 14:02:59 -0500 (Mon, 22 Jan 2007) | 4 lines
Changed paths:
   M /trunk/beagle/Util/StringFu.cs
   M /trunk/beagle/search/Search.cs

Fix a few problems where Catalog.GetPluralString() should have been used
instead of Catalog.GetString().  bgo #356243.


------------------------------------------------------------------------
r3310 | dbera | 2007-01-22 13:53:43 -0500 (Mon, 22 Jan 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/HACKING

Add another tip to HACKING. Actually test the new cia rule to display svn link.

------------------------------------------------------------------------
r3309 | joeshaw | 2007-01-22 13:53:31 -0500 (Mon, 22 Jan 2007) | 7 lines
Changed paths:
   M /trunk/beagle/beagled/EvolutionMailQueryable/EvolutionMailQueryable.cs

Set the "don't escape" flag on the Uri constructor when building email
URIs for the Evo mail backend.  This fixes a problem where hostnames
were being lowercased internally by the class libs, but evolution
depended on exact string matching to properly open the messages.
bgo #372914


------------------------------------------------------------------------
r3308 | joeshaw | 2007-01-22 13:46:47 -0500 (Mon, 22 Jan 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterMail.cs

Bump up the filter version of mail to 3, because we index standard file
properties of attachments now
------------------------------------------------------------------------
r3307 | joeshaw | 2007-01-22 13:40:44 -0500 (Mon, 22 Jan 2007) | 2 lines
Changed paths:
   M /trunk/beagle/Filters/FilterMail.cs

Add the standard file properties to email attachments.  Based on a patch from
